------------------------------------------------------------------------------
          libburnia-project.org     libisoburn , xorriso
------------------------------------------------------------------------------

------------------------------------------------------------------------------
                                  Changelog
------------------------------------------------------------------------------


1 Sep 2007  [983]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
libisoburn/isofs_wrap.c
Initial content of libisoburn

1 Sep 2007  [985]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
Should have used copy+paste when writing Vreixos name

5 Sep 2007  [990]
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
Implemented use of stdio-pseudo-drives

5 Sep 2007  [993]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
Changes in plans as discussed up to Sep 5 2007

5 Sep 2007  [994]
libisoburn/libisoburn.h
Updated explanations about the usage principles of libisoburn

6 Sep 2007  [998]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
Updated to state of discussion

9 Sep 2007  [1025]
libisoburn/burn_wrap.c
New wrapper isoburn_disc_erasable() declares ISO DVD-RAM, DVD+RW erasable

10 Sep 2007  [1027]
libisoburn/libisoburn.h
New wrapper isoburn_disc_erasable() declares ISO DVD-RAM, DVD+RW erasable

11 Sep 2007  [1029]
libisoburn/burn_wrap.c
libisoburn/isoburn.h
New inner function isoburn_set_start_byte()

12 Sep 2007  [1031]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
Removed isoburn_write_opts_set_start_byte()

13 Sep 2007  [1043] 
libisoburn/burn_wrap.c
Took into respect fabricated_disc_status

21 Sep 2007  [1092]
Makefile.am
Removed libburn file addresses

22 Sep 2007  [1093]
+ doc/doxygen.conf.in
Added file demanded by build system

22 Sep 2007  [1094]
src/burn_wrap.c
Prevented SIGSEGV in isoburn_drive_scan_and_grab()

22 Sep 2007  [1095]
src/burn_wrap.c
Enabled treatment==2 in isoburn_drive_scan_and_grab()

22 Sep 2007  [1099]
src/burn_wrap.c
Made use of burn_msgs_submit() for error messages

23 Sep 2007  [1102]
src/burn_wrap.c
Removed all references to isoburn.treatment from burn_wrap.c

23 Sep 2007  [1105]
src/burn_wrap.c
Called isoburn_create_data_source() and isoburn_free_data_source()

28 Sep 2007  [1129] libisofs
libisofs/libiso_msgs.h
Removed apostrophes which my compiler does not like

29 Sep 2007  [1133]
src/burn_wrap.c
Added optional code for a pseudo CD-RW to test the code for MMC multi-session

29 Sep 2007  [1134]
src/burn_wrap.c
Released drive in case welcome_media fails

1 Oct 2007  [1141]
src/burn_wrap.c
Allowed isoburn_disc_get_msc1() for closed media

2 Oct 2007  [1149]
test/test.c
Function graft_point(),some general polishing, call of iso_volset_free disabled 

8 Oct 2007  [1169]
src/libisoburn.h
src/isoburn.h
src/isoburn.c
src/burn_wrap.c
Introduced fifo reference into isoburn object

8 Oct 2007  [1170]
test/test.c
Several directories and files in one session, added display of fifo

12 Oct 2007  [1171]
+ test/xorriso.h
+ test/xorriso.c
+ test/xorriso.txt
The stub of new application xorriso

12 Oct 2007  [1172]
+ test/compile_xorriso.sh
+ test/make_timestamp.sh
+ test/xorriso_timestamp.h
A build facility to circumvent autotools during development

12 Oct 2007  [1173]
test/xorriso.c
Introduced version and build timestamps, library headers

13 Oct 2007  [1174]
test/xorriso.c
+ test/changelog.txt
Made -dialog and -options_from_file work

2007.10.13.141503  [1175]
test/xorriso.c
Implemented -speed and enlarged -status list

2007.10.13.152252  [1176]
test/xorriso.c
test/xorriso.txt
Implemented xorriso setter level of -fs, -gid, -uid

2007.10.14.110003  [1177]
test/xorriso.c
Implemented setter level of -abort_on, fixed bugs about -f,-no_rc,startup files

2007.10.14.122456  [1178]
test/xorriso.c
+ test/xorriso_private.h
+ test/xorrisoburn.h
+ test/xorrisoburn.c
Began to implement interface to our libraries

2007.10.15.152705  [1183]
test/xorriso.h
test/xorriso.c
test/xorriso_private.h
test/xorrisoburn.h
test/xorrisoburn.c
Implemented -dev, -add, -commit

2007.10.15.160303  [1184]
test/xorriso.c
Made -end give up drives

2007.10.15.203554  [1185]
test/xorriso.c
Some safety precautions against malicious input, enabled -cdx, -cdi for -add

2007.10.15.203714  [1186]
test/xorrisoburn.c
Corrected image path bug with -add of regular files, and -add /=/some/dir

2007.10.15.224005  [1187]
test/xorriso.c
test/xorrisoburn.c
Implemented -rollback

2007.10.16.210911  [1188]
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
Worked on failure severities, message system, program abort decision

2007.10.17.130041  [1190] [1191
test/xorriso.h
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
Worked on failure severities, message system, program abort decision

2007.10.17.130311  [1192]
src/isofs_wrap.c
Told burn_read_data() to stay silent on non-existent drive or read error

2007.10.17.150142  [1193]
test/xorriso.c
test/xorrisoburn.c
Reinstated the distinction of message sources, respected '#' in dialog

2007.10.17.165352  [1194]
test/xorriso.c
Prepended a "-" to any input line if missing

2007.10.17.183024  [1195]
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
Implemented core of option -toc

2007.10.17.200241  [1196]
test/xorrisoburn.c
Continued work with -toc

2007.10.17.213852  [1197]
test/compile_xorriso.sh
Forgot to make off_t 64 bit

2007.10.17.214228  [1198]
src/libisoburn.h
src/burn_wrap.c
test/xorrisoburn.c
Rounding up fabricated nwa to full 32k addresses, API call for exact image size

2007.10.17.215809  [1199]
test/xorriso.c
Activated -ban_stdio_write

2007.10.17.224924  [1200]
test/xorrisoburn.c
Fixed obvious bug with -J. (Still wondering wether it works)

2007.10.17.225039  [1201]
test/xorriso.c
Fixed bug with -speed.

2007.10.17.225837  [1202]
test/xorriso.c
Fixed bug with -prompt. Fixed bug with # comments. (of rev 1194)

18 Oct 2007  [1203]
test/changelog.txt
Updated changelog and todo list

2007.10.18.144841  [1205]
src/isofs_wrap.c
test/xorrisoburn.c
isoburn_read_volset() now hands out an official volset reference

2007.10.18.171415  [1206]
test/xorriso.c
test/xorriso.txt
test/xorrisoburn.h
test/xorrisoburn.c
Implemented option -devices

2007.10.18.183200  [1207]
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
Implemented option -tell_media_space

2007.10.18.185731  [1208]
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.c
Fixed a SIGSEGV with xorriso -version run

2007.10.18.221756  [1211]
test/xorrisoburn.c
src/libisoburn.h
Took care of disposal of burn_disc ovbject

18 Oct 2007  [1212]
test/test.c
Silenced compile warning

2007.10.18.225654  [1213]
src/isofs_wrap.c
test/xorriso.c
test/xorrisoburn.c
Fixed a SIGSEGV with empty drive

2007.10.19.140031  [1218]
test/xorrisoburn.c
Made reports with -add normal infos (formerly NOTE events)

2007.10.19.151339  [1219]
test/xorriso.c
test/xorrisoburn.c
test/xorriso.txt
Implemented -print-size

2007.10.19.164957  [1220]
test/xorriso_private.h
test/xorriso.c
test/xorriso.h
test/xorrisoburn.c
test/xorriso.txt
Implemented verbosity control by option -report_about

2007.10.19.173547  [1221]
test/xorriso.c
test/xorrisoburn.c
test/xorriso.txt
Implemented option -eject

2007.10.19.204155  [1222]
test/xorriso_private.h
test/xorriso.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
Implemented option -blank

2007.10.20.170731  [1223]
src/burn_wrap.c
Directed write mode failure message to libburn queue, repaired wrote_well

2007.10.20.171046  [1224]
test/xorrisoburn.c
test/xorriso_private.h
test/xorriso.c
Implemented options -format and -blank deformat, -close and closed media

20 Oct 2007  [1225]
test/xorriso.txt
+ test/xorriso.1
test/changelog.txt
Splitted think text from emerging man page, formatted man page

2007.10.20.194918  [1226]
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
Completed -tell_media_space, checked space before burn, failed -end exits >0

20 Oct 2007  [1227]
test/xorriso.1
Polished man page

2007.10.21.094818  [1228]
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Implemented -rm and -rm_r

2007.10.21.105228  [1229]
src/data_source.c
Silenced compiler warning about C++ style comment

2007.10.21.124315  [1230]
test/xorriso.c
test/xorrisoburn.c
test/xorrisoburn.h
Began to implement -ls and -ls_l, enhanced -cdi, not done yet

2007.10.21.151124  [1231]
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.c
test/xorrisoburn.h
Hopefully completed -cd alias -cdi

2007.10.21.185248  [1232]
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Hopefully completed -cdx

2007.10.21.213303 [1233]
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.c
test/xorriso.1
Implemented sorting of -ls by node name, implemented leaf name search patterns

2007.10.22.211928  [1237]
test/xorrisoburn.c
test/xorriso.1
Implemented file size and mtime for -ls_l

2007.10.23.122349  [1238]
src/libisoburn.h
src/isoburn.c
Added fifo_size to struct isoburn_source_opts

2007.10.23.122753  [1239]
test/xorrisoburn.c
test/xorriso.c
test/xorriso.1
Made use of isoburn_source_opts.fifo_size

2007.10.24.100156  [1244]
test/xorriso.c
test/xorrisoburn.c
Normalized paths to target and source before adding or removing from image

2007.10.24.105424  [1245]
test/xorriso.c
test/xorriso.h
Implemented option -path-list

2007.10.24.175337  [1247]
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
Made -cd useable with no image loaded

2007.10.27.224148  [1257]
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Implemented option -mv

2007.10.27.230512  [1258]
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
Bug fixes with option -mv

2007.10.28.125501  [1260]
test/xorriso.c
test/xorrisoburn.c
Prevented some interesting pitfalls with -mv

2007.10.28.165516  [1261]
test/xorriso.c
test/xorriso.1
test/xorrisoburn.h
test/xorrisoburn.c
Implemented option -mkdir

2007.10.28.174550  [1262]
test/xorriso.c
Warning of wildcards in paths

28 Oct 2007  [1263]
test/xorriso.1
Updated man page about -path-list

2007.10.29.213920  [1273]
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Structured patterns for options -ls and -ls_l

2007.10.30.214242  [1274]
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
test/compile_xorriso.sh
Multiple structured patterns, changed option -ls from single to multi args

2007.10.31.103338  [1275]
test/xorriso_private.h
test/xorriso.h
test/xorriso.c
test/xorrisoburn.c
test/xorriso.1
Implemented new option -temp_mem_limit

2007.10.31.165413  [1276]
test/xorriso.c
test/xorrisoburn.c
test/xorrisoburn.h
Gave simple -ls an implemention with minimal memory consumption

31 Oct 2007  [1277]
test/xorriso.1
Overhauled info paragraphs of man page

2007.10.31.175916  [1278]
test/xorriso_private.h
Overhauled comments in struct XorrisO

31 Oct 2007  [1279]
test/changelog.txt
Updating changelog

2007.11.01.111351  [1280]
test/xorrisoburn.c
Got rid of bad pacifier text at end of CD writing

2007.11.01.191106  [1281]
test/xorriso.h
test/xorriso.c
test/xorrisoburn.c
test/xorrisoburn.h
test/xorriso.1
Implemented option -du

2007.11.02.143549  [1282]
test/xorrisoburn.h
test/xorrisoburn.c
Clearer status messages after reading new volume and after burning

2007.11.02.143658  [1283]
test/xorriso.c
Made -abort_on and -report_about complain with bad severity names

2007.11.02.184705  [1284]
test/xorrisoburn.c
test/xorriso.1
Polished write success message and man page

2007.11.06.163305  [1285]
test/xorriso_private.h
test/xorriso.h
test/xorriso.c
test/xorrisoburn.c
test/xorriso.1
Implemented -overwrite control

2007.11.06.163929  [1286]
src/libisoburn.h
Corrected a typo in a comment

2007.11.06.164029  [1287]
src/isoburn.c
Closed memory leak by freeing session and track in isoburn_prepare_disc_aux()

2007.11.07.123744  [1288]
test/xorriso_private.h
test/xorriso.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Implemented option -reassure

2007.11.07.150157  [1289]
test/xorriso.h
test/xorriso.c
test/xorrisoburn.c
test/xorriso.1
Implemented option -rmdir

2007.11.07.191915  [1290]
test/xorriso.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
Implemented option -chmod (does not get written into image, though)

2007.11.07.225624  [1291]
test/xorriso.c
test/xorrisoburn.c
test/xorrisoburn.h
Implemented options -chown and -chgrp (not written into image, though)

2007.11.08.144451  [1292]
test/xorriso.c
test/xorrisoburn.c
test/xorrisoburn.h
test/xorriso.1
Implemented option -alter_date, corrected write problem with mode and ownership

2007.11.08.145016  [1293]
test/xorriso_private.h
Forgotten source file for rev 1292

8 Nov 2007  [1294]
test/xorriso.1
Enhanced man page text for options -chmod, -chown, -chgrp

2007.11.08.160302  [1295]
test/xorriso.c
Fixed bug with -chmod go=r

2007.11.08.161215  [1296]
test/xorriso.c
test/xorrisoburn.c
Enlarged string size limit of Text_shellsafe()

2007.11.09.193142  [1297]
test/xorriso_private.h
test/xorriso.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
New option -iso_rr_pattern, influencing several options with multiple args

2007.11.11.112321  [1298]
test/xorriso.h
test/xorriso.c
test/xorrisoburn.c
Gave problem handling finer granularity within loops

11 Nov 2007  [1299]
test/xorriso.1
Clarified man page

2007.11.11.154453  [1300]
test/xorriso.c
Added missing commit to normal end of program

11 Nov 2007  [1301]
test/xorriso.1
Added some examples to man page

2007.11.14.142904  [1302]
src/libisoburn.h
src/isofs_wrap.c
src/isoburn.c
test/test.c
New API call isoburn_attach_volset(), changes with isoburn_read_volset()

2007.11.14.143119  [1303]
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Implemented options -outdev and -indev

2007.11.14.175446  [1304]
test/xorriso.c
Corrected premature abort bug with misspelled command words

14 Nov 2007  [1305]
test/xorriso.1
Polished xorriso man page

14 Nov 2007  [1306]
test/changelog.txt
Updated xorriso changelog

2007.11.26.192113  [1311]
test/xorriso.c
test/xorrisoburn.c
Reacted on warnings on a 64 bit system

2007.12.04.074340  [1314]
test/xorriso.h
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.c
test/xorriso.1
Implemented -disk_pattern, -lsx, ls_lx, -dux, -du_lx

2007.12.04.205919  [1315]
test/xorrisoburn.c
test/xorriso_private.h
test/xorriso.c
Removed some redundancy of disk_pattern and iso_rr_pattern matching

4 Dec 2007  [1316]
test/xorriso.1
Polished man page

2007.12.05.090438  [1317]
test/xorriso.h
test/xorriso.c
test/xorriso.1
Option -f-off as counterpart of option -f

2007.12.05.143632  [1318]
test/xorriso.c
Made dashes at options optional

5 Dec 2007  [1319]
test/xorriso.1
Overhauled description of media types, states and expansion methods

2007.12.06.150102  [1320]
test/xorriso.h
test/xorriso.c
test/xorriso.1
Changed -f, -f-off to -follow, -graft-points, -graf-points-off to -pathspecs

6 Dec 2007  [1321]
test/xorriso.1
Removed references to option -graft-points

2007.12.06.192437  [1322]
test/xorriso.c
Corrected warning function about wildcards

8 Dec 2007  [1326]
test/xorriso.1
Explained result pager

2007.12.08.175117  [1327]
test/xorriso.c
test/xorriso_private.h
test/xorrisoburn.c
Removed more code redundancies and fd leak with Xorriso_obtain_pattern_files_x()

2007.12.15.162039  [1328]
test/compile_xorriso.sh
Added -O0 to -g to get better gdb behavior on my new system

2007.12.15.183022  [1329]
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Implemented option -follow

2007.12.16.103456  [1330]
test/xorriso.c
test/xorriso.1
Added link hop limit to option -follow

2007.12.16.122626  [1331]
test/xorrisoburn.c
Added copying of attributes from symbolic link into image

2007.12.16.144615  [1332]
test/xorrisoburn.c
Removed waste of time in Xorriso_show_du_subs()

2007.12.18.175924  [1333]
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Changed options -ls* to -lsd*, introduced new family of -ls* without d

2007.12.20.111338  [1334]
test/xorriso.h
test/xorriso.c
test/xorrisoburn.c
test/xorriso.1
Changed -du_s* into -dus*

2007.12.21.131538  [1335]
test/xorriso.h
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Implemented option -find alias -findi

2007.12.21.132017  [1336]
test/xorriso.c
test/xorriso.1
Corrected documentation about -find

2007.12.22.143803  [1337]
test/xorriso.h
test/xorriso.c
test/xorrisoburn.c
test/xorriso.1
Implemented option -findx

2007.12.24.161107  [1339]
test/xorriso.c
Repaired options -dus and -dusx

24 Dec 2007  [1340]
test/changelog.txt
Updated changelog

2007.12.25.160100  [1341]
test/xorriso.h
test/xorriso.c
test/xorriso.1
Implemented option -cpr

2007.12.26.160040  [1342]
test/xorriso.h
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Changed option -J to -joliet "on"|"off", implemented option -volid

2007.12.28.132741  [1343]
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.c
Made leaner the local memory of recursive functions (because of ulimit -s)

2007.12.30.190138  [1344]
test/xorriso.h
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.c
test/xorriso.1
Implemented -find option -exec echo, chown, chgrp, chmod, alter_date, lsdl

2007.12.30.203336  [1345]
test/xorriso.c
Corrected superuser behavior of Sfile_lookup_permissions()

2007.12.31.095229  [1346]
test/xorriso.c
test/xorrisoburn.c
Repaired some bugs in -find and -findx

2007.12.31.135237  [1347]
test/xorriso.h
test/xorriso.c
test/xorriso.1
Implemented options -chown_r, -chgrp_r, -chmod_r, -alter_date_r

2007.12.31.135330  [1348]
test/xorrisoburn.c
Repaired a bug in -find

2008.01.01.123118  [1349]
test/xorriso.h
test/xorriso_private.h
test/xorriso.c
test/xorrisoburn.h
test/xorrisoburn.c
test/xorriso.1
Implemented -find actions chown_r, chgrp_r, chmod_r, alter_date_r, find

2008.01.02.175011  [1350]
test/xorriso.c
test/xorriso.1
Implemented -find test -type

2008.01.09.175418  [1351]
test/xorrisoburn.c
Corrections made during porting to nglibisofs

2008.01.10.114451  [1352]
+ test/ng_xorrisoburn.h
+ test/ng_xorrisoburn.c
test/compile_xorriso.sh
Begin of porting to next generation libisofs

2008.01.10.151924  [1353]
Makefile.am
+ ng_src
+ ng_src/libisoburn.h
+ ng_src/isoburn.h
+ ng_src/isoburn.c
+ ng_src/isofs_wrap.c
+ ng_src/data_source.c
+ ng_src/burn_wrap.c
Begin of porting to next generation libisofs

2008.01.10.152353  [1354]
test/ng_xorrisoburn.c
test/compile_xorriso.sh
Made compile_xorriso.sh -nglibisofs work on ./ng_src

2008.01.10.154948  [1355]
test/ng_xorrisoburn.c
test/compile_xorriso.sh
Made compile_xorriso.sh -oglibisofs work on ./og_src

2008.01.11.133319  [1356]
test/compile_xorriso.sh
Adapted to existence of nglibisofs eltorito.o

2008.01.11.133631  [1357]
test/xorriso.c
test/ng_xorrisoburn.c
test/xorrisoburn.c
Removed old and new bugs

2008.01.11.174733  [1358]
test/xorriso.c
test/ng_xorrisoburn.c
test/xorrisoburn.c
Tracing the different behavior of isoburn_read_image()

2008.01.11.175423  [1359]
test/ng_xorrisoburn.c
ng_src/isoburn.c
ng_src/libisoburn.h
Changed isoburn_source_opts.ouput_charset to output_charset

2008.01.11.212545  [1361]
ng_src/isofs_wrap.c
Made initialization of iso_read_opts safer

13 Jan 2008  [1364]
+ og_src
- src src/burn_wrap.c
- src/isoburn.c
- src/isoburn.h
- src/data_source.c
- src/isofs_wrap.c 
- src/libisoburn.h 
+ og_src/burn_wrap.c
+ og_src/isoburn.c
+ og_src/isoburn.h
+ og_src/data_source.c
+ og_src/isofs_wrap.c
+ og_src/libisoburn.h
Moved src to og_src and installed symbolic link instead

13 Jan 2008  [1365]
ng_src/isofs_wrap.c
Changes about blanking loaded image

2008.01.13.224929  [1366]
test/ng_xorrisoburn.c
Allowed all filetypes as input, silenced debug during image read

14 Jan 2008  [1367]
test/compile_xorriso.sh
Added forgotten source module

14 Jan 2006  [1368]
ng_src/libisoburn.h
ng_src/isoburn.c
New members in isoburn_source_opts

2008.01.14.163814  [1369]
test/ng_xorrisoburn.c
Closed memory leak, adapted to new members in isoburn_source_opts

2008.01.14.164628  [1370]
test/ng_xorrisoburn.c
Repaired memory hog and a freshly introduced bug

2008.01.14.190220  [1371]
test/xorriso.c
test/ng_xorrisoburn.c
test/xorriso.1
Removed some bugs and made adaptions to nglibisofs

2008.01.14.224645  [1372]
test/xorriso_private.h
test/xorriso.c
test/ng_xorrisoburn.h
test/ng_xorrisoburn.c
test/xorriso.1
Made improvements around volume id

2008.01.15.174409  [1373]
test/xorriso.h
test/xorriso_private.h
test/xorriso.c
test/ng_xorrisoburn.h
test/ng_xorrisoburn.c
test/xorrisoburn.h
test/xorrisoburn.c
Made improvements about pattern matching .., closed small memory leaks 

2008.01.15.204057  [1374]
test/xorriso.c
test/ng_xorrisoburn.h
test/ng_xorrisoburn.c
test/xorrisoburn.h
test/xorrisoburn.c
Closed a small memory leak

2008.01.15.211511  [1375]
test/ng_xorrisoburn.c
Added a forgotten iso_dir_iter_free()

2008.01.16.132909  [1376]
ng_src/isofs_wrap.c
Repaired bug about MMC multi-session image loading

2008.01.16.141631  [1378]
ng_src/isoburn.c
Changed default name of initial image to ISOIMAGE

16 Jan 2008  [1378]
libisoburn.pc.in
Set correct name of library

2008.01.16.200942  [1379]
test/xorriso.c
test/ng_xorrisoburn.c
Adaption to Xorriso_standalonE, some consequences from compiler warnings

16 Jan 2008  [1380]
+ test/make_xorriso_standalone.sh
+ test/xorriso_makefile_am.txt
+ test/configure_ac.txt
+ test/xorriso_pc_in.txt
A sketch of a xorriso source standalone release generator

16 Jan 2008  [1381]
test/configure_ac.txt
test/xorriso_makefile_am.txt
Added a test for readline.h and eventually enabled use of libreadline

2008.01.17.145135  [1382]
test/ng_xorrisoburn.c
Silenced -pedantic compiler warnings about type punning

17 Jan 2008  [1385]
test/make_xorriso_standalone.sh
Silenced most compiler warnings of libisofs in xorriso-standalone

17 Jan 2008  [1386]
+ test/README
Began a README file for xorriso

18 Jan 2008  [1387]
test/make_xorriso_standalone.sh
test/README
+ test/xorriso_eng.html
Worked on documentation

2008.01.18.101933  [1388]
test/xorriso.c
Changed -report_about default to "UPDATE"

18 Jan 2008  [1389]
test/xorriso.1
test/make_xorriso_standalone.sh
+ test/convert_man_to_html.sh
Made a generator for HTML man page

2008.01.19.090417  [1390]
ng_src/libisoburn.h
ng_src/isoburn.c
ng_src/isofs_wrap.c
test/ng_xorrisoburn.c
test/compile_xorriso.sh
test/xorriso_makefile_am.txt
Adaptions to revision 241 of nglibisofs

2008.01.19.090546  [1391]
test/xorriso.c
Added startup message. Removed helptext sentence about unimplemented options

19 Jan 2008  [1392]
test/xorriso_eng.html
test/make_xorriso_standalone.sh
Producing a bootstrapped xorriso standalone tarball

19 Jan 2008  [1393]
test/README
test/xorriso.1
test/xorriso_eng.html
Some polishing of xorriso documentation

2008.01.19.162244  [1394]
test/xorriso.c
test/ng_xorrisoburn.c
Small corrections with version number and write counter report

19 Jan 2008  [1395]
test/changelog.txt
Updated SVN copy of changelog

2008.01.20.102946  [1397]
ng_src/burn_wrap.c
ng_src/data_source.c
ng_src/isoburn.c
ng_src/isofs_wrap.c
Made forgotten adaption to Xorriso_standalonE

2008.01.20.131050  [1398]
test/xorriso.h
test/xorriso_private.h
test/xorriso.c
test/ng_xorrisoburn.c
test/xorriso.1
Made -outdev stdio:/dev/fd/1 safe for single session runs

2008.01.20.200254  [1399]
test/xorriso.h
test/xorriso_private.h
test/xorriso.c
test/xorriso.1
New option -add_plainly

2008.01.21.221939  [1400]
test/xorriso.c
test/xorriso.1
Rejected unsuitable addresses "stdio:" , "stdio:/", "stdio:-", "stdio:."

22 Jan 2008  [1401]
+ test/compare_file.c
Program which compares two files in different trees. Attributes and content.

22 Jan 2008  [1402]
test/configure_ac.txt
Copied test for tm.tm_gmtim from libisofs configure.ac

22 Jan 2008  [1403]
test/compare_file.c
Prepended type indication letter to report lines

2008.01.22.224321  [1404]
test/ng_xorrisoburn.c
Better attributes with directories

2008.01.23.195855  []
ng_src/burn_wrap.c
test/ng_xorrisoburn.c
Adapted to libisofs revision 261

24 Jan 2008  [1410]
test/make_xorriso_standalone.sh
Removed remover of C++ comment lines

2008.01.24.202206  [1411]
ng_src/isoburn.c
ng_src/burn_wrap.c
ng_src/isoburn.h
Gave up use of libburn fifo. Attached -fs and pacifier to libisofs fifo.

2008.01.25.150902  [1413]
test/xorriso.h
test/xorriso.c
test/xorriso.1
New option -rollback_end

25 Jan 2008  [1414]
test/compare_file.c
Fixed bug about file content comparison.

25 Jan 2008  [1415]
test/compare_file.c
Better handling of various content difference situations

2008.01.25.175353  [1416]
test/xorriso.h
test/xorriso.c
test/xorriso.1
test/ng_xorrisoburn.c
New option -commit_eject

2008.01.26.002011  [1417]
- og_src/libisoburn.h
- og_src/isoburn.h
- og_src/isoburn.c
- og_src/isofs_wrap.c
- og_src/burn_wrap.c
- og_src/data_source.c
- og_src/
+ libisoburn/
- ng_src/libisoburn.h
- ng_src/isoburn.h
- ng_src/isoburn.c
- ng_src/isofs_wrap.c
- ng_src/burn_wrap.c
- ng_src/data_source.c
+ libisoburn/libisoburn.h
+ libisoburn/isoburn.h
*+ libisoburn/isoburn.c
*+ libisoburn/isofs_wrap.c
*+ libisoburn/burn_wrap.c
*+ libisoburn/data_source.c
+ xorriso/
- test/README
- test/changelog.txt
- test/compare_file.c
- test/compile_xorriso.sh
- test/configure_ac.txt
- test/convert_man_to_html.sh
- test/make_timestamp.sh
- test/make_xorriso_standalone.sh
- test/ng_xorrisoburn.c
- test/ng_xorrisoburn.h
- test/xorriso.1
- test/xorriso.c
- test/xorriso.h
- test/xorriso_eng.html
- test/xorriso_makefile_am.txt
- test/xorriso_pc_in.txt
- test/xorriso_private.h
- test/xorriso_timestamp.h
- test/xorrisoburn.c
- test/xorrisoburn.h
+ xorriso/README
+ xorriso/changelog.txt
+ xorriso/compare_file.c
*+ xorriso/compile_xorriso.sh
+ xorriso/configure_ac.txt
*+ xorriso/convert_man_to_html.sh
*+ xorriso/make_timestamp.sh
*+ xorriso/make_xorriso_standalone.sh
+ xorriso/xorriso.1
*+ xorriso/xorriso.c
+ xorriso/xorriso.h
+ xorriso/xorriso_eng.html
+ xorriso/xorriso_makefile_am.txt
+ xorriso/xorriso_pc_in.txt
+ xorriso/xorriso_private.h
+ xorriso/xorriso_timestamp.h
*+ xorriso/xorrisoburn.c
+ xorriso/xorrisoburn.h
Makefile.am
Gave up adapter to old libisofs. Renaming libisoburn and xorriso dirs.

2008.01.26.113604  [1418]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
INCOMPATIBLE API CHANGE: isoburn_initialize(char msg[1024], int flag)

2008.01.26.120534  [1419]
libisoburn/libisoburn.h
configure.ac
version.h.in
libisoburn/isoburn.c
libisoburn/burn_wrap.c
Introduced versioning (still pre-release) and new API function isoburn_version()

2008.01.26.140005  [1423]
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_eng.html
Adapted standalone tarball to version functions

2008.01.26.142130  [1424]
xorriso/xorriso.c
Set program revision to 0.0.1 (previous 0.1.0 was too early)

2008.01.26.171156  [1425]
libisoburn/libisoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
INCOMPATIBLE API CHANGE: isoburn_prepare_new_image() now gets output drive

2008.01.27.174454  [1434]
xorriso/xorriso.c
xorriso/xorriso.1
Changed meaning of -add relative/path

2008.01.28.105404  [1435]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Made use of iso_set_abort_severity() with option -abort_on

2008.01.28.140149  [1436]
libisoburn/libisoburn.h
Updated API introduction and marked API instabilities for mending (soon)

2008.01.28.171915  [1437]
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
xorriso/xorrisoburn.c
xorriso/compile_xorriso.sh
xorriso/make_xorriso_standalone.sh
Adapted to libisofs revison 294

2008.01.28.235717  [1438]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
xorriso/xorrisoburn.c
Changed struct isoburn_source_opts to opaque handle struct isoburn_imgen_opts

2008.01.29.125956  [1439]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
xorriso/xorrisoburn.c
Changed struct isoburn_read_opts to opaque handle

2008.01.29.184356  [1440]
configure.ac
version.h.in
libisoburn/libisoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
xorriso/configure_ac.txt
New API call isoburn_is_compatible()

29 Jan 2008  [1441]
libisoburn/libisoburn.h
Some API documentation enhancements

2008.01.29.211543  [1443]
libisoburn/burn_wrap.c
Made use of newest libburn version features

2008.01.31.152131  [1449]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
xorriso/make_xorriso_standalone.sh
Adapted to libisofs revision 313

2008.01.31.214647  [1450]
xorriso/xorrisoburn.h
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
xorriso/make_xorriso_standalone.sh
Compile time and runtime checks for library compatibility

2008.02.01.195817  [1455]
configure.ac
Makefile.am
- libisoburn.pc.in
+ libisoburn-1.pc.in
xorriso/README
Enabled build of dynamically linked xorriso, joined -1.pc club

2008.02.01.200153  [1456]
xorriso/xorriso_makefile_am.txt
Corrected some false paths in xorriso-standalone Makefile.am

2008.02.02.131049  [1457]
configure.ac
Added version checks for libburn and libisofs (by Vreixo)

2008.02.02.131903  [1458]
xorriso/xorriso.h
xorriso/xorriso.c
Added argument to option -commit_eject

2 Feb 2008  [1459]
xorriso/xorriso_eng.html
Updated to current state of development

2008.02.02.181200  [1460]
xorriso/xorrisoburn.c
Compile time check of libisoburn. Enforced minimum track size of 300 sectors.

2008.02.03.131525  [1466]
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
libisoburn/isofs_wrap.c
xorriso/xorrisoburn.c
Made use of ISO_ERR_SEV() and ISO_ERR_PRIO()

2008.02.03.155704  [1467]
libisoburn/isofs_wrap.c
Adapted to libisofs revisio 328

2008.02.03.164038  [1468]
libisoburn/libisoburn.h
libisoburn/isoburn.c
xorriso/xorrisoburn.c
New API call isoburn_cancel_prepared_write()

2008.02.03.164916  [1469]
xorriso/xorrisoburn.c
Reacted on compiler warning

2008.02.03.181259  [1470]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Made -abort_on and -report_about preemptive if given as dashed start arguments

2008.02.04.093106  [1471]
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
Adapted to libisofs revision 332

2008.02.04.154405  [1472]
libisoburn/libisoburn.h
libisoburn/isoburn.c
xorriso/xorrisoburn.c
New API call isoburn_sync_after_write()

2008.02.04.184038  [1475]
libisoburn/libisoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
libisoburn/isofs_wrap.c
xorriso/xorrisoburn.c
Inserted problem messages where libisoburn API produces own failures 

2008.02.04.214133  [1476]
libisoburn/libisoburn.h
libisoburn/isoburn.c
xorriso/xorrisoburn.c
Added parameter to new API calls isoburn_cancel_prepared_write, isoburn_sync_after_write

2008.02.05.162621  [1477]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -padding

2008.02.05.175733  [1478]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorriso.1
Implemented reassure for -rollback, -rollback_end, -end, -commit, -commit_eject

2008.02.05.191456  [1479]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorriso.1
Implemented reassure for -blank, -format, -dev, -indev, -devices

2008.02.06.131028  [1480]
xorriso/xorriso.c
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
Now loading libraries before -version, pacifier for -add

2008.02.06.153709  [1481]
libisoburn/burn_wrap.c
xorriso/xorriso.c
xorriso/xorriso.1
xorriso/xorrisoburn.c
Rectified SORRY,FAILURE,FATAL classification

2008.02.06.183423  [1484]
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
Adapted to libisofs revision 337

2008.02.06.183557  [1485]
xorriso/xorriso.c
Removed some unused code

2009.02.06.184008  [1486]
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
Added a missing 0 digit

2008.02.06.214426  [1487]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
xorriso/xorrisoburn.c
Pacifier for isoburn_read_image()

2008.02.07.074248  [1489]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso_private.h
Added final message to image read pacifier

2008.02.07.154947  [1490]
libisoburn/data_source.c
Implemented a primitive single tile cache for image reading

2008.02.07.211424  [1491]
libisoburn/data_source.c
Stuffed memory leak with read cache. Economized on error retries.

8 Feb 2008  [1494]
- xorriso/compare_file.
+ test/compare_file.c
- ng_src
Cleaning up remainings of move to ng_src

8 Feb 2008  [1495]
test/compare_file.c
Fixed an endless cycle with early EOF

2008.02.08.102122  [1496]
xorriso/xorriso_makefile_am.txt
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/README
Added test/compare_file.c to xorriso-standalone tarball

2008.02.08.173928  [1497]
2008.02.08.174126  [1498]
libisoburn/data_source.c
Renamed macro which controls read caching

2008.02.08.175152  [1499]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Protecting volume ids from getting overwritten by predecessor

2008.02.08.195627  [1500]
xorriso/xorriso.c
Warning of -volid which are not ECMA 119 compliant

2008.02.08.215113  [1501]
xorriso/xorriso.h
xorriso/xorriso.c
Silenced misleading toc messages with -commit_eject "in"

2008.02.09.092805  [1502]
libisoburn/libisoburn.h
libisoburn/isoburn.c
Adapted to libisofs revision 346

2008.02.09.100750  [1503]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
xorriso/xorriso.c
xorriso/xorrisoburn.c
New API function isoburn_disc_available_space() fixes bug with DVD+RW capacity

10 Feb 2008  [1504]
xorriso/README
Some adjustments in description of compare_file and libisoburn

2008.02.10.122020  [1505]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Fixed bugs about -mv /im/age . -cdx / -cpr di/sk im/age -- -cpr di/sk . --

2008.02.10.130852  [1506]
Makefile.am
Added build of test/compare_file as noinst binary

2008.02.10.135822  [1507]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Better handling of not-yet-existing -cd

2008.02.11.094742  [1509]
xorriso/xorriso_private.h
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Discarding, keeping or patching boot images from existing ISO images

2008.02.11.112917  [1510]
xorriso/xorrisoburn.c
Corrected message about isolinux patch option

2008.02.11.113235  [1511]
xorriso/xorriso.h
xorriso/xorriso.c
Final UPDATE message after grafting in files from disk

2008.02.11.135418 [1512]
xorriso/xorriso_private.h
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorriso.1
New option -return_with

2008.02.11.150123  [1513]
xorriso/xorrisoburn.c
isoburn_igopt_allow_full_ascii for -bootimage any keep

2008.02.11.150700  [1514]
xorriso/xorriso.c
xorriso/xorriso.1
Clarifications about -volid rules

11 Feb 2008  [1515]
xorriso/README
Adjustments about libisoburn and xorriso dynamic dependencies, compare_file

2008.02.11.162406  [1516]
xorriso/xorrisoburn.c
xorriso/xorriso.c
Changed failure to find a file for removal from FAILURE to SORRY

2008.02.11.174517  [1517]
xorriso/xorriso.c
Corrected a bug about -status -return_with

2008.02.11.194807  [1519]
libisoburn/burn_wrap.c
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New severity MISHAP

2008.02.11.213918  [1520]
xorriso/xorrisoburn.c
Mapping in burn runs -abort_on MISHAP to SORRY 

2008.02.12.215327  [1521]
libisoburn/burn_wrap.c
xorriso/xorriso.c
xorriso/xorrisoburn.c
Improved MISHAP - SORRY mapping and tunneling

2008.02.14.084342  [1525]
+ README
+ COPYING
+ COPYRIGHT
+ INSTALL
libisoburn/libisoburn.h
Completing documentation

2008.02.14.101916  [1526]
Makefile.am
Adjusted EXTRA_DIST list of files

2008.02.14.120557  [1527]
xorriso/xorrisoburn.c
Made a final abort check before burning begins

2008.02.14.175623  [1528]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Imprinting version of xorriso and libraries into ISO preparer_id

2008.02.14.182351  [1529]
xorriso/xorrisoburn.c
Made preparer_id more safe against oversize

14 Feb 2008  [1530]
xorriso/xorriso.1
Polished man page

14 Feb 2008  [1531]
xorriso/changelog.txt
Updated changelog

2008.02.15.100001  [branch 1533]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/compile_xorriso.sh
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Made version number leap to 0.1.0

15 Feb 2008  [branch 1534]
xorriso/changelog.txt
Documented initial release and timestamp

15 Feb 2008  [1536]
configure.ac
Increased libisofs requirement to 0.6.2

----------------------------- release  - xorriso-0.1.0.pl00 - 2008.02.15.100001
* Operates on an existing ISO image or creates a new one.
* Copies files from filesystem into the ISO image.
* Renames or deletes file objects in the ISO image.
* Changes file properties in the ISO image.
* Can write result as completely new image to optical media
  or filesystem objects.
* Can write result as add-on session to appendable
  multi-session media, to overwriteable media,
  to regular files, and to block devices.
* Scans for optical drives, blanks re-useable optical media.
* Reads its instructions from command line arguments, dialog, and  batch files.
* Provides navigation commands for interactive ISO image manipulation.
* Adjustable thresholds for abort, exit value, and problem reporting.


2008.02.15.211836  [1537]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/compile_xorriso.sh
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.1.1

15 Feb 2008  [1538]
COPYRIGHT
Corrected according to content of libisofs/COPYRIGHT

2008.02.15.212030  [1539]
xorriso/xorriso.c
Changed pacifier text for 0 nodes read from blank image

------------------------------------ cycle  - xorriso-0.1.1 - 2008.02.15.212030

15 Feb 2008  [1540]
xorriso/changelog.txt
Updated changelog

16 Feb 2008  [1543]
xorriso/xorriso.1
Adjusted CREDITS text

2008.02.16.202533  [1544]
xorriso/xorriso_private.h
xorriso/xorrisoburn.c
Transfering properties from disk to implicit directories in image path

2008.02.16.211549  [1545]
xorriso/xorriso_eng.html
xorriso/changelog.txt
Mentioned better directory attribute copying

------------------------------------ cycle  - xorriso-0.1.1 - 2008.02.16.211549
* Improved attribute transfer from disk for implicit target directories

2008.02.18.210343  [1546]
xorriso/xorriso.c
Bug fix: -report_about higher than NOTE did not report at all

19 Feb 2008  [1547]
test/compare_file.c
Improved report format

2008.02.19.184432  [1548]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -as cdrecord emulates a narrow set of cdrecord gestures

2008.02.19.212322  [1549]
xorriso/xorriso.c
xorriso/xorriso_private.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Improved -as cdrecord

20 Feb 2008  [1550]
test/compare_file.c
Revoked inflation of file type characters to words

2008.02.20.234726  [1551]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -as mkisofs emulates a narrow set of mkisofs gestures

------------------------------------ cycle  - xorriso-0.1.1 - 2008.02.21.090014
* Bug fix: -report_about HINT or higher did not report at all
* Bug fix: speed=number without unit or media type letter was always CD speed
* Bug fix: it was possible to write to appendable media which was not -indev
* New option -as "cdrecord" emulates a narrow set of cdrecord gestures
* New option -as "mkisofs" emulates a narrow set of mkisofs gestures

2008.02.21.090014  [1552]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
New option -publisher

2008.02.21.185203  [1553]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Implemented a more reasonable solution for drive truncation with regular files

2008.02.21.204613  [1558]
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
Introduced new severity ERRFILE

2008.02.21.211101  [1559]
xorriso/xorriso.c
Updated -help text

2008.02.22.114917  [1561]
libisoburn/burn_wrap.c
xorriso/xorriso.c
xorriso/xorrisoburn.c
Producing ERRFILE messages where appropriate

2008.02.23.101619  [1568]
libisoburn/libisoburn.h
Changed libisofs requirements to 0.6.3

2008.02.23.101619  [1569]
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
Testwise implementation of libisofs.0.6.3 features

2008.02.23.101619  [1570]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorriso.1
New option -errfile_log

2008.02.23.102903  [1571]
xorriso/configure_ac.txt
Made libisofs version leap in xorriso-standalone

2008.02.23.113902  [1572]
xorriso/xorriso.h
xorriso/xorriso.c
Directed -as mkisofs -print-size to real stdout

2008.02.23.125537  [1573]
xorriso/xorrisoburn.c
Various bugs and deviations around -as mkisofs -print-size

2008.02.23.131825  [1574]
xorriso/xorrisoburn.c
Wrong description text

2008.02.25.090001  [ZeroOneZero-pl01 1576 1577]
libisoburn/burn_wrap.c
xorriso/xorriso_timestamp.h
Safety cap for ABI usage bug towards libisofs >= 0.6.2

2008.02.25.174229  [1579]
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
Adapted to libisofs 362 from Vreixo bzr

2008.02.25.204402  [1580]
xorriso/xorriso.c
Adaptions of -as mkisofs and -as cdrecord to enable full use by scdbackup

25 Feb 2008  [1581]
xorriso/changelog.txt
Updated changelog

------------------------------------ cycle  - xorriso-0.1.1 - 2008.02.25.204402
* New option -publisher
* New option -errfile_log


26 Feb 2008  [1582]
test/compare_file.c
Avoided to read content of non-regular files

2008.02.26.213437  [1583]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -compare

2008.02.27.185744  [1584]
xorriso/xorriso.c
Installed pacifier for data reading

2008.02.28.132656  [1587]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Added new action "compare" to -find

28 Feb 2008  [1588]
xorriso/xorriso_eng.html
Mentioned capability to write DVD+R/DL.

2008.02.28.212210  [1589]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
New option -compare_r

28 Feb 2008  [1590]
xorriso/xorriso.1
New option -compare_r, new -findx -exec in_iso, -exec no_in_iso

28 Feb 2008  [1591]
test/compare_file.c
Micro bug fix ported from xorriso

2008.02.28.215343  [1592]
xorriso/xorriso.c
Better handling of disk to iso address mapping during compare runs

2008.02.29.200510  [1593]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -update (not yet completed)

2008.03.01.151219  [1594]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option update_r, -find actions "update" and "add_missing" (not yet completed)

2008.03.02.172751  [1596]
xorriso/xorrisoburn.c
Made -update_r and -find -exec update safe against IsoDirIter pitfalls

2008.03.02.201455  [1597]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Made IsoDirIter workaround obey -temp_mem_limit

4 Mar 2008  [libisofs_thomas 1599 1600]
Switch to Vreixo development branch 378

2008.03.04.174107  [1601]
xorriso/make_xorriso_standalone.sh
xorriso/xorriso_makefile_am.txt
Adapted to libisofs Vreixo 378

2008.03.04.180738  [1602]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Improvements about -update_r and -compare_r

2008.03.05.125118  [1603]
xorriso/xorrisoburn.c
Bug fix: -follow param did not work for symbolic links

------------------------------------ cycle  - xorriso-0.1.1 - 2008.03.05.125118
* Support for DVD+R/DL media
* Bug fix: -follow param did not work for adding non-directory symbolic links


2008.03.05.173329  [1604]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Made -compare* and -update* obey -follow links (-follow mount still not correct)

5 Mar 2008  [1605]
xorriso/xorriso.1
Some man page clarification

2008.03.06.114233  [1606]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -find actions "rm" and "rm_r", silenced comparison results with -update*

2008.03.06.174724  [1608]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Fixed bug about non existing disk_path with -update_r

7 Mar 2008  [1609]
xorriso/xorriso_eng.html
Re-arranged development download part

2008.03.07.075325  [1610]
xorriso/xorriso.c
xorriso/xorrisoburn.c
New -findx -type "m" for active mount points

2008.03.07.182411  [1611]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -findx -exec action "empty_iso_dir", workaround for ticket 132

2008.03.07.220442  [1612]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Made -update_r and -compare_r obey disabling of -follow "mount"

8 Mar 2008  [libisofs_thomas 1613]
Switch to Vreixo development branch 383

2008.03.08.104231  [1614]
xorriso/xorrisoburn.c
Adapted to iso_tree_add_new_node()

8 Mar 2008  [1615]
xorriso/xorriso.1
Example use case for -update_r "Incremental backup of a few directory trees"

------------------------------------ cycle  - xorriso-0.1.1 - 2008.03.08.122747
* Bug fix: It was not possible to -add /THIS=a /b=THIS
* New options -compare, -compare_r and according -find -exec action
* New options -update, -update_r and according -find -exec action
* New -find actions "rm", "rm_r", new -findx -type "m" -exec "empty_iso_dir"


2008.03.09.142200  [1616]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -cut_out

9 Mar 2008  [libisofs_thomas 1617]
Switch to Vreixo development branch 386

2008.03.09.211041  [1618]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Some polishing about -cut_out

2008.03.11.113444  [1619]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Sketched split file scheme with partno,totalparts,offset,count,totalsize

11 Mar 2008  [1620]
xorriso/xorriso.1
Updated description of -cut_out

------------------------------------ cycle  - xorriso-0.1.1 - 2008.03.11.113444
* New option -cut_out


2008.03.12.100001 [XorrisoZeroOneTwo 1626]
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to xorriso-0.1.2

---------------------------------- release  - xorriso-0.1.2 - 2008.03.12.100001
* Bug fix: -report_about HINT or higher did not report at all
* Bug fix: speed=number without unit or media type letter was always CD speed
* Bug fix: it was possible to write to appendable media which was not -indev
* Bug fix: -follow param did not work for adding non-directory symbolic links
* Bug fix: It was not possible to -add /THIS=a /b=THIS
* Improved attribute transfer from disk for implicit target directories
* New option -as "cdrecord" emulates a narrow set of cdrecord gestures
* New option -as "mkisofs" emulates a narrow set of mkisofs gestures
* New option -publisher
* New option -errfile_log
* Support for DVD+R/DL media
* New options -compare, -compare_r and according -find -exec action
* New options -update, -update_r and according -find -exec action
* New -find actions "rm", "rm_r", new -findx -type "m" -exec "empty_iso_dir"
* New option -cut_out


2008.03.12.130605  [1627]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.1.3

------------------------------------ cycle  - xorriso-0.1.3 - 2008.03.12.130605

12 Mar 2008  [XorrisoZeroOneTwo 1628] [1629]
xorriso/changelog.txt
Documented changes and release timestamp

2008.03.19.081837  [1637]
xorriso/xorriso.c
Bug fix: -as mkisofs -nopad must be -no-pad

19 Mar 2008  [1638]
xorriso/xorriso.1
Added a hint about alternating media with -update_r

------------------------------------ cycle  - xorriso-0.1.3 - 2008.03.19.081837
* Bug fix: -as mkisofs -no-pad was misspelled -nopad


20 Mar 2008  [1639]
xorriso/README
Added -commit_eject all to an example which involves mount

2008.03.20.192317  [1640]
xorriso/xorriso.c
Changed messages of -update and -update_r

2008.03.20.210522  [1641]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Better handling of attempt to manipulate non-existent ISO image

2008.03.22.130031  [1642]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Working towards coordination of -compare, -update and -cut_out

2008.03.22.130128  [1643]
xorriso/xorrisoburn.c
Bug fix: Implicite directory attribute copying with -cut_out was wrong

------------------------------------ cycle  - xorriso-0.1.3 - 2008.03.22.130128
* Bug fix: Implicite directory attribute copying with -cut_out was wrong


22 Mar 2008  [1644]
xorriso/xorriso.1
Correction about Linux mount which does not accept session= with DVD.

2008.03.25.170747  [1645]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Working towards coordination of -compare, -update and -cut_out

2008.03.26.092120  [1646]
xorriso/xorrisoburn.c
Gave up obsoleted macros and their code branches

2008.03.27.103344  [1647]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Working towards coordination of -update and -cut_out

27 Mar 2008  [1648]
xorriso/xorriso.1
Published coordination rules for -cut_out, -compare and -update

2008.03.29.164038  [1649]
xorriso/xorriso_private.h
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -split_size, automated splitting of oversized files

------------------------------------ cycle  - xorriso-0.1.3 - 2008.03.29.164038
* Coordination of -cut_out, -compare and -update
* New option -split_size, automated splitting of oversized files

2008.03.31.081347  [1650]
xorriso/xorriso.c
xorriso/xorriso.1
Adjusted documentation of -split_size

2008.04.01.213121  [1652]
libisoburn/data_source.c
Replaced single 128 kB cache tile by 32 tiles of 64 kB each

2 Apr 2008  [1653]
COPYRIGHT
Corrected GPL version

------------------------------------ cycle  - xorriso-0.1.3 - 2008.04.03.074309
* Improved performance with reading directory trees

2008.04.03.204051  [1657]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -session_log

5 Apr 2008  [1658]
xorriso/xorriso.1
Mentioned that drives close full media automatically 

2008.04.05.112055  [1659]
xorriso/xorrisoburn.c
Reporting amount of non-data with -toc media summary

5 Apr 2008  [1660]
xorriso/xorriso_eng.html
Mentioned new features

------------------------------------ cycle  - xorriso-0.1.3 - 2008.04.05.112055
* New option -session_log

2008.04.07.185727  [1662]
xorriso/xorriso.h
Added prototype of Xorriso_option_session_log()

2008.04.07.201253  [1664]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Removed some unused code

8 Apr 2008  [1677]
xorriso/configure_ac.txt
Followed version leaps of libburn

2008.04.08.153508  [1678]
libisoburn/libisoburn.h
xorriso/xorrisoburn.c
Made libisoburn and xorriso require libburn >= 0.4.4 

2008.04.09.114815  [1679]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Corrected behavior around image data read error

2008.04.12.112159  [1682]
xorriso/xorriso.c
Changed behavior of -commit_eject ""

2008.04.18.184517  [1690]
libisoburn/data_source.c
Restricted ds_read_block() messages about unreadable data to actual data block

2008.04.20.111054  [1692]
libisoburn/data_source.c
Corrected maximum age value for read buffer tiles

20 Apr 2008  [1693]
xorriso/xorriso.1
Mentioned stdin with option -path_list

2008.04.20.111419  [1694]
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
Displaying free space rather than "non-data" on drive aquiry and -toc

28 Apr 2008  [1709]
xorriso/configure_ac.txt
Updated libisofs version number in xorriso-standalone

------------------------------------ cycle  - xorriso-0.1.3 - 2008.04.28.082539
* Now depending on libisofs-0.6.4

2008.04.28.120001  [branch 1711]
configure.ac
README
libisoburn/libisoburn.h (isoburn_header_version_*)
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h (xorriso_libisoburn_req_*)
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.1.4

28 Apr 2008  [branch 1712]
xorriso/changelog.txt
Documented changes and release timestamp

---------------------------------- release  - xorriso-0.1.4 - 2008.04.28.120001
* Bug fix: -as mkisofs -no-pad was misspelled -nopad
* Bug fix: Implicite directory attribute copying with -cut_out was wrong
* Coordination of -cut_out, -compare and -update
* New option -split_size, automated splitting of oversized files
* Improved performance with reading directory trees
* New option -session_log
* Dynamically linkable with release version 0.6.4 of libisofs


2008.04.28.122244  [1713]
configure.ac
README
libisoburn/libisoburn.h (isoburn_header_version_*)
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h (xorriso_libisoburn_req_*)
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.1.5

28 Apr 2008  [1714]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.1.5 - 2008.04.28.122244

2008.05.01.124248  [1716]
libisoburn/isofs_wrap.c
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -error_behavior with a first occasion 'image_loading'

1 May 2008  [1717]
xorriso/convert_man_to_html.sh
Fine tuning of HTML man page appearance

1 May 2008  [1718]
xorriso/xorriso.1
Clarified "best_effort" behavior

2008.05.01.135421  [1719]
libisoburn/data_source.c
Adjusted ds_read_block() to inofficial libisofs expectations

2008.05.01.174110  [1720]
libisoburn/data_source.c
Adjusted ds_read_block() to inofficial libisofs expectations

2008.05.02.072505  [1721]
libisoburn/data_source.c
Adjusted ds_read_block() to inofficial libisofs expectations

2008.05.02.204942  [1722]
xorriso/xorriso_private.h
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Working towards exclusion of user defined absolute paths and leaf patterns

2008.05.03.151106  [1724]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Working towards exclusion of user defined absolute paths and leaf patterns

2008.05.03.223204  [1725] 
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Working towards exclusion of user defined absolute paths and leaf patterns

2008.05.04.133525  [1726]
xorriso/xorriso.c
xorriso/xorriso.1
New options -not_paths, -not_leaf, -not_list, -not_mgt, -as mkisofs -m

4 May 2008  [1727]
xorriso/xorriso_eng.html
xorriso/changelog.txt
Mentioned new options

------------------------------------ cycle  - xorriso-0.1.5 - 2008.05.04.133525
* New option -error_behavior with a first occasion 'image_loading'
* New options -not_paths, -not_leaf, -not_list, -not_mgt, -as mkisofs -m


2008.05.05.210317  [1728]
xorriso/xorrisoburn.c
After formatting DVD-RW write 128 MB and close track to end Intermediate State

2008.05.06.084439  [1731]
xorriso/xorrisoburn.c
Calling isoburn_cancel_prepared_write() after failed isoburn_disc_write()

2008.05.06.144606  [1732]
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
libisoburn/burn_wrap.c
Experiment for TOC on overwriteables: Keep a target_head copy of session #1

2008.05.07.071427  [1737]
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
libisoburn/isofs_wrap.c
Removed some outdated ifdef cases

2008.05.07.175508  [1738]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/burn_wrap.c
Reading emulated toc info from overwriteable media, new API isoburn_toc_*()

2008.05.07.175640  [1739]
xorriso/xorrisoburn.c
Making use of new isoburn_toc_* functions

2008.05.07.214343  [1740]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
New API function isoburn_read_iso_head()

2008.05.07.214442  [1741]
xorriso/xorrisoburn.c
New format with -toc is more concise and shows volume id

2008.05.08.141054  [1742]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/burn_wrap.c
Try to read header chain from alleged -ROM media (e.g. DVD+RW in -ROM drive)

2008.05.08.141920  [1743]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New TOC layout with volume id and sbsector=, new option -rom_toc_scan 

8 May 2008  [1744]
xorriso/xorriso_eng.html
Mentioned new features

------------------------------------ cycle  - xorriso-0.1.5 - 2008.05.08.141920
* Emulated TOC on overwriteable media
* New TOC layout with volume id and sbsector=
* New option -rom_toc_scan


2008.05.08.185350  [1745]
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
Adjusted reply of isoburn_disc_get_msc1() to eventual -rom_toc_scan result

8 May 2008  [1746]
xorriso/xorriso.1
Updated man page examples

8 May 2008  [1747]
xorriso/xorriso.1
Updated man page examples

------------------------------------ cycle  - xorriso-0.1.5 - 2008.05.08.205551

9 May 2008  [1751]
xorriso/xorriso_eng.html
Updated details in web page

2008.05.09.205517  [1752]
libisoburn/isofs_wrap.c
Trying to better handle non ISO images on -indev

10 May 2008  [1761]
xorriso/configure_ac.txt
Adapted xorriso standalone production to new libburn cycle 0.4.7

10 May 2008  [1762]
xorriso/xorriso.1
xorriso/xorriso_eng.html
Minor change in -update_r example

2008.05.10.194336  [1763]
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.c
Better behavior of update_r with no image present

2008.05.12.080812  [1765]
configure.ac
libisoburn/libisoburn.h
Switched requirements to libburn-0.4.6

2008.05.12.081331  [1766]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
New API call isoburn_set_msc1()

2008.05.12.082733  [1767]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New option -load session|track|sbsector|volid

------------------------------------ cycle  - xorriso-0.1.5 - 2008.05.12.082733
* New option -load session|track|sbsector|volid
* Now depending on libburn-0.4.6


2008.05.12.193341  [1768]
libisoburn/burn_wrap.c
Reacted on harmless compiler warning

2008.05.12.193642  [1769]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -blank and -format modes as_needed

2008.05.13.115901  [1770]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New option -list_formats

2008.05.13.135251  [1771]
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Corrected strange behavior with non-ISO images on overwriteable media

2008.05.13.153837 [1772]
xorriso/xorrisoburn.c
Prepared Xorriso_get_profile() for potential call without flag bit1

2008.05.13.180624  [1773]
xorriso/xorrisoburn.c
Handled -list_format with non MMC drives

2008.05.13.180912  [1774]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorriso.1
Eat up leading dashes with command options, convert inner dashes to underscores

------------------------------------ cycle  - xorriso-0.1.5 - 2008.05.13.180912
* New -blank and -format modes as_needed
* New option -list_formats

2008.05.14.114548  [1775]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -format types by_index and fast_by_index

2008.05.14.173201  [1779]
configure.ac
libisoburn/libisoburn.h
Required libburn version is now 0.4.7 (because of DVD-RAM BD-RE bug fix)

2008.05.14.173430  [1780]
xorriso/xorrisoburn.c
Automatic fast format on attempt to write to unformatted DVD-RAM or BD-RE 

2008.05.14.174846  [1781]
xorriso/xorriso_private.h
Uploaded forgotten enhancements

2008.05.15.092028  [1783]
xorriso/xorriso.c
Enabled a pacifier for compare_r

2008.05.15.150041  [1784]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New options -map and -map_single

2008.05.15.192118  [1785]
xorriso/xorriso.c
Bug fix: -update_r and others did not work properly with relative paths

------------------------------------ cycle  - xorriso-0.1.5 - 
* New options -map and -map_single
* Bug fix: -update_r and others did not work properly with relative paths


2008.05.17.162753  [1794]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Corrected ugly message with -update_r and root directory

2008.05.17.170001  [1796]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.1.6, requiring libburn-0.4.8 now

2008.05.18.070001  [1797]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Bug fix: -findi operated on nodes which ceased existence shortly before

18 May 2008  [1799]
xorriso/changelog.txt
Documented changes and release timestamp

---------------------------------- release  - xorriso-0.1.6 - 2008.05.18.070001
* New option -error_behavior with a first occasion 'image_loading'
* New options -not_paths, -not_leaf, -not_list, -not_mgt, -as mkisofs -m
* Emulated TOC on overwriteable media
* New TOC layout with volume id and sbsector=
* New option -rom_toc_scan
* New option -load session|track|sbsector|volid
* Now depending on libburn-0.4.8
* New -blank and -format modes as_needed
* New option -list_formats
* New options -map and -map_single
* Bug fix: -update_r and others did not work properly with relative paths
* Bug fix: -findi operated on nodes which ceased existence shortly before


2008.05.18.082208  [1798]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Bug fix: -findi operated on nodes which ceased existence shortly before

2008.05.18.084729  [1800]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/changelog.txt
Version leap to 0.1.7, requiring libburn-0.4.8 now

------------------------------------ cycle  - xorriso-0.1.7 - 2008.05.18.084729

2008.05.20.075142  [1804]
xorriso/xorriso.c
Making Xorriso_prescan_args() safe against misunderstandings

2008.05.22.192618  [1808]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
First experiments of osirrox ISO-to-disk copying

2008.05.22.192737  [1809]
libisoburn/data_source.c
Removed outdated code branch

2008.05.22.210835  [1810]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options -osirrox and -cpx

2008.05.24.092546  [1812]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Enabled osirrox of more file types, curbed with device files

2008.05.24.092853  [1813]
libisoburn/isoburn.c
Bug fix: modifying to overwriteable target yielded unmountable results

------------------------------------ cycle  - xorriso-0.1.7 - 2008.05.24.092853
* Bug fix: Modifying to overwriteable target yielded unmountable results
* New options -osirrox and -cpx


2008.05.24.170109  [1814]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Some polishing with -cpx

26 May 2008  [1815]
xorriso/configure_ac.txt
standalone version switch to libisofs-0.6.5

2008.05.26.181210  [1816]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Improved access permission restauration by osirrox

2008.05.27.201513  [1817]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New option -stream_recording

2008.05.31.174045  [1819]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Implemented concatenation of split files during -cpx

------------------------------------ cycle  - xorriso-0.1.7 - 2008.05.31.174045
* New option -stream_recording

2008.06.01.134322  [1820]
xorriso/xorrisoburn.c
Reacted on harmless compiler warning

2008.06.01.145038  [1821]
xorriso/configure_ac.txt
standalone version switch to libisofs-0.6.6

2008.06.01.145155  [1822]
configure.ac
libisoburn/libisoburn.h
Switched requirements to libisofs-0.6.6

------------------------------------ cycle  - xorriso-0.1.7 - 2008.06.01.145155
* Bug fix: major,minor numbers of device files appeared as 0,1 in next session


2008.06.02.070301  [1824]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.1.8

2 Jun 2008  [1825]
xorriso/changelog.txt
Documented changes and release timestamp

---------------------------------- release  - xorriso-0.1.8 - 2008.06.02.070301
* Bug fix: Modifying to overwriteable target yielded unmountable results
* Bug fix: major,minor numbers of device files appeared as 0,1 in next session
* New option -stream_recording for full speed with DVD-RAM and BD-RE
* New options -osirrox and -cpx allow to extract single files from ISO image


2008.06.02.141334  [1826]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.1.9

2 Jun 2008  [1827]
xorriso/changelog.txt
Documented changes and release timestamp

2 Jun 2008  [1828]
xorriso/xorriso.1
Beautified documentation of -osirrox

------------------------------------ cycle  - xorriso-0.1.9 - 2008.06.02.141334

5 Jun 2008  [1834]
xorriso/convert_man_to_html.sh
Beautified HTML man page

2008.06.05.165023  [1835]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options -cpax, -cp_rx, -cp_rax to restore files and trees from ISO to disk

2008.06.06.083432  [1839]
xorriso/xorriso.c
Bug fix: -chmod unintentionally performed o-x as first operation

2008.06.06.103735  [1840]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Fine tuning of directory attribute copying with -cp_rx


------------------------------------ cycle  - xorriso-0.1.9 - 
* New options -cpax, -cp_rx, -cp_rax to restore files and trees from ISO to disk
* Bug fix: -chmod unintentionally performed o-x as first operation


2008.06.09.134432  [1841]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Allowing to restore from image with pending changes

2008.06.09.165735  [1842]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Removed some outdated code parts

2008.06.10.094304  [1844]
libisoburn/isoburn.c
libisoburn/burn_wrap.c
Removed outdated code parts

2008.06.10.100231  [1845]
xorriso/xorrisoburn.c
Removed outdated code parts

2008.06.11.131607  [1846]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Proper handling of restore overwrite situations with directories and softlinks

------------------------------------ cycle  - xorriso-0.1.9 - 2008.06.11.131607

2008.06.12.112644  [1847]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Corrections about restoring of directories

------------------------------------ cycle  - xorriso-0.1.9 - 2008.06.12.112644

2008.06.13.151630  [1848]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -paste_in

2008.06.14.104745  [1849]
xorriso/xorriso.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New options -extract and -extract_single

14 Jun 2008  [1850]
xorriso/convert_man_to_html.sh
Beautification of HTML man page

2008.06.14.140459  [1851]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Correction about -extract / /

2008.06.14.184512  [1854]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorriso.1
xorriso/convert_man_to_html.sh
Gave up the unusual parameter sequences of -extract and -paste_in

------------------------------------ cycle  - xorriso-0.1.9 - 2008.06.14.184512
* New option -paste_in to copy ISO files into parts of disk files
* New option -extract restores with arguments of -map or -update_r


2008.06.17.121524  [1857]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorriso.1
New options -map_l, -compare_l, -update_l, -extract_l

2008.06.17.133914  [1858]
xorriso/xorriso.c  
Reacted on harmless compiler warning

2008.06.17.170622  [1859]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Fixed a bug about -update_l

2008.06.18.132057  [1860]
libisoburn/isoburn.h
libisoburn/burn_wrap.c
Made -rom_toc_scan work on closed DVD-R in a DVD-ROM drive

2008.06.18.161512  [1861]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
libisoburn/burn_wrap.c
libisoburn/data_source.c
New API functions isoburn_preset_msgs_submit(), isoburn_set_msgs_submit()

2008.06.18.161723  [1862]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Made use of isoburn_preset_msgs_submit()

------------------------------------ cycle  - xorriso-0.1.9 - 2008.06.18.161723
* New options -map_l, -compare_l, -update_l, -extract_l
* New API functions isoburn_set_msgs_submit(), isoburn_drive_set_msgs_submit()


2008.06.18.192913  [1863]
libisoburn/burn_wrap.c
Improved pacifier with -rom_toc_scan

2008.06.19.090436  [1864]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
Renamed isoburn_*set_msgs_submit() and slightly changed meaning

2008.06.19.092458  [1865]
libisoburn/burn_wrap.c
Corrected wrong size unit MB to kB in toc scan pacifier text

2008.06.20.091647  [1866]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -osirrox option auto_chmod_on

------------------------------------ cycle  - xorriso-0.1.9 - 2008.06.20.091647


2008.06.20.164105  [1867]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Fixed several bugs with restore operations

2008.06.21.180701  [1870]
xorriso/xorriso.1
Corrected mistake in xorriso man page

------------------------------------ cycle  - xorriso-0.1.9 - 2008.06.21.180701

2008.06.22.080000  [1872]
xorriso/xorriso.c
Removed duplicated help text snippet

2008.06.22.090001  [1873]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.2.0

22 Jun 2008  [1874]
xorriso/changelog.txt
Documented changes and release timestamp

---------------------------------- release  - xorriso-0.2.0 - 2008.06.22.090001
* Bug fix: -chmod unintentionally performed o-x as first operation
* New options -cpax, -cp_rx, -cp_rax to restore files and trees from ISO to disk
* New option -extract restores with arguments of -map or -update_r
* New option -paste_in to copy ISO files into parts of disk files
* New options -map_l, -compare_l, -update_l, -extract_l
* New API functions isoburn_set_msgs_submit(), isoburn_drive_set_msgs_submit()

2008.06.22.111236  [1875]
xorriso/xorriso.c
Removed duplicated help text snippet

2008.06.22.135202  [1876]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.2.1

22 Jun 2008  [1877]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.2.1 - 2008.06.22.135202


2008.06.27.124201  [1880]
xorriso/xorrisoburn.c
Bug fix: -as cdrecord -atip falsely announced overwriteable DVD-RW to sdvdbackup

2008.06.27.130235  [1881]
xorriso/xorriso.c
Extended -as cdrecord blank= by blank type format_overwrite

------------------------------------ cycle  - xorriso-0.2.1 - 2008.06.27.130235


2008.07.03.133023  [1882]
xorriso/xorriso.c
Flushing stdout after each result text to deconfuse stdout/stderr with SSH

2008.07.04.070001  [1884]
xorriso/xorriso.c
Supporting option -as cdrecord -waiti

2008.07.05.132528  [1885]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
libisoburn/burn_wrap.c
libisoburn/data_source.c
New API function isoburn_prepare_blind_grow() for -as mkisofs -multi

2008.07.05.133721  [1886]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -grow_blindly 

2008.07.05.180241  [1887]
libisoburn/isoburn.c
Fixed a bug with -grow_blindly to overwriteable media

2008.07.05.182424  [1888]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorriso.1
New options -C and -M for -as mkisofs 

2008.07.05.184434  [1889]
xorriso/xorriso.c
Cared for a peculiarity of growisofs when using mkisofs -C

5 Jul 2008  [1890]
xorriso/xorriso_eng.html
Updated xorriso homepage

------------------------------------ cycle  - xorriso-0.2.1 - 2008.07.05.184434
* New API function isoburn_prepare_blind_grow()
* New option -grow_blindly
* New options -C and -M for -as mkisofs emulation


2008.07.06.110336  [1891]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Improved effective drive address with -as mkisofs -M

2008.07.07.095531  [1892]
xorriso/xorriso.c
Fixed bug about -as mkisofs without -C

2008.07.07.102941  [1893]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
Semi-permanent emulation by start names xorrisofs,genisofs,mkisofs,genioimage

------------------------------------ cycle  - xorriso-0.2.1 - 2008.07.07.102941

2008.07.07.150241  [1894]
xorriso/xorriso.c
Correction about -as mkisofs -C if already an input device was set

2008.07.07.150337  [1895]
libisoburn/isoburn.c
Correction about isoburn_igopt_get_effective_lba() with blind growing

7 Jul 2008  [1896]
xorriso/xorriso.1
Clarification about -grow_blindly predicted_nwa

2008.07.07.150337  [1897]
xorriso/xorriso.c
xorriso/xorriso.1
Made leafname triggered emulation more similar to -as emulation

2008.07.08.092732  [1898]
Makefile.am
README
xorriso/xorriso_makefile_am.txt
xorriso/README
Installing softlinks xorrisofs and osirrox pointing to the xorriso binary

2008.07.08.102622  [1899]
xorriso/xorriso_private.h
Header file forgotten with rev 1897

2008.07.08.132054  [1900]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Avoided misleading message about emptied ISO image during -as mkisofs -C

8 Jul 2008  [1901]
xorriso/xorriso_eng.html
Documented newest progress

------------------------------------ cycle  - xorriso-0.2.1 - 2008.07.08.132054
* Can serve growisofs if started as xorrisofs, genisofs, mkisofs, genisoimage
* make install creates xorriso aliases as symbolic links: osirrox, xorrisofs

2008.07.09.055133  [1901]
xorriso/xorriso.c
Avoided to use MMC code with -as mkisofs -M by prepending stdio: to address

2008.07.09.055133  [1902]
xorriso/xorriso.h
xorriso/xorriso.c
Fixed bug with -as mkisofs -x and pattern expansion

------------------------------------ cycle  - xorriso-0.2.1 - 2008.07.09.055133


2008.07.09.155540  [1903]
Makefile.am
xorriso/xorriso_private.h
+ xorriso/xorriso_buildstamp.h
+ xorriso/xorriso_buildstamp_none.h
xorriso/xorriso_makefile_am.txt
xorriso/make_xorriso_standalone.sh
Opportunity to generate build timestamp via make buildstamped

9 Jul 2008  [1904]
xorriso/xorriso_makefile_am.txt
Completed (unused) dist rule of standalone-xorriso

2008.07.10.141731  [1905]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Enabled -multi and -msinfo with -as cdrecord

2008.07.10.141913  [1906]
libisoburn/libisoburn.h
Small correction in API introduction text

2008.07.10.144535  [1907]
xorriso/xorriso_private.h
Header file forgotten with rev 1903

2008.07.10.162809  [1908]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorriso.1
cdrecord emulation by start names xorrecord, cdrecord, wodim, cdrskin

2008.07.10.164015  [1909]
xorriso/xorriso.c
Reacted on compiler warning

2008.07.10.164412  [1910]
Makefile.am
README
xorriso/xorriso_makefile_am.txt
xorriso/README
Installing softlink xorrecord pointing to the xorriso binary

10 Jul 2008  [1911]
xorriso/xorriso.1
xorriso/xorriso_eng.html
xorriso/convert_man_to_html.sh
Some documentation updates

------------------------------------ cycle  - xorriso-0.2.1 - 2008.07.10.164412
* New options -multi and -msinfo for -as cdrecord emulation
* make install creates xorriso alias as symbolic link: xorrecord


2008.07.12.181846  [1912]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
New info mode 2 with isoburn_read_iso_head()

2008.07.12.184833  [1913]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options --grow_overwriteable_iso and write_start_address= with -as cdrecord

2008.07.14.114515  [1918]
libisoburn/libisoburn.h
Required libburn version is now 0.4.9

2008.07.14.114613  [1919]
configure.ac
Did LT_CURRENT++, LT_AGE++ which was forgotten with revision 1885

2008.07.14.120527  [1920]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
New flag options with isoburn_read_iso_head()

2008.07.14.125133  [1921]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -isosize with -as cdrecord

14 Jul 2008  [1923]
xorriso/convert_man_to_html.sh
Small correction with a sed expression

2008.07.15.063040  [1924]
xorriso/xorriso_makefile_am.txt
Generating automatic build timestamp 

2008.07.15.121754  [1925]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option tsize= with -as cdrecord

------------------------------------ cycle  - xorriso-0.2.1 - 2008.07.15.121754
* New options --grow_overwriteable_iso and write_start_address= with -as cdrecord
* New options -isosize and tsize= with -as cdrecord


2008.07.16.130711  [1933]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -pacifier, more compatible pacifier with -as mkisofs

2008.07.16.130758  [1934]
xorriso/configure_ac.txt
Updated xorriso standalone configure.ac version number BURN_*_VERSION

2008.07.16.130841  [1935]
libisoburn/libisoburn.h
Required libburn version is now 0.5.0

2008.07.16.131110  [1936]
configure.ac
Required libburn version is now 0.5.0

2008.07.16.140043  [1937]
xorriso/xorriso.c
xorriso/xorriso.1
Recognizing "b" as speed factor for BD media

------------------------------------ cycle  - xorriso-0.2.1 - 2008.07.16.140043
* New option -pacifier, more compatible pacifier with -as mkisofs

2008.07.17.110812  [1939]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
Ability to emulate a featured bug with mkisofs -C : read 16 block too early

2008.07.17.111411  [1940]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Rectified usage of original xorriso options underneath growisofs

2008.07.17.183024  [1941]
libisoburn/burn_wrap.c
Recognizing growisofs follow-up sessions on xorriso overwriteables

2008.07.17.184520  [1942]
libisoburn/burn_wrap.c
xorriso/xorriso.c
xorriso/xorrisoburn.c
Removed MULTI construction site remarks

------------------------------------ cycle  - xorriso-0.2.1 - 2008.07.17.184520


2008.07.18.120001  [1944]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt

18 Jul 2008  [1946]
README
xorriso/README
Corrected outdated statement about minimum library requirements


---------------------------------- release  - xorriso-0.2.2 - 2008.07.18.120001
* New API function isoburn_prepare_blind_grow()
* New option -grow_blindly
* Options -C and -M for -as mkisofs emulation
* Can serve growisofs if started as xorrisofs, genisofs, mkisofs, genisoimage
* make install creates aliases as symbolic links: osirrox, xorrisofs, xorrecord
* Options for -as cdrecord emulation: -multi, -msinfo, -isosize, tsize,
  --grow_overwriteable_iso, write_start_address,
* New option -pacifier, more compatible pacifier with -as mkisofs


2008.07.18.135540  [1947]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/changelog.txt
Version leap to 0.2.3

------------------------------------ cycle  - xorriso-0.2.3 - 2008.07.18.135540


2008.07.19.113048  [1949]
Makefile.am
xorriso/compile_xorriso.sh
Introduced automatic buildstamp generation for dynamic library version

2008.07.21.155324  [1950]
Makefile.am
xorriso/xorriso_makefile_am.txt
Reacting on ticket 138 by stick, revoked buildstamp due to ugly make install

2008.07.21.161826  [1951]
Makefile.am
xorriso/xorriso_makefile_am.txt
Used quotation marks as does ./bootstrap when generating Makefile.in

------------------------------------ cycle  - xorriso-0.2.3 - 2008.07.21.161826
* Bug fix: Variable DESTDIR was not properly respected during make install


2008.07.23.080001 [xorriso-0.2.2.pl01]
Makefile.in
xorriso/xorriso_timestamp.h
xorriso/changelog.txt
* Bug fix: external make variable DESTDIR was not used by xorriso link creation

------------------------------- patch  - xorriso-0.2.2.pl01 - 2008.07.23.080001
* Bug fix: Variable DESTDIR was not properly respected during make install


2008.07.26.075027  [1953]
libisoburn/burn_wrap.c
Producing on overwriteables a partial TOC up to first damaged superblock

2008.08.01.101355  [1955]
xorriso/xorrisoburn.c
Better finish time estimation with -pacifier mkisofs

2008.08.01.141210  [1956]
xorriso/xorrisoburn.c
Better finish time estimation with -pacifier mkisofs

2008.08.06.143825  [1967]
xorriso/xorriso_private.h
Removed obsolete type definition

2008.08.06.143922  [1968]
xorriso/xorrisoburn.c
Removed obsolete function

2008.08.07.112529  [1972]
xorriso/xorriso.c
Minor changes around display of time and byte counts

2008.08.09.160515  [1977]
configure.ac
libisoburn/libisoburn.h
Demanding libburn-0.5.1 now

2008.08.09.160947  [1978]
libisoburn/burn_wrap.c
Create emulated toc entry for simple ISO session on overwriteable media

2008.08.09.161311  [1979]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Evaluating readability of media

2008.08.11.201604  [1980]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Adapted media evaluation to CD peculiarities

2008.08.13.185434  [1981]
libisoburn/libisoburn.h
Corrected documentation of isoburn_disc_get_msc1()

2008.08.13.190704  [1982]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
New capability to redirect program output used for toc in sector map file

2008.08.14.220520  [1983]
libisoburn/burn_wrap.c
Changed wrong update message from MB to kB

2008.08.14.221412  [1984]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -check_media

2008.08.15.102849  [1985]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
Allowed independent redirecton of result and info channel

2008.08.15.155421  [1986]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Enabled printing of sector bitmaps by use=sector_map

15 Aug 2008  [1987]
xorriso/xorriso_eng.html
Mentioned progress of development version

2008.08.17.220043  [1988]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
-find tests -damaged and -lba_range, new -find action report_damage

2008.08.17.221350  [1989]
xorriso/xorrisoburn.c
xorriso/xorriso_eng.html
Reacted on compiler warning

------------------------------------ cycle  - xorriso-0.2.3 - 
* Included libburn has enhanced Linux drive access and listing code
* New option -check_media
* New -find test -damaged, new -find action "report_damage"


2008.08.18.134140  [1990]
xorriso/xorrisoburn.c
xorriso/README
xorriso/xorriso.1
New -find action report_lba

2008.08.20.101410  [2000]
xorriso/configure_ac.txt
Adopted to new libburn version 0.5.3

2008.08.20.121008  [2002]
libisoburn/libisoburn.h
configure.ac
Demanding libburn-0.5.2 now

2008.08.20.181734  [2003]
xorriso/xorrisoburn.c
Made -check_media process first 32 blocks of a multi-session overwriteable

2008.08.21.070602  [2004]
xorriso/xorriso.c
Synced -lsl display of major,minor numbers with /usr/include/sys/sysmacros.h

2008.08.22.231051  [2005]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -check_media option -patch_lba0=

2008.08.24.100552  [2007]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New -error_behavior behavior occasion "file_extraction"

2008.08.24.124424  [2008]
xorriso/xorrisoburn.c
Fixed a bug with -check_media use=outdev

2008.08.24.125257  [2009]
xorriso/xorrisoburn.c
Reacted on compiler warning

------------------------------------ cycle  - xorriso-0.2.3 - 2008.08.24.125257
* New -find action "report_lba"
* New -error_behavior behavior occasion "file_extraction"


2008.08.24.160001  [2011]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.2.4

24 Aug 2008  [2012]
xorriso/changelog.txt
Documented changes and release timestamp

24 Aug 2008  [2013]
configure.ac
Corrected ISOBURN_MICRO_VERSION

---------------------------------- release  - xorriso-0.2.4 - 2008.08.24.160001
* Included libburn has enhanced Linux drive access and listing code
* New option -check_media
* New -find test -damaged, new -find actions "report_damage", "report_lba"
* New -error_behavior occasion "file_extraction"


2008.08.24.173217  [2014]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.2.5

24 Aug 2008  [2015]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.2.5 - 2008.08.24.173217

26 Aug 2008  [2017]
xorriso/convert_man_to_html.sh
Adjusted HTML generator to recent man page changes

2008.08.26.163254  [2018]
libisoburn/libisoburn.h
libisoburn/data_source.c
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/configure_ac.txt
Adopting next development step of libisofs

26 Aug 2008  [2019]
xorriso/xorriso.1
Adjusted man page statements about file size limits

2008.08.27.121211  [2020]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -file_size_limit, -as mkisofs now supports -iso-level 1 to 3

2008.08.27.122127  [2021]
xorriso/xorriso.c
Reacted on compiler warning

------------------------------------ cycle  - xorriso-0.2.5 - 2008.08.27.122127
* Capability to insert and extract files far larger than 4 GB
* New option -file_size_limit, -as mkisofs now supports -iso-level 1 to 3


27 Aug 2008  [2022]
xorriso/xorriso.1
Corrected a typo in man page

2008.09.02.164803  [2025]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -extract_cut

2008.09.03.143218  [2026]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -error_behavior "file_extraction" behavior "best_effort" 

2008.09.04.100158  [2027]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -check_media_defaults

------------------------------------ cycle  - xorriso-0.2.5 - 2008.09.04.100158
* New option -extract_cut
* New -error_behavior "file_extraction" behavior "best_effort" 
* New option -check_media_defaults


2008.09.05.095344  [2028]
xorriso/xorriso_private.h
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -list_delimiter

5 Sep 2008  [2029]
xorriso/xorriso_eng.html
Updated development feature list

2008.09.05.114936  [2030]
xorriso/xorriso.c
-commit_eject, -alter_date, -alter_date_r, -pacifier, -prog_help had wrong argument count prediction

5 Sep 2008  [2031]
xorriso/xorriso.1
Documented forgotten option -publisher

5 Sep 2008  [2032]
xorriso/xorriso_eng.html
xorriso/xorriso.1
Minor documentation polishing

------------------------------------ cycle  - xorriso-0.2.5 - 2008.09.05.114936
* New option -list_delimiter


6 Sep 2008  [2033]
xorriso/xorriso_eng.html
xorriso/xorriso.1
Documentation polishing

2008.09.07.144714  [2034]
xorriso/xorrisoburn.c
Removed outdated alternative code for support of libisofs-0.6.6

2008.09.08.094748  [2035]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Made use of new libisofs call iso_image_update_sizes()

2008.09.08.121548  [2036]
xorriso/xorrisoburn.c
Bug fix: -format full did not re-format already formatted DVD+RW

2008.09.09.082406  [2037]
xorriso/xorrisoburn.c
Smoothened time estimation with pacifier mkisofs style

9 Sep 2008  [2038]
xorriso/xorriso_eng.html
Updated web page

------------------------------------ cycle  - xorriso-0.2.5 - 2008.09.09.082406
* Bug fix: -format full did not re-format already formatted DVD+RW


2008.09.11.114227  [2040]
xorriso/xorrisoburn.c
Issuing message at begin of image loading

2008.09.13.204455  [2047]
xorriso/xorrisoburn.c
Correction about -check_media report and message about image loading

2008.09.16.060427  [2053]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Corrected pacifier text (Ticket 141)

2008.09.16.185206  [2054]
xorriso/xorriso_private.h
xorriso/xorriso.1
Corrected falsely computed default setting of -file_size_limit

2008.09.17.193824  [2056]
xorriso/xorrisoburn.c
Corrected message duplication about emulated sessions on overwriteable media

2008.09.19.090619  [2057] [2058]
xorriso/configure_ac.txt
standalone version switch to libisofs-0.6.8

19 Sep 2008  [2059]
xorriso/xorriso.1
Small change in man page

2008.09.19.104424  [2060]
configure.ac
libisoburn/libisoburn.h
Switched requirements to libisofs-0.6.8

------------------------------------ cycle  - xorriso-0.2.5 - 2008.09.19.104424


2008.09.19.122656  [2061]
xorriso/xorrisoburn.c
Changed WARNING about non-writeable media to NOTE severity of blank messages


2008.09.19.180001  [2066]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.2.6

20 Sep 2008  [2067]
xorriso/changelog.txt
Documented changes and release timestamp

---------------------------------- release  - xorriso-0.2.6 - 2008.09.19.180001
* Capability to insert and extract files far larger than 4 GB
* New option -file_size_limit, -as mkisofs now supports -iso-level 1 to 3
* New option -extract_cut
* New -error_behavior "file_extraction" behavior "best_effort" 
* New option -check_media_defaults
* New option -list_delimiter
* Bug fix: -format full did not re-format already formatted DVD+RW


2008.09.20.093140  [2068]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.2.7

20 Sep 2008  [2069]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.2.7 - 2008.09.20.093140

2008.09.24.155424  [2077]
xorriso/xorrisoburn.c
Trying to get pacifiers of simultaneously running emulations into sync

2008.09.26.120934  [2082]
xorriso/xorriso.c
Bug fix: -as mkisofs -iso-level was accused to be an unknown option

2008.09.26.161331  [2083]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
A first attempt on making bootable ISO images

2008.09.28.112850  [2084]
xorriso/configure_ac.txt
Standalone version switch to libisofs-0.6.9 (vreixoml 387) to avoid SIGSEGV

2008.09.28.113256  [2085]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/convert_man_to_html.sh
xorriso/xorriso_eng.html
Made -boot_image isolinux activation obey -overwrite setting

2008.09.30.102243  [2088]
libisoburn/libisoburn.h
Requiring libisofs-0.6.9 because of bug fixes with El Torito

2008.09.30.102753  [2089]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Adjustments about -boot_image after testing with various media types

30 Sep 2008  [2090]
xorriso/xorriso_eng.html
Mentioned progress and bug fixes in 0.2.7

------------------------------------ cycle  - xorriso-0.2.7 - 2008.09.30.102753
* Bug fix: -as mkisofs -iso-level was accused to be an unknown option
* Ability to write and maintain bootable ISO images based on ISOLINUX


2008.09.30.174925  [2091]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Small adjustments about -boot_image

2008.10.02.092354  [2092]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Small adjustments about -boot_image

2008.10.02.092635  [2093]
xorriso/xorriso.c
Enabled -as cdrecord blank=as_needed

2008.10.02.105442  [2094]
xorriso/README
xorriso/configure_ac.txt
Introduced xorriso-standalone ./configure option --disable-libreadline

2008.10.02.110828  [2095]
README
xorriso/README
xorriso/configure_ac.txt
Fine tuning about ./configure option --disable-libreadline

------------------------------------ cycle  - xorriso-0.2.7 - 2008.10.02.110828
* New ./configure option --disable-libreadline to make binary more portable


4 Oct 2008  [2099]
xorriso/convert_man_to_html.sh
xorriso/xorriso.1
Relocated the El Torito paragraph in man xorriso

2008.10.05.075432  [2101]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
-rom_toc_scan nonrom_off disables toc emulation on overwriteables

2008.10.05.093703  [2105]
xorriso/xorrisoburn.c
Bug fix: Random target filenames with looping symbolic links

2008.10.05.125046  [2109]
xorriso/configure_ac.txt
Adapted standalone BURN_*_VERSION to libburn 0.5.5

2008.10.05.125242  [2110]
configure.ac
libisoburn/libisoburn.h
libisoburn now demands libburn-0.5.4 

------------------------------------ cycle  - xorriso-0.2.7 - 2008.10.05.125242
* Bug fix: -follow link attributed random target filenames to looping links


2008.10.06.114114  [2113]
xorriso/configure_ac.txt
Adapted standalone LIBISOFS_*_VERSION to libisofs 0.6.10

2008.10.06.114845  [2114]
configure.ac
libisoburn/libisoburn.h
libisoburn now demands libisofs-0.6.10

------------------------------------ cycle  - xorriso-0.2.7 - 2008.10.06.114845


7 Oct 2008  [2115]
xorriso/xorriso.1
Polished man xorriso

2008.10.08.135848  [2116]
xorriso/xorriso.c
xorriso/xorriso.1
Changed newly introduced -rom_toc_scan nonrom_off to off:emul_off

2008.10.09.145926  [2117]
configure.ac
README
Introduced libburn ./configure option --disable-libreadline

9 Oct 2008  [2118]
xorriso/compile_xorriso.sh
Introduced xorriso development compiler script option -no_libreadline

------------------------------------ cycle  - xorriso-0.2.7 - 2008.10.09.145926


2008.10.10.131102  [2119]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorriso.1
Enabled dialog for multi-lines and newline characters in quotation marks

2008.10.10.134020  [2120]
xorriso/xorriso.c
Polishing multi-line dialog

2008.10.12.120001  [2122]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.2.8

12 Oct 2008  [2123]
xorriso/changelog.txt
Documented changes and release timestamp

---------------------------------- release  - xorriso-0.2.8 - 2008.10.12.120001
* Bug fix: -as mkisofs -iso-level was accused to be an unknown option
* Bug fix: -follow link attributed random target filenames to looping links
* Ability to write and maintain bootable ISO images based on ISOLINUX
* New ./configure option --disable-libreadline to make binary more portable


2008.10.12.133957  [2124]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.2.9

12 Oct 2008  [2125]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.2.9 - 2008.10.12.133957


15 Oct 2008  [2128]
xorriso/xorriso_eng.html
Corrected a typo in xorriso web page

2008.10.15.182605  [2130]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options -quoted_path_list, -quoted_not_list. Multiline for -options_from_file

2008.10.17.074953  [2131]
xorriso/xorriso_private.h
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorriso.1
New option -backslash_codes for expressing weird file names

2008.10.17.123308  [2132]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorriso.1
Adjustments and documentation about -backslash_codes

17 Oct 2008  [2133]
xorriso/xorriso_eng.html
Updated xorriso web page

------------------------------------ cycle  - xorriso-0.2.9 - 2008.10.17.123308
* New options -quoted_path_list, -quoted_not_list
* New option -backslash_codes for weird file names and terminal safety

18 Oct 2008  [2134]
xorriso/make_isohybrid_mbr.c
Exposed function make_isohybrid_mbr() for discussion

19 Oct 2008  [2135]
xorriso/make_isohybrid_mbr.c
Corrected a bug in make_isohybrid_mbr()

2008.10.19.172237  [2136]
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
Adapted to libisofs 0.6.11

19 Oct 2008  [2137]
xorriso/compile_xorriso.sh
Adapted to libisofs 0.6.11

19 Oct 2008  [2138]
- xorriso/make_isohybrid_mbr.c
The make_isohybrid_mbr() function is now part of libisofs development

2008.10.19.182512  [2139]
libisoburn/libisoburn.h
libisoburn now depends on libisofs-0.6.11

2008.10.20.180747  [2140]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Made use of new libisofs isohybrid capability

------------------------------------ cycle  - xorriso-0.2.9 - 2008.10.20.180747
* Suitable ISOLINUX boot images are made alternatively bootable via MBR


21 Oct 2008  [2141]
xorriso/xorriso_eng.html
Mentioned isohybrid capability in xorriso homepage

2008.10.21.112523  [2142]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Implemented in xorriso provisory 1 MB alignement for MBR enhanced ISO images

2008.10.21.123226  [2143]
xorriso/xorrisoburn.c
Showing a "Media summary:" with blank media

------------------------------------ cycle  - xorriso-0.2.9 - 2008.10.21.123226


2008.10.22.110204  [2144]
xorriso/xorriso.c
xorriso/xorriso.1
New options --quoted_path_list , isolinux_mbr= for -as mkisofs

2008.10.22.201702  [2145]
xorriso/xorriso.1
xorriso/xorrisoburn.c
Gave up automatic switch to -boot_image "isolinux" "patch" after writing

------------------------------------ cycle  - xorriso-0.2.9 - 2008.10.22.201702

2008.10.24.130124  [2146]
xorriso/xorrisoburn.c
Fixed image size aligment to 1 MB with follow-up sessions

------------------------------------ cycle  - xorriso-0.2.9 - 2008.10.24.130124


2008.10.25.123133  [2147]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Eventually reporting boot info with TOC of -indev, redirected drive aquiration TOC to info channel

2008.10.25.170010  [2148]
xorriso/xorrisoburn.c
Fixed SIGSEGV introduced with previous revision

2008.10.26.134421  [2149]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Introduced info option -boot_image "any" "show_status"

2008.10.26.142422  [2150]
xorriso/xorrisoburn.c
Precautions against patching deleted boot images

------------------------------------ cycle  - xorriso-0.2.9 - 2008.10.26.142422


2008.10.27.142720  [2151]
xorriso/xorrisoburn.c
Trying to recognize isohybrid MBR for "Boot record  :" message

------------------------------------ cycle  - xorriso-0.2.9 - 2008.10.27.142720


2008.10.30.110049  [2152]
xorriso/xorriso.c
Made -as mkisofs -path-list and --quoted_path_list switch pacifier mode

2008.10.30.114313  [2153]
xorriso/xorriso.c
Enabled @ as indicator of UTC seconds in timestrings

2008.11.03.115721  [2159]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/convert_man_to_html.sh
New options -charset, -in_charset, -out_charset

2008.11.04.162214  [2162]
xorriso/xorriso_private.h
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -application_id

4 Nov 2008  [2163]
xorriso/xorriso_eng.html
Mentioned new options in xorriso homepage

2008.11.06.183736  [2164]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -local_charset

------------------------------------ cycle  - xorriso-0.2.9 - 2008.11.06.183736
* New options -charset, -in_charset, -out_charset
* New option -application_id
* New option -local_charset


2008.11.07.173315  [2170]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Copying -out_charset to -in_charset after -commit

2008.11.07.201909  [2171]
xorriso/xorrisoburn.c
Removed some defunct code from xorrisoburn.c

2008.11.09.102554  [2176]
xorriso/xorriso.c
Added a setlocale() call to xorriso main()

------------------------------------ cycle  - xorriso-0.2.9 - 2008.11.09.102554
* Bug fix in libisofs: ISOLINUX boot images were not patched correctly

2008.11.10.123332  [2177]
xorriso/xorrisoburn.c
Disabled experimental weight sorting with MBR generation

2008.11.10.123713  [2178]
xorriso/xorriso.c
xorriso/xorriso.1
Eventual backslash output conversion outside quotes for more terminal-safety

11 Nov 2008  [2179]
xorriso/xorriso_eng.html
Updated xorriso home page

------------------------------------ cycle  - xorriso-0.2.9 - 2008.11.10.123713


12 Nov 2008  [2190]
xorriso/configure_ac.txt
Version leap to libburn-0.5.7

2008.11.12.153437  [2192]
xorriso/xorriso.c
Added forgotten exit value registration to -return_with. Thanks to Steve Dodd.

------------------------------------ cycle  - xorriso-0.2.9 - 2008.11.12.153437
* Bug fix: Forgot exit value registration to -return_with. Thanks to Steve Dodd.


15 Nov 2008  [2195]
xorriso/xorriso.1
Took into respect that xorriso loads non-RR images

2008.11.15.133724  [2196]
xorriso/xorriso.c
Adaptions to FreeBSD. Thanks to J.R. Oldroyd.

2008.11.15.231831  [2198]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
Introduced new relax flag isoburn_igopt_always_gmt

2008.11.15.232058  [2199]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Making use of new relax flag isoburn_igopt_always_gmt

------------------------------------ cycle  - xorriso-0.2.9 - 2008.11.18.110100

18 Nov 2008  [2204]
test/aaip.c
Demo of the emerging Arbitrary Attribute Interchange Protocol format

18 Nov 2008  [2205]
README
xorriso/README
xorriso/xorriso.1
xorriso/xorriso_eng.html
Mentioned FreeBSD peculiarities in our docs

2008.11.21.160019  [2206]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
Making use of experimental libisofs calls _rrip_version_1_10() _dir_rec_mtime()

2008.11.21.160632  [2207]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New option -relax_compliance

22 Nov 2008  [2209]
- test/aaip.c
Revoked proposal AAIP 0.0 in favor of 0.2 which is nearly like RRIP field SL


------------------------------------ cycle  - xorriso-0.2.9 - 2008.11.21.160632

26 Nov 2008  [2210]
xorriso/configure_ac.txt
Promoted standalone libisofs copy to 0.6.12

2008.11.26.174940  [2211]
xorriso/xorrisoburn.c
Disabled "Starting up libraries ..." message

2008.11.26.180935  [2212]
xorriso/xorriso.c
Augmented version message by "and burn program"

------------------------------------ cycle  - xorriso-0.2.9 - 2008.11.26.180935


2008.11.29.091030  [2216]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Renamed new option -relax_compliance to -compliance, added _off rules

------------------------------------ cycle  - xorriso-0.2.9 - 2008.11.29.091030
* New option -compliance allows certain deviations from standards


2008.11.29.140837  [2219]
xorriso/xorrisoburn.c
Bug fix: -format as_needed did not recognize unformatted BD-RE

2008.11.29.165843  [2220]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Re-aquiring outdev after formatting and blanking already in xorrisoburn

2008.11.29.214208  [2221]
xorriso/xorriso.c
New -as cdrecord option stream_recording=on|off

2008.11.30.095007  [2222]
xorriso/xorrisoburn.c
Reporting BD speed units with pacifier rather than DVD units

2008.11.30.123700  [2223]
xorriso/xorriso.c
Gave -as mkisofs problem handlers rather than to let it abort on any error

2008.11.30.214121  [2224]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Changed layout of xorriso style write pacifier line

2008.12.01.110022  [2225]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Removed outdated macro case Xorriso_fat_local_meM

2008.12.01.122825  [2226]
xorriso/xorriso.c
Bug fix: disk patterns with relative addresses were not properly resolved

1 Dec 2008  [2227]
xorriso/xorriso_eng.html
Updated list of bugfixes in xorriso home page

------------------------------------ cycle  - xorriso-0.2.9 - 
* Bug fix: -format as_needed did not recognize unformatted BD-RE
* Bug fix: disk patterns with relative addresses were not properly resolved


1 Dec 2008 [2228]
Branching for libisoburn release 0.3.0

2008.12.01.200001  [2229]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.3.0

1 Dec 2008  [2230]
xorriso/changelog.txt
Documented changes and release timestamp

1 Dec 2008  [2231]
configure.ac
Corrected values of LIB*_REQUIRED

---------------------------------- release  - xorriso-0.3.0 - 2008.12.01.200001

* New options -quoted_path_list, -quoted_not_list
* New option -backslash_codes for weird file names and terminal safety
* New options -charset, -in_charset, -out_charset
* New option -local_charset allows to override locale
* New option -application_id
* New option -compliance allows certain deviations from standards
* Suitable ISOLINUX boot images are made alternatively bootable via an MBR
* Bug fix in libisofs: ISOLINUX boot images were not patched correctly
* Bug fix in libisofs: mkisofs images with empty files got damaged
* Bug fix: Forgot exit value registration to -return_with. Thanks to Steve Dodd.
* Bug fix: -format as_needed did not recognize unformatted BD-RE
* Bug fix: disk patterns with relative addresses were not properly resolved


2008.12.01.202911  [2232]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.3.1

1 Dec 2008  [2233]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.3.1 - 2008.12.01.202911


2 Dec 2008  [2234]
Promoted libisoburn 0.3.0 from branch to tag

2 Dec 2008  [2235] [2236] [2237] [2238]
Deleted obsoleted branches

2008.12.04.175459  [2240] [2241]
xorriso/xorriso.c
Bug fix: Options -extract and -extract_single were enabled with -osirrox off

2008.12.05.171005  [2242]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
New API function isoburn_get_mount_params()

2008.12.05.171700 [2243]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options -mount and -mount_cmd

2008.12.06.140828  [2244]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso_eng.html
Using uname() rather than #ifdef __FreeBSD__

2008.12.07.122439  [2245]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Got rid of call system() in Xorriso_mount(), new option -session_string

Dec 7 2008  [2246] [2247]
xorriso/xorriso_eng.html
xorriso/xorriso.1
Small documentation adjustments

------------------------------------ cycle  - xorriso-0.3.1 - 2008.12.07.122439
* Bug fix: Options -extract and -extract_single were enabled with -osirrox off
* New API function isoburn_get_mount_params()
* New options -mount , -mount_cmd , -session_string


2008.12.08.120712  [2256]
xorriso/configure_ac.txt
Standalone version switch to libburn-0.5.9

2008.12.08.121106  [2257]
README
configure.ac
libisoburn/libisoburn.h
xorriso/README
Requiring at least libburn-0.5.8

8 Dec 2008  [2258]
xorriso/xorriso.1
Small documentation adjustments

2008.12.08.154521  [2259]
Makefile.am
xorriso/xorriso_private.h
xorriso/compile_xorriso.sh
xorriso/xorriso_makefile_am.txt
Got rid of Xorriso_with_regeX

2008.12.10.093424  [2272]
xorriso/xorrisoburn.c
Enabled formatting of BD-R media to SRM-POW default size

10 Dec 2008  [2275]
xorriso/xorriso.1
Mentioned BD-R in man xorriso

2008.12.11.072427  [2277]
xorriso/xorrisoburn.c
Proper message after failed or refused formatting

2008.12.13.142726  [2281] [2282]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -format modes by_size_ and fast_by_size_

2008.12.13.144622  [2283]
configure.ac
libisoburn/libisoburn.h
Demanding libburn-0.5.9 now

------------------------------------ cycle  - xorriso-0.3.1 - 2008.12.13.144622
* By using libburn-0.5.9: support for BD-R media
* New -format modes by_size_ and fast_by_size_


2008.12.13.161650  [2285]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Revoked -format mode by_size for DVD-RW

12 Dec 2008  [2286]
xorriso/xorriso_eng.html
Updated xorriso web page

2008.12.14.093125  [2288]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -assert_volid

2008.12.14.151550  [2291]
xorriso/xorriso.c
Removed outdated alternative code

2008.12.14.231145  [2293]
xorriso/xorriso.c
xorriso/xorriso.1
Options for -as mkisofs: -input-charset, -output-charset

2008.12.16.130139  [2295]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -drive_class for safety management of pseudo-drive access

16 Dec 2008  [2296]
xorriso/README
xorriso/xorriso_eng.html
Updated xorriso documentation

------------------------------------ cycle  - xorriso-0.3.1 - 2008.12.16.130139
* New option -assert_volid
* New option -drive_class for safety management of pseudo-drive access


17 Dec 2008  [2299]
+ doc/comments
Preparations for a more presentable online API documentation

2008.12.17.102216  [2300]
Makefile.am
Delivering doxygen input for API documentation with releases

17 Dec 2008  [2301]
doc/comments
Corrected list of authors in libisoburn API documentation

2008.12.21.101705  [2317]
xorriso/xorrisoburn.c
Corrected message about non-matching volume id

------------------------------------ cycle  - xorriso-0.3.1 - 2008.12.21.154636


21 Dec 2008  [2318]
+ test/aaip_0_2.h
+ test/aaip_0_2.c
+ test/aaip_0_2_test.c
A first implementation of AAIP 0.2 encoding and decoding

23 Dec 2008  [2326]
test/aaip_0_2.h
test/aaip_0_2.c
test/aaip_0_2_test.c
Gave aaip_0_2 a ring buffer rather than a shifted fifo

25 Dec 2008  [2336]
test/aaip_0_2.h
test/aaip_0_2.c
test/aaip_0_2_test.c
Encoder for ACL long text form

26 Dec 2008  [2338]
test/aaip_0_2.h
test/aaip_0_2.c
test/aaip_0_2_test.c
Decoder for ACL to long text form

1 Jan 2009  [2343]
test/aaip_0_2.h
test/aaip_0_2.c
test/aaip_0_2_test.c
+ test/aaip-os-linux.c
+ test/aaip-os-freebsd.c
+ doc/susp_aaip_0_2.txt
Introduced system adapters for getting and setting EA and ACL

1 Jan 2009  [2344]
test/aaip_0_2.c
Corrected some bugs with attribute list decoding

1 Jan 2009  [2345]
test/aaip_0_2.c
Corrected some more bug with attribute list decoding

4 Jan 2009  [2355]
xorriso/configure_ac.txt
Standalone version switch to libburn-0.6.1

5 Jan 2009  [2357]
svn copy -m "Branching for libisoburn release 0.3.2
    http://svn.libburnia-project.org/libisoburn/trunk
    http://svn.libburnia-project.org/libisoburn/branches/ZeroThreeTwo

2009.01.05.120643  [2358]
COPYRIGHT
libisoburn/burn_wrap.c
libisoburn/data_source.c
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
xorriso/compile_xorriso.sh
xorriso/xorrisoburn.c
xorriso/xorriso.h
Updated copyright marks to 2009

2009.01.05.123001  [2359]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.3.2

5 Jan 2009  [2360] [2361]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.3.2 - 2009.01.05.123001
* Bug fix: Options -extract and -extract_single were enabled with -osirrox off
* New API function isoburn_get_mount_params()
* New options -mount , -mount_cmd , -session_string
* New -format modes by_size_ and fast_by_size_
* New option -assert_volid
* New option -drive_class for safety management of pseudo-drive access
* By using libburn-0.6.0: support for BD-R media


2009.01.05.145703  [2362]
COPYRIGHT
libisoburn/burn_wrap.c
libisoburn/data_source.c
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
xorriso/compile_xorriso.sh
xorriso/xorrisoburn.c
xorriso/xorriso.h
Updated copyright marks to 2009

2009.01.05.153105  [2363]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_timestamp.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
Version leap to 0.3.3

5 Jan 2009  [2364]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.3.3 - 2009.01.05.153105


5 Jan 2009  [2365]
svn move http://svn.libburnia-project.org/libisoburn/branches/ZeroThreeTwo
         http://svn.libburnia-project.org/libisoburn/tags/ZeroThreeTwo
Promoted branch to tag

2009.01.06.123047  [2368]
xorriso/xorriso.c
xorriso/xorriso_eng.html
Some small corrections of documentation

9 Jan 2009  [2382]
xorriso/xorriso_eng.html
Mentioned bug fix and pl01

------------------------------------ cycle  - xorriso-0.3.3 - 2009.01.09.103251

2009.01.10.154018  [2386]
xorriso/xorriso.h
xorriso/xorriso.c
Avoiding use of function parameter name "class"

14 Jan 2009  [2395]
doc/susp_aaip_0_2.txt
Clarified that AAIP is only allowed if RRIP is present

2009.01.14.110935  [2396]
Makefile.am
xorriso/compile_xorriso.sh
xorriso/xorriso_makefile_am.txt
Introduced AAIP code. Now linking with libacl.

2009.01.17.181500  [2400]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
New option -getfacl

2009.01.18.213952  [2401]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Restoring ACLs with -extract and others

2009.01.21.150243  [2402]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
New API macro isoburn_ropt_noaaip controls enabling of AAIP loading

2009.01.21.203852  [2403]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
libisoburn/burn_wrap.c
Had to split isoburn_ropt_noaaip into isoburn_ropt_noacl and isoburn_ropt_noea

2009.01.21.204513  [2404]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
New option -acl enables ACL loading

2009.01.22.130107  [2405]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
Now it is isoburn_ropt_noaaip , isoburn_ropt_noacl and isoburn_ropt_noea

2009.01.22.130255  [2406]
xorriso/xorrisoburn.c
Adapted to new macro situation in libisoburn

2009.01.22.143210  [2407]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New macro isoburn_igopt_aaip controls writing of AAIP info into images

2009.01.22.143253  [2408]
xorriso/xorrisoburn.c
Making use of new libisoburn macro isoburn_igopt_aaip

2009.01.22.152252  [2409]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Restoring ACL only if -acl "on"

2009.01.22.155049  [2410]
xorriso/xorrisoburn.c
Removing leading slash from -getfacl output of file path

------------------------------------ cycle  - xorriso-0.3.3 - 2009.01.22.155049
* New option -acl enables ACL import and export


2009.01.23.101305  [2411]
xorriso/configure_ac.txt
Promoted standalone libisofs to 0.6.13

2009.01.23.102843  [2412]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
Demanding libisofs 0.6.13 now

2009.01.23.140824  [2413]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New find tests -has_acl, -has_no_acl, new action getfacl, new option getfacl_r

23 Jan 2009  [2414]
xorriso/xorriso_eng.html
Updated xorriso web page

------------------------------------ cycle  - xorriso-0.3.3 - 2009.01.23.140824
* New find tests -has_acl, -has_no_acl , new find action getfacl
* New option -getfacl_r

2009.01.23.172652  [2415]
configure.ac
Makefile.am
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
xorriso compilation detects availability of libacl and of Linux listxattr call

2009.01.23.172757  [2416]
xorriso/xorrisoburn.c
Silenced a FAILURE message with -acl if no image is loaded

23 Jan 2009  [2417]
xorriso/xorriso_eng.html
Updated xorriso web page

------------------------------------ cycle  - xorriso-0.3.3 - 2009.01.23.172757


24 Jan 2009  [2418]
xorriso/compile_xorriso.sh
Took into respect changed .o file names of libisofs

2009.01.25.141124  [2424]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New option -setfacl, -setfacl_r, new -find action setfacl

------------------------------------ cycle  - xorriso-0.3.3 - 2009.01.25.141124
* New option -setfacl, -setfacl_r, new -find action setfacl


25 Jan 2009  [2425]
- test/aaip_0_2.h
- test/aaip_0_2.c
- test/aaip-os-freebsd.c
- test/aaip-os-linux.c
- test/aaip_0_2_test.c
- doc/susp_aaip_0_2.txt
AAIP code now resides in libisofs

2009.01.26.173254  [2426]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New macro isoburn_igopt_aaip_susp_1_10 controls writing of AAIP ER and ES

2009.01.26.173606  [2427]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Gave user control over isoburn_igopt_aaip_susp_1_10

26 Jan 2009  [2428]
xorriso/make_xorriso_standalone.sh
Including doc/susp_aaip_0_2.txt in xorriso-standalone

2009.01.27.121417  [2432]
libisoburn/libisoburn.h
Mentioned the need for 64 bit file i/o

2009.01.28.074917  [2434]
xorriso/xorrisoburn.c
Bug fixes and enhancements about "default" ACL

2009.01.28.114755  [2435]
xorriso/xorrisoburn.c
Bug fixes and enhancements about "default" ACL

------------------------------------ cycle  - xorriso-0.3.3 - 2009.01.28.114755


2009.01.28.190140  [1436]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Made -getfacl file name escaping more similar to shell command behavior

2009.01.29.165339  [2437]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorriso.1
New option -setfacl_list

28 Jan 2009  [2438]
xorriso/xorriso_eng.html
Updated xorriso web page

------------------------------------ cycle  - xorriso-0.3.3 - 2009.01.29.165339
* New option -setfacl_list

29 Jan 2009  [2439]
xorriso/xorriso_makefile_am.txt
Added aaip-os-dummy.c to xorriso-standalone

2009.01.29.210606  [2440]
xorriso/xorrisoburn.c
Bug fix: included sys/wait.h rather than wrong wait.h

2009.01.30.145624  [2442]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Followed changes in iso_node_*acl_text API

------------------------------------ cycle  - xorriso-0.3.3 - 2009.01.30.200825

2009.01.31.101122  [2443]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Equipped output of lsl with '+' perm if ACL is present

2009.02.02.134346  [2444]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options -xattr, -getfattr, find -has_xattr, -has_aaip, -exec getfattr

2009.02.02.201124  [2445]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Enabled restoring of xattr

------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.02.201124
* New options -xattr, -getfattr, find -has_xattr, -has_aaip, -exec getfattr


2009.02.03.162440  [2446]
Makefile.am
xorriso/xorriso_makefile_am.txt
Linking with $LIBBURN_ARCH_LIBS to get -lcam on FreeBSD

------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.03.162440


2009.02.04.200055  [2449]
xorriso/xorrisoburn.c
Took into respect eventual resolution of symbolic links

2009.02.04.200653  [2450]
configure.ac
xorriso/configure_ac.txt
Checking for iconv(3) in separate libiconv (e.g. on FreeBSD)

2009.02.07.090104  [2453]
xorriso/xorrisoburn.c
Correct group permission bits with -acl off and -extract file that has ACL

2009.02.07.142605  [2454]
xorriso/xorrisoburn.c
Correct group permission bits with -acl off and disk file that has ACL

2009.02.08.132116  [2455]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
First code for -setfattr (have to fix some ACL problems before going on)

2009.02.08.151354  [2456]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Displaying "+" with lslx if ACL is detected

------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.08.151354
------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.09.103308
------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.09.170857

2009.02.09.185940  [2458]
xorriso/xorriso.c
xorriso/xorrisoburn.c
New options -setfattr, -setfattr_r, new find -exec setfattr

10 Feb 2009  [2459]
xorriso/xorriso_eng.html
Updated xorriso home page

2009.02.10.125831  [2460]
xorriso/xorrisoburn.c
Closed a memory leak with unreleased IsoImage in boot image inquiry

------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.10.195106

12 Feb 2009  [2461]
xorriso/convert_man_to_html.sh
Adapted html man page generator to textchanges

2009.02.12.110516  [2462]
xorriso/xorriso.h
xorriso/xorriso.c
New -as mkisofs options --acl and --xattr

12 Feb 2009  [2463]
xorriso/xorriso.1
Updated xorriso man page

2009.02.13.202539  [2464]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New option -setfattr_list

------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.13.202539
* New -as mkisofs options --acl and --xattr
* New option -setfattr_list


2009.02.14.133013  [2465]
xorriso/xorriso.c
-as mkisofs --acl and --xattr was not properly recognized

2009.02.16.082645  [2466]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Took into respect ACL and xattr with -compare and -update

------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.16.082645


2009.02.17.184231  [2467]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New option -disk_dev_ino

2009.02.19.123524  [2475]
libisoburn/isofs_wrap.c
Adapted to removal of Libburn_with_aaiP macro

2009.02.19.123607  [2476]
xorriso/xorrisoburn.c
Adapted to removal of Libburn_with_aaiP macro

19 Feb 2009  [2477]
xorriso/configure_ac.txt
Adapted to version leap libisofs-0.6.14

------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.19.123607
* New option -disk_dev_ino accelerates incremental backups


2009.02.19.183707  [2478]
xorriso/xorriso_private.h
Committing forgotten xorriso_private.h

20 Feb 2009  [2487]
xorriso/configure_ac.txt
Adapted to version leap libburn-0.6.2

2009.02.25.144045  [2496]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
-disk_dev_ino mode ino_only

2009.02.28.175747  [2502]
configure.ac
Requiring libisofs-0.6.14 now, libburn-0.6.0 still suffices

2009.02.28.175926  [2503]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New API function isoburn_igopt_get_data_start()

2009.02.28.181358  [2504]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -stream_recording mode with start address, "on" is now 32s

2009.02.28.181750  [2505]
xorriso/configure_ac.txt
Switched standalone version to libisofs-0.6.15

------------------------------------ cycle  - xorriso-0.3.3 - 2009.02.28.181750

01 Mar 2009  [2506] 
svn copy -m Branching for libisoburn release 0.3.4
    http://svn.libburnia-project.org/libisoburn/trunk
    http://svn.libburnia-project.org/libisoburn/branches/ZeroThreeFour

2009.03.01.103001 [2507]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/xorriso.1
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to 0.3.4

1 Mar 2009  [2508]
xorriso/changelog.txt
Documented changes and release timestamp

1 Mar 2009  [2509]
README
xorriso/README
Correction about libisofs.so version requirement

----------------------------------- release - xorriso-0.3.4 - 2009.03.01.103001
* New option -acl enables ACL import and export
* New options -getfacl, -getfacl_r, -setfacl, -setfacl_r, -setfacl_list
* New find tests -has_acl, -has_no_acl , new find actions getfacl, setfacl
* New option -xattr enables import and export of Extended Attributes
* New options -getfattr, -getfattr_r, -setfattr, -setfattr_r, -setfattr_list
* New find tests -has_xattr, -has_aaip, new find actions getfattr, setfattr
* New -as mkisofs options --acl and --xattr
* New option -disk_dev_ino accelerates incremental backups


2009.03.01.113444  [2510]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/xorriso.1
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to 0.3.5

1 Mar 2009  [2511]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.3.5 - 2009.03.01.113444

1 Mar 2009  [2512]
svn move -m 'Promoted branch to tag' 
    http://svn.libburnia-project.org/libisoburn/branches/ZeroThreeFour
    http://svn.libburnia-project.org/libisoburn/tags/ZeroThreeFour

2009.03.03.103421  [2517]
libisoburn/libisoburn.h
isoburn_igopt_get_data_start() @since 0.3.6 because not announced in 0.3.4

2009.03.03.103706  [2518]
xorriso/configure_ac.txt
Making optional use of statvfs() in sg-dummy

------------------------------------ cycle  - xorriso-0.3.5 - 2009.03.03.103706

2009.03.05.121700  [2519]
acinclude.m4
Lifted the ban on operating systems other than Linux and FreeBSD

------------------------------------ cycle  - xorriso-0.3.5 - 2009.03.05.121700
* Dummy MMC adapter for compilation on systems other than Linux, FreeBSD


2009.03.08.140002  [2521]
xorriso/xorriso.c
xorriso/xorrisoburn.c
test/compare_file.c
Reacted on compiler warnings of SchilliX-0.6.7 (based on Solaris 5.11)


2009.03.10.092227  [2523]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Made -compliance old_rr imply -compliance aaip_susp_1_10

------------------------------------ cycle  - xorriso-0.3.5 - 2009.03.10.092227

2009.03.11.170125  [2524]
configure.ac
libisoburn/libisoburn.h
libisoburn/isoburn.c
Requiring libisofs-0.6.16 now

2009.03.11.170236  [2525]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.16

11 Mar 2009  [2526]
xorriso/xorriso_eng.html
Mentioned bug fixes in libisofs

11 Mar 2009  [2527]
xorriso/xorriso.1
Minor changes in xorriso man page

------------------------------------ cycle  - xorriso-0.3.5 - 2009.03.11.170236


2009.03.12.141647  [2528]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Made -compliance old_rr the default

2009.03.13.150731  [2536]
xorriso/xorrisoburn.c
Defaulting -stream_recording "data" to "100m"

2009.03.13.150838  [2537]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libburn-0.6.5

2009.03.14.113811  [2539]
xorriso/xorriso.c
Fixed the inappropriate refusal on paths like /u/test/../..

2009.03.14.115711  [2540]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.6.4 now

------------------------------------ cycle  - xorriso-0.3.5 - 2009.03.14.115711
* default of -compliance has been changed to "old_rr", new rule "new_rr"

16 Mar 2009  [2541]
svn copy -m "Branching for libisoburn release 0.3.6" \
    http://svn.libburnia-project.org/libisoburn/trunk \
    http://svn.libburnia-project.org/libisoburn/branches/ZeroThreeSix

2009.03.16.090001  [2542]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.3.6

16 Mar 2009  [2543]
xorriso/changelog.txt
Documented changes and release timestamp

16 Mar 2009  [2544]
configure.ac
Adjusted forgotten version number

----------------------------------- release - xorriso-0.3.6 - 2009.03.16.090001
* Dummy MMC adapter for compilation on systems other than Linux, FreeBSD
* Default of -compliance has been changed to "old_rr", new rule "new_rr"
* New -stream_recording modes with start address or "data". "on" is now 32s.


2009.03.16.112837  [2545]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.3.7

16 Mar 2009  [2546]
xorriso/changelog.txt
Documented changes and release timestamp

17 Mar 2009  [2548]
svn move -m 'Promoted branch to tag' \
    http://svn.libburnia-project.org/libisoburn/branches/ZeroThreeSix \
    http://svn.libburnia-project.org/libisoburn/tags/ZeroThreeSix

------------------------------------ cycle  - xorriso-0.3.7 - 2009.03.16.112837


2009.03.18.103858  [2550]
configure.ac
acinclude.m4
Makefile.am
Get on FreeBSD pkgconfigdir=.../libdata , on Linux and others: .../lib

2009.03.18.104037  [2551]
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
Adapted xorriso-standalone to version leap libisofs-0.6.17 and FreeBSD libdata

18 Mar 2009  [2552]
configure.ac
Removed useless libisoburn configure options --enable-libacl --enable-xattr

2009.03.19.172806  [2555]
xorriso/xorriso.c
Unified -status filtering decision

2009.03.20.192910  [2557]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
New API functions isoburn_ropt_[sg]et_auto_incharset()

2009.03.20.193334  [2558]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -auto_charset based on xattr "isofs.cs"

------------------------------------ cycle  - xorriso-0.3.7 - 2009.03.21.131424
* New option -auto_charset based on xattr "isofs.cs"


22 Mar 2009  [2559]
xorriso/xorriso.1
Clarification about -auto_charset pitfalls

2009.03.22.090232  [2560]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Stuffed memory leaks on -commit and loading of El Torito records

2009.03.29.164336  [2561]
configure.ac
Revoked revision 2552. Dynamic xorriso did not get linked with -lacl any more.

2009.03.29.164411  [2562]
libisoburn/libisoburn.h
libisoburn now demands libisofs-0.6.17

2009.03.29.164703  [2563]
xorriso/compile_xorriso.sh
xorriso/xorriso_makefile_am.txt
Adapted to new libisofs feature iso_file_add_external_filter()

2009.03.29.164931  [2564]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Experimental -find action -exec set_filter with some hardcoded filter commands

2009.04.02.162530  [2565]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New options -external_filter , -unregister_filter, -set_filter , -set_filter_r

------------------------------------ cycle  - xorriso-0.3.7 - 2009.04.02.162530
* New options -external_filter , -unregister_filter, -set_filter , -set_filter_r


2009.04.03.172034  [2566]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Fixed a potential blind spot of 1 second in -disk_dev_ino comparison

2009.04.04.082636  [2567]
xorriso/xorrisoburn.c
Fixed a bug with the error message about external filters and setuid

2009.04.04.144009  [2568]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -close_filter_list

2009.04.04.144241  [2569]
configure.ac
Makefile.am
README
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
xorriso/compile_xorriso.sh
xorriso/README
configure options to control availability of external filters in xorriso

2009.04.05.110534  [2570]
xorriso/xorriso.c
Reporting number of processed filters with -set_filter and -set_filter_r

2009.04.05.110652  [2571]
xorriso/xorrisoburn.c
Fixed a bug about detection of failure with -set_filter

2009.04.05.131536  [2572]
xorriso/xorriso.c
Included sys/select.h as prescribed by POSIX and Linux, FreeBSD man pages

2009.04.05.143043  [2573]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorriso.1
New -osirrox mode "banned"

5 Apr 2009  [2574]
xorriso/xorriso_eng.html
Updated xorriso web page

------------------------------------ cycle  - xorriso-0.3.7 - 2009.04.05.143043
* New option -close_filter_list
* New -osirrox mode "banned"


2009.04.06.100802  [2575]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Suffix rollback with -set_filter --remove-all-filters

2009.04.06.132007  [2576]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options -show_stream, -show_stream_r, -exec show_stream

2009.04.06.143109  [2577]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Changed appearance of -show_stream, fixed bug introduced with rev 2575

2009.04.06.161541  [2578]
xorriso/xorrisoburn.c
Fixed bug introduced with 2575

------------------------------------ cycle  - xorriso-0.3.7 - 2009.04.06.161541
* New options -show_stream, -show_stream_r, new -find -exec show_stream

2009.04.07.120250  [2579]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -find tests -has_filter, -has_no_filter

2009.04.07.122117  [2580]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Removed some unused old code branches

2009.04.10.102558  [2581]
configure.ac
Makefile.am
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
xorriso/compile_xorriso.sh
Took into respect optional libz dependency of libisofs

2009.04.10.103130  [2582]
xorriso/xorrisoburn.c
Introduced builtin filters --zisofs and --zisofs-decode

11 Apr 2009  [2583]
xorriso/make_xorriso_standalone.sh
Included a copy of doc/zisofs_format.txt in xorriso-standalone

2009.04.11.125331  [2584]
xorriso/xorrisoburn.c
Adjustments with filter --zisofs-decode

2009.04.11.172644  [2585]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -zisofs, builtin filters --zisofs and --zisofs-decode

12 Apr 2009  [2586]
xorriso/xorriso_eng.html
Updated xorriso web page

------------------------------------ cycle  - xorriso-0.3.7 - 2009.04.12.142252
* New option -zisofs, builtin filters --zisofs and --zisofs-decode


14 Apr 2009  [2588]
README
xorriso/README
Updated README texts of libisoburn and xorriso

2009.04.14.092306  [2589]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -zisofs option by_magic=on

------------------------------------ cycle  - xorriso-0.3.7 - 2009.04.14.092306

2009.04.15.071944  [2590]
xorriso/compile_xorriso.sh
xorriso/xorriso_makefile_am.txt
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Adopted new libisofs filter module gzip.c, builtin filters --gzip, --gunzip

2009.04.15.185131  [2591]
libisoburn/isofs_wrap.c
xorriso/xorrisoburn.c
Removed dependency on Libisofs_has_auto_input_charseT

2009.04.15.185238  [2592]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.18 now

2009.04.15.185359  [2593]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.18

2009.04.16.145617  [2594]
xorriso/make_xorriso_standalone.sh
xorriso/xorriso_makefile_am.txt
Fixed bugs with rarely used make dist 

2009.04.18.090616  [2596][2597]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.19

------------------------------------ cycle  - xorriso-0.3.7 - 2009.04.18.090616

2009.04.18.120001  [2598]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.3.8

18 Apr 2009  [2599][2600]
xorriso/xorriso.1
Last minute correction in xorriso man page

18 Apr 2009  [2601]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.3.8 - 2009.04.18.120001
* New options -set_filter , -set_filter_r, -find -exec set_filter 
* New option -zisofs, builtin filters --zisofs , --gzip , --gunzip
* New options -external_filter , -unregister_filter, -close_filter_list,
* New options -show_stream, -show_stream_r
* New -osirrox mode "banned"
* New option -auto_charset based on xattr "isofs.cs"


2009.04.18.150555  [2602]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.3.9

18 Apr 2009  [2603]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.3.9 - 2009.04.18.150555

19 Apr 2009  [2608]
svn move -m 'Promoted branch to tag' \
    http://svn.libburnia-project.org/libisoburn/branches/ZeroThreeEight \
    http://svn.libburnia-project.org/libisoburn/tags/ZeroThreeEight

2009.04.21.173600  [2612]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Enhanced -find testing by operators -not, -or, -and, (, ), -if, -else, -endif

2009.04.21.184214  [2613]
xorriso/xorriso.c
Allowed implicit -and operator with -not, -if and -sub

22 Apr 2009  [2614]
xorriso/xorriso_eng.html
Updated xorriso web page

------------------------------------ cycle  - xorriso-0.3.9 - 2009.04.21.184214
* Operators with option -find : -not, -or, -and, (, ), -if, -then, -else


2009.04.22.173603  [2615]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/burn_wrap.c
New API call isoburn_toc_track_get_emul()

2009.04.22.173648  [2616]
xorriso/xorrisoburn.c
Made use of new libisoburn call to accelerate option -toc for large TOC

2009.04.23.103301  [2617]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -find tests -wholename, -prune

2009.04.25.160022  [2618]
libisoburn/burn_wrap.c
Used isoburn_toc_track_get_emul() in isoburn_set_msc1()

2009.04.25.162210  [2619]
xorriso/xorrisoburn.c
Moved call of isoburn_set_msgs_submit() to Xorriso_startup_libraries()

2009.04.25.162858  [2620]
libisoburn/burn_wrap.c
Issueing pacifier messages from within isoburn_set_msc1()

------------------------------------ cycle  - xorriso-0.3.9 - 2009.04.25.162858
* New -find tests -wholename, -prune


2009.05.06.173600  [2626]
xorriso/xorrisoburn.c
Bug fix: SIGSEGV with option -status and no search string

2009.05.06.174222  [2627]
xorriso/xorrisoburn.c
Bug fix: -load volid did not perform pattern search

2009.05.08.073642  [2638]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libburn-0.6.7

2009.05.09.201241  [2639]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
New API options isoburn_ropt_noino and isoburn_igopt_hardlinks

2009.05.09.201742  [2640]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -hardlinks

2009.05.14.082045  [2641]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Enhanced option -extract_cut for handling filtered files

2009.05.16.165616  [2642]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
LBA sorted processing of -compare_r and -update_r for smoother MMC reading

2009.05.16.165940  [2643]
xorriso/xorrisoburn.c
Disabled use of iso_tree_add_new_symlink() in favor of iso_tree_add_new_node()

2009.05.17.115101  [2644]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New pseudo test with -find : -sort_lba which is actually an option

2009.05.26.140055  [2647]
xorriso/xorrisoburn.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Enabled -hardlinks for options -extract, -extract_l and -cp*x

2009.05.26.142912  [2648]
xorriso/xorriso.c
Revoked LBA sorted reading with -compare_r. It was ugly.

------------------------------------ cycle  - xorriso-0.3.9 - 2009.05.26.172355
Bug fix: SIGSEGV with option -status and no search string
Bug fix: -load volid did not perform pattern search
New option -hardlinks
Improved reading performance with -update_r and -extract


2009.05.29.110831  [2649]
xorriso/xorriso.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New option -for_backup as shortcut for -acl -xattr -hardlinks

2009.05.29.162300  [2650]
xorriso/xorrisoburn.c
Avoided unnecessary sorting during -extract

2009.05.30.161808  [2561]
xorriso/xorriso.c
Avoided unconditional output of -hardlinks with option -status

2009.05.31.100140  [2652]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.20 now

2009.05.31.100315  [2653]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.20

2009.05.31.185819  [2654]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.21

13 Jun 2009  [2668]
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
xorriso/make_xorriso_standalone.sh
Removed xorriso.pc.in from xorriso-standalone tarball

2009.06.15.121525  [2670]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
With -update_r : detecting hardlink splits and fusions on disk

2009.06.20.063853  [2671]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Wider scope of hardlink reconstruction with extract operations

2009.06.22.112850  [2672]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Gave up risky direct update of hardlink siblings

2009.06.23.065744  [2673]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
+ xorriso/makefile_libxorriso_am.txt
Introduced alternative Makefile.am for libxorriso production

2009.06.23.070934  [2674]
xorriso/xorriso_private.h
Added missing function declaration

2009.06.23.123147  [2675]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
Removed from xorriso main() any dependency on non-API features

2009.06.23.133210  [2676]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
Rough test for compile time and run time libxorriso version mismatches

2009.06.23.164351  [2677]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Deprecated -hardlinks modes "start_update", "end_update" for "perform_update"

23 Jun 2009  [2678]
xorriso/xorriso.1
Updated xorriso man page

2009.06.24.133521  [2679]
xorriso/xorriso.c
Reverted order of memorized hardlink update parameters

2009.06.25.125048  [2680]
libisoburn/burn_wrap.c
Bug fix: Copies of overwriteable media onto sequential were mistaken in ROM drives

2009.06.27.112408  [2681]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
With -extract : made hardlink registration combinable with sort_lba

------------------------------------ cycle  - xorriso-0.3.9 - 2009.06.27.112408
New option -for_backup as shortcut for -acl -xattr -hardlinks
Bug fix: Copies of overwriteable media on sequential were mistaken in ROM drives

28 Jun 2009  [2681]
svn copy -m "Branching for libisoburn release 0.4.0" \
    http://svn.libburnia-project.org/libisoburn/trunk \
    http://svn.libburnia-project.org/libisoburn/branches/ZeroFourZero

2009.06.28.090001  [2683]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.0

28 Jun 2009  [2684]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.4.0 - 2009.06.28.090001
* New option -hardlinks
* Improved reading performance with -update_r and -extract
* New option -for_backup as shortcut for -acl -xattr -hardlinks
* Operators with option -find : -not, -or, -and, (, ), -if, -then, -else
* New -find tests -wholename, -prune
* Bug fix: SIGSEGV with option -status and no search string
* Bug fix: -load volid did not perform pattern search
* Bug fix: Copies of overwriteable media on sequential were mistaken in ROM drives

2009.06.28.100124  [2685]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.1

28 Jun 2009  [2686]
xorriso/changelog.txt
Documented changes and release timestamp

28 Jun 2009  [2687]
svn move -m 'Promoted branch to tag' \
    http://svn.libburnia-project.org/libisoburn/branches/ZeroFourZero \
    http://svn.libburnia-project.org/libisoburn/tags/ZeroFourZero

------------------------------------ cycle  - xorriso-0.4.1 - 2009.06.28.100124

2009.06.30.120311  [2688]
configure.ac
xorriso/configure_ac.txt
Provisory patch on ticket 152: GNU libiconv needs -liconv but offers no iconv()

2009.06.30.154606  [2689]
xorriso/xorriso.c
Bug fix: Ticket 149, one byte overflow of local variable.

2009.07.07.175748  [2690]
configure.ac
xorriso/configure_ac.txt
Aligned configure --help texts provided by own code in configure.ac

2009.07.07.193955  [2693]
acinclude.m4
configure.ac
xorriso/configure_ac.txt
configure options --enable-libdir-pkgconfig and --enable-pkgconfig-path=DIR

2009.07.14.134423  [2701]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libburn-0.6.9

2009.07.19.214008  [2703]
xorriso/xorriso.c
Bug fix: xorriso -as mkisofs did not understand the -C option of growisofs any more

------------------------------------ cycle  - xorriso-0.4.1 - 2009.07.19.214008
Bug fix: xorriso -as mkisofs did not understand the -C option of growisofs any more

------------------------------ release - xorriso-0.4.0.pl01 - 2009.07.20.060001
Bug fix: xorriso -as mkisofs did not understand the -C option of growisofs any more


23 Jul 2009  [2704]
xorriso/xorriso.1
More emphasis on early use of -hardlinks, -acl, -xattr etc.

2009.07.23.103339  [2705]
xorriso/compile_xorriso.sh
xorriso/xorriso_makefile_am.txt
Adopted new libisofs source module md5.[cho]

2009.07.23.103728  [2706]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Showing a better link count with -hardlinks on -lsl

2009.07.25.181857  [2707]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso_eng.html
Updating sorted link array before usage after image manipulations

------------------------------------ cycle  - xorriso-0.4.1 - 2009.07.25.181857
Options -lsl and lsdl now display correct link counts if -hardlinks is on


2009.08.03.075954  [2708]
xorriso/xorrisoburn.c
Bug fix: Use of freed memory with -hardlinks on and -update

03 Aug 2009 [2709]
xorriso/xorriso.1
Hints about -hardlinks and file content filtering

2009.08.10.123146  [2710]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New find actions get_md5, get_any_xattr, test -has_any_xattr

2009.08.10.192240  [2711]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
New write options session_md5, file_md5, read option nomd5

2009.08.10.193843  [2712]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -md5, new -as mkisofs option --md5

2009.08.10.194416  [2713]
xorriso/xorriso.h
xorriso/xorrisoburn.h
Missing changes in rev 2710 and 2712

2009.08.11.194836  [2714]
configure.ac
libisoburn/libisoburn.h
Requiring at least libisofs-0.6.21 now

2009.08.11.194836  [2715]
xorriso/xorriso_private.h
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options -check_md5, -check_md5_r, find action check_md5, test -has_md5

2009.08.12.130401  [2716]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Completed find action check_md5

2009.08.12.202423  [2717]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Checking MD5 of whole session with -check_md5 and empty path list 

2009.08.13.203718  [2718]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Better reaction wich -check_md5 if no MD5 array is loaded

2009.08.14.102355  [2719]
xorriso/xorriso.c
xorriso/xorrisoburn.c
More timely abort of find jobs if the result pager gets aborted

2009.08.14.211648  [2720]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorriso.1
Letting -check_media look for session checksum tags

2009.08.15.173403  [2724]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso.1
Introduced -check_media event= for mismatch events

2009.08.16.200906  [2725]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Adapted to a change in iso_util_decode_md5_tag()

2009.08.17.162456  [2726]
libisoburn/burn_wrap.c
Giving overwriteable media a single-session toc with isoburn_drive_aquire(bit4)

2009.08.17.162834  [2727]
xorriso/xorrisoburn.c
-check_media recognizes relocated 64kB superblock tag and hops over session gaps

2009.08.18.173453  [2728]
xorriso/xorrisoburn.c
Making use of new API call iso_md5_match() and adapted to MD5 image mismatches

2009.08.18.191013  [2729]
xorriso/xorriso.c
xorriso/xorriso.1
Included -md5 on with option -for_backup

------------------------------------ cycle  - xorriso-0.4.1 - 2009.08.18.191013
New option -md5, new -as mkisofs option --md5
New options -check_md5, -check_md5_r
New find actions check_md5 get_md5, get_any_xattr
New find tests -has_md5, -has_any_xattr
libisoburn: New write options session_md5, file_md5, read option nomd5


2009.08.19.180632  [2730]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
Adapted to enhanced iso_write_opts_set_record_md5()

2009.08.19.180842  [2731]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -md5 mode "all"

19 Aug 2009  [2732]
xorriso/xorriso_eng.html
Corrections with xorriso web page

2009.08.20.204309  [2733]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
Made -compare and -update work with recorded MD5 sums

2009.08.22.184241  [2734]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -find action make_md5 to equip files from old images with MD5

2009.08.24.182839  [2738]
configure.ac
libisoburn/libisoburn.h
Demanding libburn-0.6.9 now

2009.08.24.183750  [2739]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -calm_drive

2009.08.25.191217  [2741]
xorriso/xorrisoburn.c
More timely report of library messages with -check_md5

2009.08.25.191325  [2742]
xorriso/xorriso.1
Updated incremental backup example

2009.08.25.191433  [2743]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.22 now

2009.08.25.191543  [2744]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.23

------------------------------------ cycle  - xorriso-0.4.1 - 2009.08.25.191543
Options -compare, -compare_r, -update, update_r now can use recorded MD5
New -find action make_md5 to equip files from old images with MD5
New option -calm_drive


2009.08.27.175608  [2752]
xorriso/xorriso.c
Updated helptext about -find actions, new -as mkisofs option --for_backup

2009.08.27.175719  [2753]
libisoburn/libisoburn.h
configure.ac
Requiring libburn-0.7.0 now

2009.08.27.175806  [2754]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libburn-0.7.1

2009.08.28.100829  [2756]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -list_profiles

2009.08.28.101405  [2757]
xorriso/xorriso.c
Forgot to store before committing

2009.08.28.101716  [2758]
xorriso/xorriso_private.h
Forgot to commit xorriso_private.h

2009.08.28.112825  [2759]
xorriso/xorrisoburn.c
Small correction with reporting profile "Removable disk"

------------------------------------ cycle  - xorriso-0.4.1 - 2009.08.28.112825
New option -list_profiles


29 Aug 2009  [2760]
svn copy -m "Branching for libisoburn release 0.4.2"
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroFourTwo

2009.08.29.143001  [2761]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.2

29 Aug 2009  [2762]
xorriso/xorriso.1
Some updates and corrections in xorriso man page

29 Aug 2009  [2765]
xorriso/changelog.txt
Document changes and release timestamp

----------------------------------- release - xorriso-0.4.2 - 2009.08.29.143001
* libisoburn: New write options session_md5, file_md5, file_stability
* libisoburn: New read option nomd5
* Bug fix: xorriso -as mkisofs did not understand the -C option of growisofs any more
* Options -lsl and lsdl now display correct link counts if -hardlinks is on
* New option -md5, new -as mkisofs option --md5
* New options -check_md5, -check_md5_r
* New find actions check_md5 get_md5, get_any_xattr
* New find tests -has_md5, -has_any_xattr
* Options -compare, -compare_r, -update, update_r now can use recorded MD5
* New -find action make_md5 to equip files from old images with MD5
* New option -calm_drive
* New option -list_profiles


29 Aug 2009  [2763]
xorriso/xorriso.1
Some updates and corrections in xorriso man page

2009.08.29.180146  [2764]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.3

29 Aug 2009  [2766]
xorriso/changelog.txt
Documented changes and release timestamp

30 Aug 2009  [2767]
move -m 'Promoted branch to tag'
http://svn.libburnia-project.org/libisoburn/branches/ZeroFourTwo
http://svn.libburnia-project.org/libisoburn/tags/ZeroFourTwo

------------------------------------ cycle  - xorriso-0.4.3 - 2009.08.29.180146


31 Aug 2009  [2768]
xorriso/make_xorriso_standalone.sh
Added libisofs/doc/checksums.txt to xorriso standalone tarball

2009.08.31.162746  [2769]
xorriso/xorriso.c
Bug fix: -for_backup did not enable -xattr and -md5 if no drive was chosen yet

31 Aug 2009  [2770]
configure.ac
Requiring libisofs-0.6.23 now

2009.08.31.210528  [2771]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New API call iso_write_opts_set_scdbackup_tag()

2009.08.31.211005  [2772]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -scdbackup_tag

2009.09.01.110102  [2776]
xorriso/compile_xorriso.sh
xorriso/xorriso_makefile_am.txt
Removed libburn/lec.c from xorriso standalone and development scripts


------------------------------------ cycle  - xorriso-0.4.3 - 2009.09.01.110102
* Bug fix: -for_backup did not enable -xattr and -md5 if no drive was chosen yet
* New option -scdbackup_tag


2009.09.06.094209  [2796]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.7.1 now

2009.09.06.112851  [2798]
xorriso/xorrisoburn.c
Reporting "Media product:" with xorriso option -toc

2009.09.06.144813  [2799]
xorriso/xorrisoburn.c
Reporting media product info with -as cdrecord -atip

2009.09.07.161247  [2800]
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Avoided to use MD5 on filtered streams with compare and update

------------------------------------ cycle  - xorriso-0.4.3 - 2009.09.07.161247
* Option -toc now reports "Media product:"


2009.09.13.095136  [2811]
libisoburn/burn_wrap.c
xorriso/xorrisoburn.c
Eventually truncate stdio: track size to file size and issue warning

2009.09.16.162424  [2812]
xorriso/xorriso.h
xorriso/xorriso.c
Avoiding a potential memory leak in xorriso main()

2009.09.17.144453  [2813]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
Expanded new API call isoburn_igopt_set_scdbackup_tag

2009.09.17.144849  [2814]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Changing new option -scdbackup_tag

2009.09.19.161026  [2817]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -osirrox sub-options o_excl_on/off. Program osirrox starts with o_excl_off.

2009.09.20.092811  [2818]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Bug fix: Corrected handling of -as cdrecord -mode2, -xa, -xa2, -xa2, -xamix, xorrisofs -help, xorrecord -help

2009.09.20.110715  [2819]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Adjusted xorriso -as cdrecord fifo chunk size to -xa1

------------------------------------ cycle  - xorriso-0.4.3 - 2009.09.20.110715
* Bug fix: With -as cdrecord : -xa1 and -xamix were ignored although they do matter
* Bug fix: xorrisofs -help, xorrecord -help displayed original xorriso -help


2009.09.22.143534  [2821]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Bug fix: -cut_out deleted previously cut-out pieces of the same file

------------------------------------ cycle  - xorriso-0.4.3 - 2009.09.22.143534
* Bug fix: -cut_out deleted previously cut-out pieces of the same file


2009.09.27.080401  [2827]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
Narrowed rules for recognizing split file parts

2009.09.28.173322  [2828]
xorriso/xorrisoburn.c
xorriso/xorriso.1
Restricted split part recognition to directories with a complete part set

2009.09.30.092640  [2829]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -check_media sub options bad_limit=, slow_limit=, chunk_size=

------------------------------------ cycle  - xorriso-0.4.3 - 2009.09.30.092640


2009.10.05.165632  [2831]
libisoburn/isofs_wrap.c
libisoburn/burn_wrap.c
Avoided FAILURE event with welcoming empty disk files

2009.10.05.172143  [2832]
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -pvd_info

2009.10.05.183619  [2833]
xorriso/xorrisoburn.c
Adjusted -pvd_info to the peculiarities of -volid

2009.10.05.190215  [2834]
xorriso/xorrisoburn.c
Added code to xorriso for repairing "_" in all three PVD id file names

------------------------------------ cycle  - xorriso-0.4.3 - 2009.10.05.190215
* New option -pvd_info


2009.10.06.071704  [2835]
xorriso/xorrisoburn.c
Made sure that -pvd_info reports the actual PVD address

2009.10.07.072645  [2836]
libisoburn/isofs_wrap.c
Declared as closed those media which have read errors in the first 64 kB

2009.10.07.075634  [2837]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
New bit7 with isoburn_drive_aquire(): pretend read-only 

2009.10.07.080042  [2838]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -rom_toc_scan sub option "force" to get DVD/BD table-of-content on Solaris

------------------------------------ cycle  - xorriso-0.4.3 - 2009.10.07.080042


2009.10.07.124047  [2839]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Aligned sessions on overwriteables to full 32 blocks

2009.10.07.140521  [2840]
libisoburn/burn_wrap.c
Avoided FATAL event with -rom_toc_scan force and non-ISO media

2009.10.07.180552  [2841]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options -system_id , -volset_id

------------------------------------ cycle  - xorriso-0.4.3 - 2009.10.07.180552
* New options -system_id , -volset_id
* Bug fix libisofs: Filenames could lose blanks during a multi-session cycle

-------------------------------  patch - xorriso-0.4.2.pl02 - 2009.10.08.080001
* Bug fix: -for_backup did not enable -xattr and -md5 if no drive was chosen yet
* Bug fix: xorrisofs -help, xorrecord -help displayed original xorriso -help
* Bug fix libisofs: Filenames could lose blanks during a multi-session cycle


2009.10.08.155605  [2845]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.24 now

2009.10.08.155749  [2846]
xorriso/configure_ac.txt
xorriso/xorriso_eng.html
Adapted xorriso-standalone to version leap libisofs-0.6.25

2009.10.10.142353  [2851]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
xorriso/xorriso_eng.html
New option -mount_opts

2009.10.11.141528  [2852]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
Made -application_id, -publisher, -system_id, -volset_id pending image changes

2009.10.11.141815  [2853]
xorriso/xorriso.c
Changed FreeBSD mount command to mount_cd9660

2009.10.14.114830  [2862]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libburn-0.7.3

2009.10.14.115223  [2863]
README
xorriso/README
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.7.2 now

------------------------------------ cycle  - xorriso-0.4.3 - 2009.10.14.115223
* New option -mount_opts


2009.10.17.191225  [2866]
xorriso/compile_xorriso.sh
xorriso/xorriso_makefile_am.txt
Added libburn/ecma130ab.[cho] to xorriso standalone and development scripts

2009.10.22.155746  [2869]
xorriso/xorrisoburn.c
Added a "NOT READBLE" result line to -check_md5

22 Oct 2009  [2870]
xorriso/xorriso.1
Added man page example: Burn an existing ISO image file to media

27 Oct 2009  [2873]
xorriso/xorriso.1
Adjustments of xorriso man page

27 Oct 2009  [2874]
svn copy -m "Branching for libisoburn release 0.4.4" \
         http://svn.libburnia-project.org/libisoburn/trunk \
         http://svn.libburnia-project.org/libisoburn/branches/ZeroFourFour

2009.10.27.153001  [2875]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.4

27 Oct 2009  [2876]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.4.4 - 2009.10.27.153001
* Bug fix: -cut_out deleted previously cut-out pieces of the same file
* Bug fix libisofs: Filenames could lose blanks during a multi-session cycle
* Bug fix: -for_backup did not enable -xattr and -md5 if no drive was chosen yet
* Bug fix: With -as cdrecord : -xa1 and -xamix were ignored although they do matter
* Bug fix: xorrisofs -help, xorrecord -help displayed original xorriso -help
* New option -pvd_info
* Option -toc now reports "Media product:"
* New options -system_id , -volset_id
* New option -mount_opts
* New option -scdbackup_tag


2009.10.27.205410  [2877]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.5

28 Oct 2009  [2878]
xorriso/changelog.txt
Documented changes and release timestamp

28 Oct 2009 [2879]
svn move -m "Promoted branch to tag"
    http://svn.libburnia-project.org/libisoburn/branches/ZeroFourFour
    http://svn.libburnia-project.org/libisoburn/tags/ZeroFourFour

------------------------------------ cycle  - xorriso-0.4.5 - 2009.10.27.205410

2009.11.12.204523  [2897]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New -calm_drive mode "revoke"

-------------------------------  patch - xorriso-0.4.4.pl01 - 2009.11.13.120001
* libburn: Workaround for Pioneer DVR-216D which got stuck on DVD-R burns
* libburn: Workaround for Pioneer DVR-216D refusal to eject

2009.11.17.123150  [2909]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.7.3 now

2009.11.17.134239  [2910]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.1
New options -dvd_obs and -stdio_sync

2009.11.17.142447  [2911]
configure.ac
Makefile.am
xorriso/configure_ac.txt
xorriso/makefile_libxorriso_am.txt
New configure option --enable-dvd-obs-64k

------------------------------------ cycle  - xorriso-0.4.5 - 2009.11.17.142447
* New options -dvd_obs and -stdio_sync
* New configure option --enable-dvd-obs-64k


2009.11.28.123903  [2927]
xorriso/xorrisoburn.c
Made use of burn_fifo_source_new() flag bit0 and of burn_os_open_track_src()

2009.11.28.124241  [2928]
README
xorriso/README
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
New configure option --enable-track-src-odirect

------------------------------------ cycle  - xorriso-0.4.5 - 2009.11.28.124241
------------------------------------ cycle  - xorriso-0.4.5 - 2009.12.05.141523
* Bug fix: SIGSEGV with option -toc on LG GH22LS30


07 Dec 2009  [2944]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libburn-0.7.5

2009.12.07.082130  [2945]
README
xorriso/README
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.7.4 now

08 Dec 2009  [2947]
svn copy -m Branching for libisoburn release 0.4.6
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroFourSix

2009.12.08.130001  [2948]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.6

08 Dec 2009  [2949]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.4.6 - 2009.12.08.130001
* libburn: Bug fix: SIGSEGV from NULL pointer with option -toc on LG GH22LS30
* libburn: Workaround for Pioneer DVR-216D which got stuck on DVD-R burns
* libburn: Workaround for Pioneer DVR-216D refusal to eject
* New options -dvd_obs and -stdio_sync
* New configure option --enable-dvd-obs-64k


2009.12.08.144237  [2950]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.7

08 Dec 2009  [2961]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.4.7 - 2009.12.08.144237


2009.12.10.120734  [2953]
xorriso/xorrisoburn.c
Silenced harmless compiler warning of FreeBSD 6.3

10 Dec 2009  [2954]
xorriso/configure_ac.txt
Corrected a harmless name error in xorriso standalone configuration

2009.12.14.121636  [2955]
xorriso/xorriso.c
Mentioned stream_recording=number in helptext of xorriso -as cdrecord

2009.12.26.224409  [2977]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.7.5 now

2009.12.26.231134  [2978]
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
xorriso/xorrisoburn.c
Made xorriso-standalone aware of libcdio system adaptor 

2009.12.27.095045  [2980]
xorriso/xorrisoburn.c
Reporting system adapter id with xorriso -version

2009.12.30.163643  [2989]
xorriso/xorriso.c
Handling -mount on Debian kfreebsd like on FreeBSD

2009.12.31.114951  [2991]
xorriso/xorrisoburn.c
Changed report title "System adapter" to "libburn OS adapter"

2009.12.31.142331  [2992]
xorriso/xorriso.c
Reacted on compiler warning of Debian buildd

2009.12.31.144342  [2993]
libisoburn/libisoburn.h
Reacted on doxygen errors of Debian buildd

2010.01.01.124622  [2996]
libisoburn/isoburn.c
xorriso/xorriso.c
xorriso/xorrisoburn.c
Reacted on compiler warnings of Debian kfreebsd-amd64 buildd

2010.01.01.125742  [2997]
libisoburn/burn_wrap.c
libisoburn/isofs_wrap.c
Do not believe libburn if it says a role 2 drive is empty

2010.01.01.130215  [2998]
README
COPYRIGHT
libisoburn/data_source.c
xorriso/README
xorriso/compile_xorriso.sh
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
Updated copyright marks to 2010

01 Jan 2010  [2999]
xorriso/xorriso.1
Removed a stray option argument from xorriso man page

01 Jan 2010  [3000]
xorriso/xorriso_eng.html
Updated xorriso homepage

------------------------------------ cycle  - xorriso-0.4.7 - 2010.01.01.130215
* New configure option --enable-libcdio for system adapter to libcdio-0.83git

2010.01.07.090517  [3003]
configure.ac
xorriso/configure_ac.txt
Changed configure test for zlib from compress2() to compressBound()

2010.01.11.113303  [3007]
libisoburn/isofs_wrap.c
Re-enabled recognition of missing or empty disk files as blank drive (rev 2997)

2010.01.11.113457  [3008]
xorriso/xorrisoburn.c
Changed a comment in xorrisoburn.c

2010.01.17.145019  [3020]
libisoburn/burn_wrap.c
Bug fix: xorriso did not blank CD-RW with images that were prepared on hard disk

2010.01.17.145139  [3021]
xorriso/xorrisoburn.c
Made xorriso issue a filure message if blanking was not successful

2010.01.17.145751  [3022]
configure.ac
Fixed a bug in configure.ac introduced with rev 3003 

2010.01.19.133712  [3023]
xorriso/xorrisoburn.c
Avoided SORRY event for missing disk file during hardlink update

2010.01.20.105755  [3025]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.26 now

2010.01.20.105928  [3026]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.27

20 Jan 2010  [3027]
xorriso/xorriso_eng.html
Updated xorriso webpage

------------------------------------ cycle  - xorriso-0.4.7 - 2010.01.20.105928
* Bug fix: xorriso did not blank CD-RW with images that were prepared on hard disk


2010.01.23.153510  [3039]
README
xorriso/README
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.7.6 now

2010.01.23.153601  [3040]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libburn-0.7.7

25 Jan 2010  [3041]
svn copy -m Branching for libisoburn release 0.4.8
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroFourEight

2010.01.25.120001  [3042]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.8

25 Jan 2010  [3043]
xorriso/xorriso_private.h
test/compare_file.c
Lifted ban to derive GPLv3, extended copyright range to 2010

25 Jan 2010  [3045]
configure.ac
Corrected wrong micro version number

25 Jan 2010  [3048]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.4.8 - 2010.01.25.120001
* Bug fix: xorriso did not blank CD-RW with images that were prepared on hard disk
* New configure option --enable-libcdio for system adapter to libcdio-0.83git


2010.01.25.142705  [3046]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.4.9

25 Jan 2010  [3047]
xorriso/xorriso_private.h
test/compare_file.c
Lifted ban to derive GPLv3, extended copyright range to 2010

25 Jan 2010  [3049] ([3044])
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.4.9 - 2010.01.25.142705


25 Jan 2010  [3050]
move -m Promoted branch to tag \
     http://svn.libburnia-project.org/libisoburn/branches/ZeroFourEight \
     http://svn.libburnia-project.org/libisoburn/tags/ZeroFourEight

27 Jan 2010  [3051]
README
Changed leftover text which disallowed GPLv3

04 Feb 2010  [3052]
xorriso/xorriso.1
Small corrections in xorriso man page

2010.02.04.082710  [3053]
acinclude.m4
configure.ac
xorriso/configure_ac.txt
Forcing use of /usr/local on FreeBSD by LDFLAGS and CPPFLAGS

2010.02.08.110814  [3055]
xorriso/xorrisoburn.c
Removed surplus quotes from an error message

8 Feb 2010 [3056]
svn move -m 'Marked libisofs SVN copy as outdated (use bzr on lp)'
http://svn.libburnia-project.org/libisofs
http://svn.libburnia-project.org/libisofs_outdated

2010.02.10.150252  [3057]
README
Updated license statement about our legal view and future licenses

2010.02.10.150501  [3058]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.28 now

2010.02.10.150547  [3059]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.29

10 Feb 2010  [3060]
xorriso/xorriso_eng.html
Updated xorriso web page

------------------------------------ cycle  - xorriso-0.4.9 - 2010.02.10.150547
Bug fix: Regression in libisofs introduced with xorriso-0.4.2 in August 2009:
         -boot_image could lead to SIGSEGV


12 Feb 2010  [3061]
xorriso/README
Switched from xorriso-standalone GPLv2+ to GNU xorriso GPLv3+

svn move -m 'Renamed xorriso/README to xorriso/README_gnu_xorriso' \
xorriso/README xorriso/README_gnu_xorriso

2010.02.12.153945  [3062]
xorriso/xorriso.c
xorriso/make_xorriso_standalone.sh
xorriso/README_gnu_xorriso
+ xorriso/COPYING_gnu_xorriso
xorriso/xorriso_eng.html
Switched from xorriso-standalone GPLv2+ to GNU xorriso GPLv3+

2010.02.12.213121  [3065]
xorriso/xorriso.1
libisoburn/libisoburn.h
xorriso/xorriso_eng.html
Changed docs and comments to "GNU/Linux" where appropriate

------------------------------------ cycle  - xorriso-0.4.9 - 2010.02.12.213121

2010.02.14.151045  [3067]
README
COPYRIGHT
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/data_source.c
libisoburn/burn_wrap.c
libisoburn/isofs_wrap.c
Added or adjusted copyright and license statements in single files

2010.02.14.151610  [3068]
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
xorriso/xorriso.1
xorriso/xorriso_eng.html
+ xorriso/AUTHORS_gnu_xorriso
+ xorriso/COPYRIGHT_gnu_xorriso
Added or adjusted copyright and license statements in single files

2010.02.14.172124  [3070]
README
xorriso/make_xorriso_standalone.sh
xorriso/xorriso_makefile_am.txt
Excluded unused libburn source module crc.c from GNU xorriso tarball

2010.02.15.204530  [3072]
xorriso/xorriso_eng.html
Adjustments with web page of GNU xorriso

------------------------------------ cycle  - xorriso-0.4.9 - 2010.02.15.204530

2010.02.17.140002  [3074]
xorriso/xorriso.c
Bug fix for FreeBSD: xorriso could leave the drive tray locked

2010.02.18.125019  [3076]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.1
New option -scsi_log

2010.02.19.172125  [3077]
xorriso/xorrisoburn.c
Bug fix: xorriso -update_r could lead to SIGSEGV if applied to a data file

19 Feb 2010  [3078] [3079]
xorriso/xorriso_eng.html
Adjustments with web page of GNU xorriso

------------------------------------ cycle  - xorriso-0.4.9 - 2010.02.19.172125
Bug fix on FreeBSD: xorriso could leave the drive tray locked
Bug fix on FreeBSD: Piped input was falsely attributed a small fixed size
Bug fix: xorriso -update_r could lead to SIGSEGV if applied to a data file
New option -scsi_log

22 Feb 2010  [3081]
xorriso/README_gnu_xorriso
xorriso/xorriso_eng.html
Mentioned bug-xorriso@gnu.org as a contact address for GNU xorriso

2010.02.22.195623  [3082]
xorriso/make_xorriso_standalone.sh
xorriso/xorriso.h
xorriso/xorriso.c
Changed versioning and tarball name to match unpack directory name

22 Feb 2010  [3083]
svn copy -m Branching for libisoburn release 0.5.0
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveZero

2010.02.22.213001  [3084]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.0

22 Feb 2010  [3085]
Makefile.am
Delivering xorriso/README_gnu_xorriso with libisoburn

22 Feb 2010  [3086]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.5.0 - 2010.02.22.213001
Bug fix: Regression in libisofs introduced with xorriso-0.4.2 in August 2009:
         -boot_image could lead to SIGSEGV
Bug fix on FreeBSD: xorriso could leave the drive tray locked
Bug fix on FreeBSD: Piped input was falsely attributed a small fixed size
Bug fix: xorriso -update_r could lead to SIGSEGV if applied to a data file
New option -scsi_log


2010.02.23.093924  [3087]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.1

23 Feb 2010  [3088]
Makefile.am
Delivering xorriso/README_gnu_xorriso with libisoburn

23 Feb 2010  [3089]
svn move -m Promoted branch to tag
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveZero
http://svn.libburnia-project.org/libisoburn/tags/ZeroFiveZero

------------------------------------ cycle  - xorriso-0.5.1 - 2010.02.23.093924


28 Feb 2010  [3094]
xorriso/make_xorriso_standalone.sh
Adjusted patcher of Makefile.in for GNU xorriso

28 Feb 2010  [3095]
xorriso/xorriso.1
Corrected spelling errors in xorriso man page

2010.03.09.065117  [3109]
libisoburn/libisoburn.h
Requiring libburn-0.7.7 now

2010.03.09.065408  [3110]
xorriso/xorriso_private.h
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Adapted xorriso signal handling to new libburn advise

2010.03.10.183348  [3121]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.7.8 now

2010.03.10.183426  [3122]
xorriso/configure_ac.txt
Adapted GNU xorriso to version leap libburn-0.7.9

2010.03.18.101202  [3125]
Makefile.am
xorriso/xorriso_makefile_am.txt
xorriso/make_xorriso_standalone.sh
+ xorriso/xorriso.texi
+ xorriso/xorriso.info
+ xorriso/make_xorriso_1.c
+ xorriso/make_docs.sh
xorriso/xorriso.1
xorriso/convert_man_to_html.sh
Switched xorriso documentation to a hybrid of texinfo and man page

------------------------------------ cycle  - xorriso-0.5.1 - 2010.03.18.101202
* xorriso documentation now also available in (tex)info format


2010.03.20.165317  [3126]
xorriso/make_docs.sh
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
xorriso/convert_man_to_html.sh
Restructured xorriso documentation and added index

2010.03.21.124435  [3127]
Makefile.am
xorriso/xorriso_makefile_am.txt
xorriso/xorriso.texi
xorriso/xorriso.info
Distributing and installing xorriso.info

2010.03.21.124517  [3128]
libisoburn/burn_wrap.c
Silenced a harmless compiler warning

22 Mar 2010  [3129]
xorriso/xorriso.texi
Changed global info dir entry of xorriso.texi

22 Mar 2010  [3130]
xorriso/xorriso.info
Changed global info dir entry of xorriso.info

2010.03.29.103419  [3136]
libisoburn/burn_wrap.c
Avoided to declare empty tray as written media

2010.03.29.103533  [3137]
xorriso/xorrisoburn.c
Better handling of empty tray when aquiring drive

------------------------------------ cycle  - xorriso-0.5.1 - 2010.03.29.103533

29 Mar 2010  [3138]
svn copy -m Branching for libisoburn release 0.5.2
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveTwo

2010.03.29.190001  [3139]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.2

30 Mar 2010  [3141]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.5.2 - 2010.03.29.190001
* xorriso documentation now also available in (tex)info format
* Prepared FreeBSD system adapter to work with ahci driver


2010.03.30.082405  [3140]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.3

30 Mar 2010  [3142]
xorriso/changelog.txt
Documented changes and release timestamp

30 Mar 2010  [3143]
svn move -m Promoted branch to tag
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveTwo
http://svn.libburnia-project.org/libisoburn/tags/ZeroFiveTwo

------------------------------------ cycle  - xorriso-0.5.3 - 2010.03.30.082405


2010.04.01.140653  [3144]
libisoburn/burn_wrap.c
libisoburn refused to recognize ISO images smaller than 64 kB

2010.04.01.140653  [3145]
xorriso/xorriso.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Disabled isohybrid MBR production on request of H. Peter Anvin

2010.04.05.192817  [3147]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.29 now

2010.04.06.125013  [3148]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New API call isoburn_igopt_set_system_area()

2010.04.06.151750  [3149]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
New -as mkisofs options -G and --protective-msdos-label for GRUB

2010.04.06.192328  [3150]
xorriso/xorriso.c
xorriso/xorriso_eng.html
Polishing of new GRUB supporting features

------------------------------------ cycle  - xorriso-0.5.3 - 2010.04.06.192328
* New API call isoburn_igopt_set_system_area()
* New -as mkisofs options -G and --protective-msdos-label for GRUB


2010.04.07.073024  [3151]
libisoburn/burn_wrap.c
Fixed image reading bug introduced with revision 3144

------------------------------------ cycle  - xorriso-0.5.3 - 2010.04.07.073024

2010.04.07.202148  [3152]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New API call isoburn_igopt_set_pvd_times()

2010.04.07.202559  [3153]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
New option -volume_date, for grub-mkrescue: -as mkisofs --modification-date=

2010.04.08.185744  [3154]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
New find action mkisofs_r and emulation -as mkisofs -r

------------------------------------ cycle  - xorriso-0.5.3 - 2010.04.08.185744
* New API call isoburn_igopt_set_pvd_times()
* New option -volume_date, for grub-mkrescue: -as mkisofs --modification-date=
* New find action mkisofs_r and emulation -as mkisofs -r


2010.04.09.171108  [3164]
xorriso/configure_ac.txt
Adapted GNU xorriso to version leap libburn-0.8.1

2010.04.10.150747  [3165]
configure.ac
xorriso/configure_ac.txt
Trying to avoid iconv const warning and multiple -liconv options on FreeBSD

2010.04.10.170927  [3166]
libisoburn/libisoburn.h
libisoburn/isoburn.c
New options bit1 of isoburn_igopt_set_system_area() for isohybrid production

2010.04.10.171214  [3167]
xorriso/xorriso.c
xorriso/xorrisoburn.c
New -boot_image isolinux partition_table=on, -as mkisofs -isohybrid-mbr

2010.04.10.180103  [3168]
xorriso/xorriso.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Updated help text and documentation

------------------------------------ cycle  - xorriso-0.5.3 - 2010.04.10.180103
* New options bit1 of isoburn_igopt_set_system_area() for isohybrid production
* New: -boot_image isolinux partition_table=on, -as mkisofs -isohybrid-mbr


2010.04.11.120902  [3169]
xorriso/xorriso.c
test/compare_file.c
Reacted on compiler warnings of cygwin

2010.04.11.121002  [3170]
xorriso/xorrisoburn.c
Avoided printing of possibly uninitialized integer

2010.04.11.121418  [3171]
acinclude.m4
xorriso/configure_ac.txt
Realistic iconv() linking test in ./configure with eventual abort

2010.04.11.122253  [3172]
xorriso/xorriso.c
test/compare_file.c
xorriso/xorrisoburn.c
acinclude.m4
xorriso/configure_ac.txt
(Payload files of  revisions 3169, 3170, 3171)

------------------------------------ cycle  - xorriso-0.5.3 - 2010.04.11.122253


12 Apr 2010  [3173]
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Mentioned xorriso alias names in chapter FILES of documentation

2010.04.12.111137  [3174]
xorriso/xorriso.c
test/compare_file.c
Decided to put out uid_t and gid_t as unsigned long

2010.04.13.103037  [3175]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New isoburn_igopt_set_relaxed() options: only_iso_versions, no_j_force_dots

2010.04.13.103917  [3176]
xorriso/xorrisoburn.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
New -compliance options only_iso_version, no_j_force_dots

------------------------------------ cycle  - xorriso-0.5.3 - 2010.04.13.103917
* New isoburn_igopt_set_relaxed() options: only_iso_versions, no_j_force_dots
* New -compliance options only_iso_version, no_j_force_dots


2010.04.13.154201  [3177]
acinclude.m4
configure.ac
xorriso/configure_ac.txt
More carefully checking for libreadline suitability

------------------------------------ cycle  - xorriso-0.5.3 - 2010.04.13.154201


2010.04.16.195349  [3178]
libisoburn/isofs_wrap.c
libisoburn now always loads the System Area with the ISO image

2010.04.16.195835  [3179]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Made -boot_image isolinux|grub patch and partition_table=on patch System Area

2010.04.17.171147  [3180]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.30 now

2010.04.17.171232  [3181]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.31

------------------------------------ cycle  - xorriso-0.5.3 - 2010.04.17.171232

2010.04.18.095808  [3182]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
New -find action sort_weight, new -as mkisofs --sort-weight

2010.04.18.100814  [3183]
xorriso/xorriso.c
Added --sort-weight to -as mkisofs -help

------------------------------------ cycle  - xorriso-0.5.3 - 2010.04.18.100814
* New -find action sort_weight, new -as mkisofs --sort-weight


2010.04.18.141143  [3184]
xorriso/xorrisoburn.c
Corrected image size computation for comparison with partition table

18 Apr 2010  [3185]
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Updated documentation about MBR

19 Apr 2010  [3186]
svn copy -m Branching for libisoburn release 0.5.4
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveFour

2010.04.19.080001  [3187]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.4

19 Apr 2010  [3188]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.5.4 - 2010.04.19.080001
* New API call isoburn_igopt_set_system_area()
* New API call isoburn_igopt_set_pvd_times()
* New isoburn_igopt_set_relaxed() options: only_iso_versions, no_j_force_dots
* New -boot_image any system_area=, -as mkisofs option -G
* New -boot_image grub partition_table=on, --protective-msdos-label
* New -boot_image isolinux partition_table=on, -as mkisofs -isohybrid-mbr
* New option -volume_date, for grub-mkrescue: -as mkisofs --modification-date=
* New -find action mkisofs_r and emulation -as mkisofs -r
* New -compliance options only_iso_version, no_j_force_dots
* New -find action sort_weight, new -as mkisofs --sort-weight


2010.04.19.095104  [3189]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.5

19 Apr 2010  [3190]
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.5.5 - 2010.04.19.095104

19 Apr 2010  [3191]
svn move -m Promoted branch to tag
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveFour
http://svn.libburnia-project.org/libisoburn/tags/ZeroFiveFour

20 Apr 2010  [3192]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.31 now

2010.04.20.091732  [3193]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
New -boot_image any platform_id=

2010.04.20.103448  [3194]
xorriso/xorriso.c
Determining boot image size only after it was added to the ISO image

------------------------------------ cycle  - xorriso-0.5.5 - 2010.04.20.103448
* New -boot_image any platform_id=, -as mkisofs --efi-boot


2010.04.20.140151  [3195]
xorriso/xorrisoburn.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Raised boot catalog weight to 1000000000

2010.04.20.142540  [3196]
xorriso/xorrisoburn.c
Changed iso_image_set_boot_platform_id() to el_torito_set_boot_platform_id()

2010.04.22.143944  [3197]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Allowing 1 BIOS boot image and 1 EFI boot image: -boot_image grub efi_path=

2010.04.22.160615  [3198]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Bug fixes and improvements of previous revision 3197

------------------------------------ cycle  - xorriso-0.5.5 - 2010.04.22.160615
------------------------------------ cycle  - xorriso-0.5.5 - 2010.04.22.221241


2010.04.26.121051  [3199]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorrisoburn.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Allowing up to 32 boot images, -boot_image any id_string=, sel_crit=

2010.04.26.141229  [3200]
xorriso/xorriso.c
xorriso/xorrisoburn.c
Fixed minor problems with previous revision 3199

2010.04.26.175506  [3201]
xorriso/xorriso.c
xorriso/xorriso_eng.html
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Some documentation updates

27 Apr 2010  [3202]
xorriso/xorriso_eng.html
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Some more documentation updates

2010.04.27.072331  [3203]
xorriso/xorriso.c
Downgraded message about stdout redirection from NOTE to DEBUG

2010.04.27.074834  [3204]
xorriso/xorrisoburn.c
Fixed handling of empty current bin_path and already attached boot images

2010.04.29.133234  [3205]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Avoided -boot_image patching for images which obviously have no boot-info-table

------------------------------------ cycle  - xorriso-0.5.5 - 2010.04.29.133234
* Allowing up to 32 boot images
* New -boot_image bootspecs efi_path=, platform_id=, sel_crit=, id_string=, next
* New -as mkisofs options --efi-boot, -eltorito-alt-boot


2010.05.03.123759  [3208]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.32 now

2010.05.03.165446  [3209]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libisofs-0.6.33

04 May 2010 [3210]
svn copy -m Branching for libisoburn release 0.5.6
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveSix

2010.05.04.100001  [3211]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.6

04 May 2010  [3212]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.5.6 - 2010.05.04.100001
* Allowing up to 32 boot images
* New -boot_image bootspecs efi_path=, platform_id=, sel_crit=, id_string=, next
* New -as mkisofs options --efi-boot, -eltorito-alt-boot


2010.05.04.120115  [3213]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorriso.c
xorriso/xorrisoburn.h
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.7

04 May 2010  [3214]
xorriso/changelog.txt
Documented changes and release timestamp

04 May 2010  [3215]
svn move -m Promoted branch to tag
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveSix
http://svn.libburnia-project.org/libisoburn/tags/ZeroFiveSix

------------------------------------ cycle  - xorriso-0.5.7 - 2010.05.04.120115


2010.05.05.194248  [3216]
xorriso/xorriso_private.h
xorriso/xorriso.c
xorriso/xorrisoburn.c
Removed development macro Xorriso_multi_booT by making it unconditional

05 May 2010  [3217]
xorriso/xorriso_eng.html
Avoided to show inappropriate links on www.gnu.org

------------------------------------ cycle  - xorriso-0.5.7 - 2010.05.05.194248


2010.05.15.184604  [3218]
Makefile.am
xorriso/xorriso_makefile_am.txt
xorriso/make_xorriso_standalone.sh
xorriso/compile_xorriso.sh
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
- xorriso/xorriso.c
- xorriso/xorrisoburn.c
+ xorriso/xorriso_main.c
+ xorriso/sfile.h
+ xorriso/sfile.c
+ xorriso/aux_objects.h
+ xorriso/aux_objects.c
+ xorriso/findjob.h
+ xorriso/findjob.c
+ xorriso/check_media.h
+ xorriso/check_media.c
+ xorriso/misc_funct.h
+ xorriso/misc_funct.c
+ xorriso/text_io.h
+ xorriso/text_io.c
+ xorriso/match.h
+ xorriso/match.c
+ xorriso/emulators.h
+ xorriso/emulators.c
+ xorriso/disk_ops.h
+ xorriso/disk_ops.c
+ xorriso/cmp_update.h
+ xorriso/cmp_update.c
+ xorriso/parse_exec.h
+ xorriso/parse_exec.c
+ xorriso/opts_a_c.c
+ xorriso/opts_d_h.c
+ xorriso/opts_i_o.c
+ xorriso/opts_p_z.c
+ xorriso/base_obj.h
+ xorriso/base_obj.c
+ xorriso/lib_mgt.h
+ xorriso/lib_mgt.c
+ xorriso/sort_cmp.h
+ xorriso/sort_cmp.c
+ xorriso/drive_mgt.h
+ xorriso/drive_mgt.c
+ xorriso/iso_img.h
+ xorriso/iso_img.c
+ xorriso/iso_tree.h
+ xorriso/iso_tree.c
+ xorriso/iso_manip.h
+ xorriso/iso_manip.c
+ xorriso/write_run.h
+ xorriso/write_run.c
+ xorriso/read_run.h
+ xorriso/read_run.c
+ xorriso/filters.h
+ xorriso/filters.c
Splitted xorriso.c and xorrisoburn.c into smaller source modules

2010.05.16.092546  [3220]
libisoburn/burn_wrap.c
libisoburn/data_source.c
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
Eventually including ../config.h generated by autotools

2010.05.16.093108  [3221]
xorriso/aux_objects.c
xorriso/base_obj.c
xorriso/check_media.c
xorriso/cmp_update.c
xorriso/disk_ops.c
xorriso/drive_mgt.c
xorriso/emulators.c
xorriso/filters.c
xorriso/findjob.c
xorriso/iso_img.c
xorriso/iso_manip.c
xorriso/iso_tree.c
xorriso/lib_mgt.c
xorriso/make_xorriso_1.c
xorriso/match.c
xorriso/misc_funct.c
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/opts_i_o.c
xorriso/opts_p_z.c
xorriso/parse_exec.c
xorriso/read_run.c
xorriso/sfile.c
xorriso/sort_cmp.c
xorriso/text_io.c
xorriso/write_run.c
xorriso/xorriso_main.c
Eventually including ../config.h generated by autotools

2010.05.16.113100  [3222]
xorriso/xorriso.h
xorriso/xorriso_main.c
xorriso/make_xorriso_standalone.sh
Made option -version know again whether it is in GNU xorriso

2010.05.16.171056  [3223]
xorriso/xorriso_main.c
Checking for suitable sizeof(off_t)

2010.05.17.142656  [3224]
+ xorriso/xorriso_bootstrap.txt
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
Made compilation of GNU xorriso less verbous by use of autoheader config.h

2010.05.18.174455  [3225]
Makefile.am
- xorriso/makefile_libxorriso_am.txt
xorriso/xorriso_main.c
Moved xorriso implementation into libisoburn 

19 May 2010  [3226]
test/compare_file.c
Eventually including ../config.h generated by autotools

2010.05.19.160540  [3227]
configure.ac
Makefile.am
xorriso/compile_xorriso.sh
Moved configuration options from xorriso_xorriso_CFLAGS to CFLAGS

2010.05.21.132725  [3228]
libisoburn/libisoburn.h
Mentioned both levels of API and their mutual exclusiveness

2010.05.21.133627  [3229]
xorriso/xorriso.h
xorriso/xorriso_main.c
xorriso/base_obj.c
xorriso/opts_p_z.c
xorriso/write_run.c
Adapted version checking to new library situation

2010.05.21.134500  [3230]
libisoburn/libisoburn.h
Corrected typo in remark

2010.05.23.072450  [3231]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New write extension option isoburn_igopt_no_emul_toc

2010.05.23.072616  [3232]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/write_run.c
New -compliance rule no_emul_toc

2010.05.23.072845  [3233]
xorriso/emulators.c
Implemented -as cdrecord -V, new -as mkisofs option --no-emul-toc

23 May 2010 [3234]
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Documentation for recent enhancements

2010.05.26.123017  [3235]
xorriso/emulators.c
Implemented -as mkisofs options -U, -N, -l, -d, -allow-lowercase

26 May 2010  [3236]
xorriso/xorriso_eng.html
Updated GNU xorriso web page

------------------------------------ cycle  - xorriso-0.5.7 - 2010.05.26.123017
* xorriso source split into more modules, object code moved into libisoburn
* New write extension option isoburn_igopt_no_emul_toc
* New -compliance rule no_emul_toc, new -as mkisofs --no-emul-toc
* Implemented -as cdrecord -V
* Implemented -as mkisofs options -U, -N, -l, -d, -allow-lowercase


2010.05.31.095756  [3238]
xorriso/aux_objects.h
xorriso/aux_objects.c
Corrected a misplaced class description comment

2010.06.07.180414  [3242]
xorriso/xorriso_makefile_am.txt
Taking care of new Solaris adapter of libburn

07 Jun 2010  [3243]
README
xorriso/README_gnu_xorriso
xorriso/xorriso_eng.html
Updated documentation about Solaris adapter

------------------------------------ cycle  - xorriso-0.5.7 - 2010.06.07.180414
* New libburn system adapter for Solaris uscsi (tested on snv134, kernel 5.11)


10 Jun 2010  [3249]
xorriso/README_gnu_xorriso
xorriso/xorriso.texi
xorriso/xorriso.1
xorriso/xorriso.info
Mentioned Solaris and system dependent drive permission settings

2010.06.11.174804  [3258]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.8.2 now

11 Jun 2010  [3259]
xorriso/configure_ac.txt
Adapted xorriso-standalone to version leap libburn-0.8.3

------------------------------------ cycle  - xorriso-0.5.7 - 2010.06.11.174804


2010.06.13.105645  [3260]
xorriso/emulators.c
Removed surplus test expression

2010.06.13.110316  [3261]
README
xorriso/xorriso.h
xorriso/xorriso_main.c
Updated docs about existence of xorriso API in libisoburn

2010.06.13.133537  [3261]
xorriso/opts_d_h.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Untangled messed-up relation between -hardlinks and -compliance

13 Jun 2010 [3263]
svn copy -m Branching for libisoburn release 0.5.8
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveEight

2010.06.13.140001  [3264]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
(forgotten: xorriso/xorriso_main.c)
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.8

13 Jun 2010  [3265]
xorriso/opts_p_z.c
Avoided double printing of xorriso version header line

13 Jun 2010 [3266]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.5.8 - 2010.06.13.140001
* New libburn system adapter for Solaris uscsi (tested on snv134, kernel 5.11)
* xorriso source split into more modules, object code moved into libisoburn
* New write extension option isoburn_igopt_no_emul_toc
* New -compliance rule no_emul_toc, new -as mkisofs --no-emul-toc
* Implemented -as cdrecord option -V
* Implemented -as mkisofs options -U, -N, -l, -d, -allow-lowercase


2010.06.14.073240  [3268]
xorriso/opts_p_z.c
Avoided double printing of xorriso version header line

2010.06.14.081834  [3269]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.5.9

14 Jun 2010  [3270]
xorriso/changelog.txt
Documented changes and release timestamp

14 Jun 2010  [3271]
svn move -m Promoted branch to tag
http://svn.libburnia-project.org/libisoburn/branches/ZeroFiveEight
http://svn.libburnia-project.org/libisoburn/tags/ZeroFiveEight

------------------------------------ cycle  - xorriso-0.5.9 - 2010.06.14.081834


2010.06.15.160133  [3275]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.8.3 now (because SIGWINCH handling on Solaris)

2010.06.15.160501  [3276]
acinclude.m4
Enabled use of libreadline on Solaris by eventually linking -lcurses

2010.06.16.105449  [3278]
libisoburn/libisoburn.h
Clarified API description of isoburn_read_iso_head()

2010.06.16.105652  [3279]
xorriso/write_run.c
Bug fix: check_media patch_lba0= could install wrong image size

2010.06.16.140253  [3280]
xorriso/write_run.c
Made patch_lba0= more modest with overwriting.

2010.06.18.053105  [3281]
xorriso/emulators.c
Bug fix: -as mkisofs option -volset was wrongly interpreted like -volid

2010.06.18.113147  [3282]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.33 now

2010.06.19.152046  [3283]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/write_run.c
xorriso/opts_a_c.c
xorriso/iso_img.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -boot_image bootspec cat_hidden=

2010.06.19.152046  [3284]
xorriso/iso_tree.h
xorriso/iso_tree.c
xorriso/findjob.h
xorriso/findjob.c
xorriso/iso_manip.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New find test -disk_name

2010.06.20.072130  [3285]
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/iso_manip.c
xorriso/findjob.h
xorriso/findjob.c
xorriso/misc_funct.h
xorriso/misc_funct.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New find action -hide, new find test -hidden

2010.06.20.141555  [3286]
xorriso/aux_objects.c
xorriso/emulators.c
xorriso/opts_p_z.c
xorriso/read_run.c
libisoburn/burn_wrap.c
Trying to silence compiler warnings of OpenSuse Build Service

2010.06.20.164738  [3287]
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/parse_exec.c
xorriso/opts_d_h.c
xorriso/iso_manip.c
xorriso/disk_ops.c
xorriso/iso_tree.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New option -hide

2010.06.22.132641  [3288]
xorriso/opts_p_z.c
Made -quoted_path_list continue to execute words after error in the same line

2010.06.23.134250  [3289]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/aux_objects.c
xorriso/parse_exec.c
xorriso/opts_i_o.c
xorriso/emulators.c
xorriso/disk_ops.c
xorriso/misc_funct.h
xorriso/misc_funct.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -as mkisofs options -hide, -hide-joliet, -hide-list, -hide-joliet-list

2010.06.23.134250  [3290]
xorriso/emulators.c
Included a missing header file

2010.06.23.151900  [3291]
xorriso/parse_exec.h
Updated the missing header file

2010.06.23.152337  [3292]
xorriso/emulators.c
Revoked unneeded change of revision 3290

2010.06.23.175357  [3293]
xorriso/xorriso_private.h
xorriso/lib_mgt.c
xorriso/drive_mgt.c
xorriso/iso_img.c
Reset xorriso->boot_count when image gets discarded

2010.06.23.175613  [3294]
xorriso/write_run.c
Moved call of iso_image_set_boot_catalog_hidden() to Xorriso_write_session()

------------------------------------ cycle  - xorriso-0.5.9 - 2010.06.23.175613
Bug fix: -check_media patch_lba0= could install wrong image size
Bug fix: -as mkisofs option -volset was wrongly interpreted like -volid
Enabled use of libreadline on Solaris
New find test -disk_name
New option -hide, -find action -hide, -find test -hidden
New -boot_image bootspec cat_hidden=on
New -as mkisofs options -hide, -hide-joliet, -hide-list, -hide-joliet-list


2010.06.24.084800  [3295]
xorriso/emulators.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -as mkisofs option --boot-catalog-hide

2010.06.25.095836  [3296]
xorriso/emulators.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -as mkisofs option -dir-mode

2010.06.25.102140  [3297]
xorriso/emulators.c
New -as mkisofs option -file-mode

2010.06.25.174329  [3298]
xorriso/text_io.c
Appending eventual strerror() to event message line rather than to new line

2010.06.25.175810  [3299]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/parse_exec.h
xorriso/parse_exec.c
xorriso/opts_d_h.c
xorriso/opts_p_z.c
xorriso/sfile.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New option -read_mkisofsrc interprets .mkisofsrc

2010.06.26.113947  [3300]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/parse_exec.c
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/drive_mgt.c
xorriso/iso_img.c
xorriso/text_io.c
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New options -copright_file , -biblio_file , -abstract_file

2010.06.26.114315  [3301]
xorriso/emulators.c
New -as mkisofs options -abstract, -biblio, -copyright

------------------------------------ cycle  - xorriso-0.5.9 - 2010.06.26.114315
New -as mkisofs option --boot-catalog-hide
New options -copright_file , -biblio_file , -abstract_file
New option -read_mkisofsrc interprets .mkisofsrc
New -as mkisofs options -dir-mode, -file-mode
New -as mkisofs options -abstract, -biblio, -copyright


2010.06.28.100903  [3302]
xorriso/text_io.c
Supressing "Thank you for being patient" with times smaller than 2

2010.06.28.101019  [3303]
xorriso/iso_tree.c
Made option -lsl mark files in hidden directories as hidden

27 Jun 2010  [3304]
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Removed outdated doc statement about hidden files

2010.06.29.102043  [3305]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.34 now

2010.06.29.102229  [3306]
xorriso/configure_ac.txt
Adapted GNU xorriso to version leap libisofs-0.6.35

2010.06.30.181822  [3315]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.8.4 now

2010.06.30.181908  [3316]
xorriso/configure_ac.txt
Adapted GNU xorriso to version leap libburn-0.8.5

02 Jul 2010  [3317]
svn copy -m Branching for libisoburn release 0.6.0 \
http://svn.libburnia-project.org/libisoburn/trunk \
http://svn.libburnia-project.org/libisoburn/branches/ZeroSixZero

2010.07.02.090001  [3318]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.6.0

02 Jul 2010  [3319]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.6.0 - 2010.07.02.090001
Bug fix: -check_media patch_lba0= could install wrong image size
Bug fix: -as mkisofs option -volset was wrongly interpreted like -volid
Enabled use of libreadline on Solaris
New find test -disk_name
New option -hide, -find action -hide, -find test -hidden
New -boot_image bootspec cat_hidden=on
New options -copright_file , -biblio_file , -abstract_file
New option -read_mkisofsrc interprets .mkisofsrc
Implemented -as mkisofs options -hide,-hide-joliet,-hide-list,-hide-joliet-list
New -as mkisofs option --boot-catalog-hide
Implemented -as mkisofs options -dir-mode, -file-mode
Implemented -as mkisofs options -abstract, -biblio, -copyright


2010.07.02.195907  [3320]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.6.1

2 Jul 2010  [3321]
xorriso/changelog.txt
Documented changes and release timestamp

2 Jul 2010  [3322]
svn move -m Promoted branch to tag
http://svn.libburnia-project.org/libisoburn/branches/ZeroSixZero
http://svn.libburnia-project.org/libisoburn/tags/ZeroSixZero

------------------------------------ cycle  - xorriso-0.6.1 - 2010.07.02.195907

4 Jul 2010  [3324]
acinclude.m4
Added -L/usr/local/lib to libisoburn LDFLAGS for Solaris

2010.07.05.090409  [3327]
xorriso/xorriso.h
Removed definition of phantom xorriso options

2010.07.05.122901  [3328]
configure.ac
Makefile.am
README
+ libisoburn/libisoburn.ver
Hiding all non-API symbols from the linker by use of --version-script

2010.07.06.114102  [3331]
configure.ac
acinclude.m4
Let configure perform linker test with --version-script if enabled

2010.07.06.114503  [3332]
libisoburn/libisoburn.h
xorriso/xorriso.h
Mentioned that public API calls must be in libisofs/libisofs.ver

2010.07.08.155900  [3333]
xorriso/emulators.c
Made behavior of -as mkisofs with unknown options more similar to original

------------------------------------ cycle  - xorriso-0.6.1 - 2010.07.08.155900
* Made behavior of -as mkisofs with unknown options more similar to original


2010.07.29.164843  [3338]
Makefile.am
Detached make target "doc" from target "all".

29 Jul 2010  [3339]
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Corrected manual text about -read_mkisofsrc

2010.07.30.155123  [3340]
libisoburn/libisoburn.ver
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/base_obj.c
xorriso/lib_mgt.c
xorriso/parse_exec.c
xorriso/opts_a_c.c
xorriso/opts_p_z.c
xorriso/emulators.c
xorriso/text_io.c
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New option -preparer_id, -as mkisofs options -p and -preparer

30 Jul 2010  [3342]
doc/doxygen.conf.in
Removed problematic DETAILS_AT_TOP to silence warning of Debian buildd

30 Jul 2010  [3343]
doc/doxygen.conf.in
Corrected FILE_PATTERNS

2010.07.31.085437  [3344]
xorriso/cmp_update.c
Missing device,inode numbers caused -compare_r to report a difference

------------------------------------ cycle  - xorriso-0.6.1 - 2010.07.31.085437
* New option -preparer_id, -as mkisofs options -p and -preparer


2010.08.09.092037  [3351]
libisoburn/libisoburn.h
doc/comments
Hopefully silenced warnings of doxygen on Debian buildd

2010.08.18.102709  [3353]
xorriso/emulators.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -as mkisofs option -e from Fedora genisoimage

2010.08.18.181640  [3354]
xorriso/xorriso_private.h
xorriso/opts_a_c.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -boot_image specifier emul_type=none|hard_disk|floppy

2010.08.18.181855  [3355]
xorriso/emulators.c
New -as mkisofs option -hard-disk-boot, enabled -b without -no-emul-boot

2010.08.21.103003  [3357]
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
xorriso/xorriso_eng.html
Mentioned support for DVD-R DL as single-session media

2010.09.04.100823  [3359]
xorriso/iso_manip.c
This was obviously forgotten to commit with rev 3289

2010.09.05.113621  [3360]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New API function isoburn_igopt_set_part_offset(), requiring libisofs 0.6.35

2010.09.05.113655  [3361]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/opts_a_c.c
xorriso/text_io.c
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New boot_image boot specs partition_offset, partition_hd_cyl, partition_sec_hd

2010.09.05.113945  [3362]
xorriso/emulators.c
New -as mkisofs options -partition_offset, -partition_hd_cyl, -partition_sec_hd

------------------------------------ cycle  - xorriso-0.6.1 - 2010.09.05.113945
* New API function isoburn_igopt_set_part_offset()
* New -boot_image specifier emul_type=none|hard_disk|floppy
* New -as mkisofs option -hard-disk-boot, enabled -b without -no-emul-boot
* New -as mkisofs option -e from Fedora genisoimage
* New boot_image boot specs partition_offset, partition_hd_cyl, partition_sec_hd
* New -as mkisofs options -partition_offset, -partition_hd_cyl, -partition_sec_hd


2010.09.06.103347  [3363]
libisoburn/isoburn.c
Bug fix: Re-enabled use of iso_write_opts_set_rrip_1_10_px_ino()

2010.09.10.170925  [3364]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
libisoburn/burn_wrap.c
Enabled multi-session with partition offset

2010.09.10.171223  [3365]
xorriso/drive_mgt.c
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Enabled multi-session with partition offset

2010.09.11.125002  [3366]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
Removed development marks

2010.09.11.125039  [3367]
xorriso/xorriso_private.h
Removed development marks

------------------------------------ cycle  - xorriso-0.6.1 - 2010.09.11.125039
* Bug fix: Regression with -hardlinks and -compliance old_rr, 0.4.2, Aug 2009


2010.09.15.065722  [3370]
Makefile.am
ChangeLog
Meaningful change log file derived by George Danchev from web site

2010.09.15.091546  [3371]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.36 now

2010.09.15.092023  [3372]
xorriso/configure_ac.txt
Version leap to 0.6.37

17 Sep 2010  [3380]
xorriso/configure_ac.txt
Version leap to libburn-0.8.7

18 Sep 2010  [3382]
svn copy -m Branching for libisoburn release 0.6.0
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroSixZero

18 Sep 2010  [3383]
svn delete http://svn.libburnia-project.org/libisoburn/branches/ZeroSixZero
Removed falsely named branch

18 Sep 2010  [3384]
svn copy -m Branching for libisoburn release 0.6.2
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroSixTwo

2010.09.18.120001  [3385]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.6.2

18 Sep 2010  [3386]
ChangeLog
xorriso/changelog.txt
Documented changes and release timestamp

2010.09.18.210001  [3387]
libisoburn/isoburn.c
Fixed a bug with uninitialized variable introduced by rev 3364

19 Sep 2010  [3388]
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.6.2 - 2010.09.18.210001
libisoburn novelties:
* New API function isoburn_igopt_set_part_offset()
* Hiding all non-API symbols from the linker by use of --version-script
* Now with history of release notes in ./ChangeLog file.
xorriso novelties:
* Bug fix: Regression with -hardlinks and -compliance old_rr, 0.4.2, Aug 2009
* New option -preparer_id, -as mkisofs options -p and -preparer
* New -boot_image specifier emul_type=none|hard_disk|floppy
* New boot_image boot specs partition_offset, partition_hd_cyl, partition_sec_hd
* Made behavior of -as mkisofs with unknown options more similar to original
* New -as mkisofs option -hard-disk-boot, enabled -b without -no-emul-boot
* New -as mkisofs option -e from Fedora genisoimage
* New -as mkisofs options -partition_offset,-partition_hd_cyl,-partition_sec_hd

2010.09.19.134042  [3389]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.6.3

2010.09.19.135354  [3390]
libisoburn/isoburn.c
Fixed a bug with uninitialized variable introduced by rev 3364

19 Sep 2010  [3391]
ChangeLog
xorriso/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - xorriso-0.6.3 - 2010.09.19.135354


19 Sep 2010  [3392]
svn move -m Promoted branch to tag 
http://svn.libburnia-project.org/libisoburn/branches/ZeroSixTwo
http://svn.libburnia-project.org/libisoburn/tags/ZeroSixTwo

2010.09.21.142424  [3393]
acinclude.m4
configure.ac
Makefile.am
On Linux: Run ldconfig during make install,if not --disable-ldconfig-at-install

2010.09.21.150325  [3394]
acinclude.m4
configure.ac
Makefile.am
On Linux: More tolerance towards failures of ldconfig

22 Sep 2009  [3396]
README
Mentioned --disable-ldconfig-at-install

2010.09.23.135551  [3400]
Makefile.am
xorriso/make_xorriso_standalone.sh
+ doc/partition_offset.wiki
Explaining the partition offset feature

2010.09.24.110727  [3406]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.8.7 now

2010.09.24.110841  [3407]
xorriso/drive_mgt.c
Reporting BD spare area info with -list_formats

29 Sep 2010  [3409]
doc/partition_offset.wiki
Updated partition offset wike about GRUB experiment

2010.09.29.091541  [3410]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/libisoburn.ver
ChangeLog
New API calls isoburn_igopt_attach_jte() and isoburn_igopt_detach_jte()

2010.09.29.092348  [3411]
configure.ac
xorriso/xorriso.h
libisoburn/libisoburn.ver
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/base_obj.c
xorriso/parse_exec.c
xorriso/opts_i_o.c
xorriso/emulators.c
xorriso/lib_mgt.c
xorriso/write_run.c
ChangeLog
New -as mkisofs options -jigdo-* and -md5-list as of genisoimage

2010.09.29.092537  [3412]
xorriso/configure_ac.txt
Enabled use of libjte for GNU xorriso

2010.09.29.124423  [3413]
xorriso/write_run.c
Avoided trailing 64 kB alignment with -compliance no_emul_toc

2010.09.29.152827  [3414]
xorriso/parse_exec.c
xorriso/opts_d_h.c
xorriso/emulators.c
xorriso/lib_mgt.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
xorriso/convert_man_to_html.sh
ChangeLog
New option -jigdo

2010.09.29.164121  [3415]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/lib_mgt.c
xorriso/text_io.c
xorriso/aux_objects.h
xorriso/aux_objects.c
Enabled -status -jigdo

2010.09.30.074208  [3416]
xorriso/lib_mgt.c
Switched from old libjte API names to new ones

2010.10.01.190235  [3417]
xorriso/xorriso_private.h
xorriso/base_obj.c
Made two non-public parameters independent of Xorriso_with_libjtE

------------------------------------ cycle  - xorriso-0.6.3 - 2010.10.01.190235
* New API calls isoburn_igopt_attach_jte() and isoburn_igopt_detach_jte()
* New -as mkisofs options -jigdo-* and -md5-list as of genisoimage
* New option -jigdo


2010.10.02.121147  [3418]
xorriso/emulators.c
xorriso/lib_mgt.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -as mkisofs option -jigdo-template-compress

2010.10.02.150240  [3419]
xorriso/lib_mgt.c
Added a blank to xorriso Preparer Id string

2010.10.02.164306  [3420]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.37 now

2010.10.02.210023  [3421]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/libisoburn.ver
ChangeLog
New API call isoburn_igopt_set_tail_blocks()

2010.10.02.210305  [3422]
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Letting libisofs do the padding with -jigdo, rather than disabling padding

2010.10.03.082304  [3423]
xorriso/opts_d_h.c
xorriso/emulators.c
xorriso/lib_mgt.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -as mkisofs options -checksum_algorithm_iso, -checksum_algorithm_template

03 Oct 2010  [3424]
ChangeLog
Forgot to commit ChangeLog

2010.10.03.171305  [3425]
xorriso/lib_mgt.c
Reacting with FATAL event on failure to create libjte_handle

03 Oct 2010  [3426]
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Corrected xorriso docs about meaning of -jigdo-map and .md5 file addresses

------------------------------------ cycle  - xorriso-0.6.3 - 2010.10.03.171305
* New API call isoburn_igopt_set_tail_blocks()
* New -as mkisofs options -checksum_algorithm_iso, -checksum_algorithm_template


2010.10.04.112234  [3427]
xorriso/opts_d_h.c
xorriso/emulators.c
xorriso/lib_mgt.c
xorriso/write_run.c
Enabled use of libjte message list

2010.10.04.113140  [3428]
xorriso/lib_mgt.c
Silenced compiler warning about unused variable

2010.10.04.155110  [3429]
libisoburn/libisoburn.h
libisoburn/burn_wrap.c
libisoburn/libisoburn.ver
ChangeLog
Tests for version of libjte, new API call isoburn_libjte_req()

2010.10.04.155226  [3430]
xorriso/lib_mgt.c
Reporting libjte version with option -version

2010.10.05.180016  [3431]
xorriso/iso_manip.c
Fixed a potential SIGSEGV by pointer offset -1. Detected by valgrind.

2010.10.06.162230  [3432]
xorriso/write_run.c
Fixed a theoretically possible race condition of burn end and ISO generator end

2010.10.07.114916  [3433]
libisoburn/burn_wrap.c
xorriso/base_obj.c
xorriso/lib_mgt.c
xorriso/write_run.c
Preparing for GNU xorriso to include libjte source

7 Oct 2010  [3434]
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Enhanced xorriso docs about meaning of .md5 file addresses

2010.10.07.180935  [3435]
libisoburn/burn_wrap.c
xorriso/base_obj.c
xorriso/lib_mgt.c
xorriso/write_run.c
Corrected compile problems introduced with rev 3433

2010.10.08.093338  [3436]
libisoburn/burn_wrap.c
Fixed inability to compile without enabled libjte. Introduced by rev 3429.

8 Oct 2010  [3437]
COPYRIGHT
Removed unrelated copyright statements from libisoburn COPYRIGHT

2010.10.12.103027  [3438]
libisoburn/libisoburn.h
libisoburn/isoburn.c
Allowed to set System Area type via isoburn_igopt_set_system_area()

2010.10.12.103157  [3439]
xorriso/xorriso_private.h
xorriso/opts_a_c.c
xorriso/emulators.c
Provisorily: -boot_image mips_path= , -as mkisofs -mips-boot. No Eltorito then.

2010.10.12.183125  [3440]
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/opts_a_c.c
xorriso/emulators.c
xorriso/iso_img.c
Lifted the ban to combine MIPS Big Endian boot with El Torito

2010.10.13.170641  [3441]
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/emulators.c
xorriso/iso_img.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Polished and documented MIPS booting option

2010.10.15.112050  [3442]
xorriso/xorriso_private.h
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/emulators.c
xorriso/iso_img.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
-boot_image mipsel_path= , -as mkisofs -mipsel-boot.

2010.10.15.121533  [3443]
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_makefile_am.txt
xorriso/COPYRIGHT_gnu_xorriso
xorriso/README_gnu_xorriso
xorriso/AUTHORS_gnu_xorriso
xorriso/xorriso_eng.html
Included libjte in GNU xorriso

2010.10.15.125440  [3444]
libisoburn/burn_wrap.c
xorriso/base_obj.c
xorriso/lib_mgt.c
xorriso/configure_ac.txt
United macro Xorriso_jte_standalonE with macro Xorriso_standalonE

------------------------------------ cycle  - xorriso-0.6.3 - 2010.10.15.125440
* New API call isoburn_libjte_req()
* New bootspecs mips_path= and mipsel_path= for Debian MIPS releases
* New -as mkisofs options -mips-boot and -mipsel-boot


2010.10.18.155353  [3446]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/libisoburn.ver
New API calls isoburn_igopt_set_partition_img, isoburn_igopt_get_partition_img

2010.10.18.160132  [3448]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/parse_exec.c
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/emulators.c
xorriso/iso_img.c
xorriso/write_run.c
libisoburn/libisoburn.ver
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New option -append_partition, -as mkisofs -append_partition

------------------------------------ cycle  - xorriso-0.6.3 - 2010.10.18.160132
* New option -append_partition, -as mkisofs -append_partition


2010.10.19.104814  [3449]
xorriso/xorriso.h
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Minor adjustments

------------------------------------ cycle  - xorriso-0.6.3 - 2010.10.19.104814

2010.10.19.170704  [3451]
ChangeLog
xorriso/write_run.c
Avoiding potential endless write pacifier loop. Introduced with rev 3432.

2010.10.20.075221  [3452]
xorriso/write_run.c
Cancelling libisofs write thread in case of early libburn end

2010.10.20.170430  [3461]
xorriso/configure_ac.txt
Version leap to libburn-0.8.9

2010.10.20.170546  [3462]
configure.ac
libisoburn/libisoburn.h
Requiring libburn-0.8.8 now

2010.10.21.180343  [3463]
xorriso/drive_mgt.c
Corrected -check_media handling of last track on BD-R resp. BD-ROM

2010.10.23.162213  [3464]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.38 now

2010.10.23.162302  [3465]
xorriso/configure_ac.txt
Adapted GNU xorriso to version leap libisofs-0.6.39

26 Oct 2010  [3466]
svn copy -m Branching for libisoburn release 0.6.4
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroSixFour

2010.10.26.100001  [3467]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.6.4

26 Oct 2010  [3468]
ChangeLog
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.6.4 - 2010.10.26.100001
* New API call isoburn_libjte_req()
* New API calls isoburn_igopt_attach_jte() and isoburn_igopt_detach_jte()
* New API call isoburn_igopt_set_tail_blocks()
* New API call isoburn_libjte_req()
* New option -jigdo
* New -as mkisofs options -jigdo-* and -md5-list as of genisoimage
* New -as mkisofs options -checksum_algorithm_iso, -checksum_algorithm_template
* New bootspecs mips_path= and mipsel_path= for Debian MIPS releases
* New -as mkisofs options -mips-boot and -mipsel-boot
* New option -append_partition, -as mkisofs -append_partition


2010.10.26.104219  [3469]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.6.5

26 Oct 2010  [3470]
ChangeLog
xorriso/changelog.txt
Documented changes and release timestamp

26 Oct 2010  [3471]
svn move -m Promoted branch to tag
http://svn.libburnia-project.org/libisoburn/branches/ZeroSixFour
http://svn.libburnia-project.org/libisoburn/tags/ZeroSixFour

------------------------------------ cycle  - xorriso-0.6.5 - 2010.10.26.104219


2010.10.27.063628  [3472]
xorriso/emulators.c
Bug fix: -as mkisofs -print-size printed the size but also produced ISO image

2010.10.27.063705  [3473]
xorriso/emulators.c
New -as mkisofs option -joliet-long

------------------------------------ cycle  - xorriso-0.6.5 - 2010.10.27.063705
* Bug fix: -as mkisofs -print-size printed the size but also produced ISO image
* New -as mkisofs option -joliet-long


2010.10.29.164503  [3475]
xorriso/write_run.c
Added necessary isoburn_cancel_prepared_write() calls

------------------------------------ cycle  - xorriso-0.6.5 - 2010.10.29.164503

------------------------------------ cycle  - xorriso-0.6.5 - 2010.11.01.113243
* Build problem fix on Linux 2.4 in GNU xorriso libjte/checksum.c


2010.11.01.191542  [3477]
xorriso/iso_manip.c
Allowed to perform -rm_r /

2010.11.03.081124  [3478]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/drive_mgt.h
xorriso/drive_mgt.c
xorriso/findjob.c
xorriso/read_run.c
Testing for abort file during -check_media

2010.11.05.143916  [3470]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/libisoburn.ver
New API calls isoburn_igopt_set_disc_label(), isoburn_igopt_get_disc_label()

2010.11.05.144616  [3480]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/emulators.c
xorriso/iso_img.c
xorriso/write_run.c
New bootspec sparc_label=, new -as mkisofs options -sparc-boot , -sparc-label

05 Nov 2010  [3481]
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Documentation changes of rev 3480

------------------------------------ cycle  - xorriso-0.6.5 - 2010.11.05.144616
* New API calls isoburn_igopt_set_disc_label(), isoburn_igopt_get_disc_label()
* New bootspec sparc_label=, new -as mkisofs options -sparc-boot , -sparc-label


2010.11.06.133454  [3482]
libisoburn/libisoburn.h
xorriso/write_run.c
ChangeLog
Declared that isoburn_cancel_prepared_write() waits until iso write thread ends

2010.11.21.065727  [3484]
xorriso/make_xorriso_standalone.sh
Included jigdo-gen-md5-list in GNU xorriso

------------------------------------ cycle  - xorriso-0.6.5 - 2010.11.21.065727


2010.11.23.193708  [3485]
xorriso/iso_img.c
Improved behavior with loading multiple boot images of identical content

2010.11.23.200346  [3486]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/lib_mgt.c
xorriso/write_run.c
Avoided to bother libjte if no output paths are given

------------------------------------ cycle  - xorriso-0.6.5 - 2010.11.23.200346

2010.11.24.100845  [3487]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New pseudo extension isoburn_igopt_will_cancel to avoid MISHAP event

2010.11.24.101056  [3488]
xorriso/write_run.c
Making use of isoburn_igopt_will_cancel with xorriso -print_size

------------------------------------ cycle  - xorriso-0.6.5 - 2010.11.24.101056


2010.11.27.134702  [3489]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.39 now

2010.11.30.093929  [3490]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/isofs_wrap.c
libisoburn/data_source.c
libisoburn/libisoburn.ver
New API calls isoburn_ropt_set_displacement(), isoburn_ropt_get_displacement()

2010.11.30.094310  [3491]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/parse_exec.c
xorriso/opts_d_h.c
xorriso/drive_mgt.c
xorriso/text_io.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
libisoburn/libisoburn.ver
ChangeLog
New option -displacement

2010.11.30.104719  [3492]
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/opts_i_o.c
xorriso/disk_ops.h
xorriso/disk_ops.c
Improved messages at the end of partially failed -extract runs

2010.11.30.112050  [3493]
xorriso/opts_p_z.c
Processing output of -as mkisofs by -pkt_output if enabled

2010.11.30.170112  [3494]
xorriso/parse_exec.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Clarified occasions of -mark message and removed surplus -mark message emitter

2010.12.01.173750  [3495]
libisoburn/libisoburn.h
Clarified description of isoburn_ropt_set_displacement()

2010.12.02.063209  [3496]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/xorriso_main.c
xorriso/opts_d_h.c
xorriso/emulators.c
xorriso/iso_img.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
No -rollback in -as mkisofs -print-size. New flag in Xorriso_change_is_pending.

2010.12.02.111029  [3497]
xorriso/xorrisoburn.h
xorriso/opts_d_h.c
xorriso/disk_ops.c
xorriso/iso_manip.c
xorriso/findjob.h
xorriso/findjob.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New action estimate_size for -find and -findx

------------------------------------ cycle  - xorriso-0.6.5 - 2010.12.02.111029
* New API calls isoburn_ropt_set_displacement(), isoburn_ropt_get_displacement()
* New option -displacement
* New action estimate_size for -find and -findx


2010.12.04.174311  [3498]
libisoburn/isofs_wrap.c
Fixed a bug about read displacement introduced with rev 3490

2010.12.04.174431  [3499]
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Preliminarily banned writing while read displacement is non-zero

2010.12.06.094347  [3500]
xorriso/opts_a_c.c
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Allowed writing with read displacement if target media is blank

2010.12.07.174921  [3501]
xorriso/iso_img.c
Made -rom_toc_scan emul_off work with -mount ... sbsector ... 

2010.12.08.194225  [3510]
xorriso/opts_d_h.c
Fixed a potential bug introduced with rev 3497

2010.12.08.194325  [3511]
xorriso/iso_img.c
Fixed a bug introduced with rev 3501

08 Dec 2010  [3512]
xorriso/configure_ac.txt
GNU xorriso version leap to libburn-0.9.1

2010.12.10.123534  [3513]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.40 now

2010.12.10.123634  [3514]
xorriso/configure_ac.txt
Adapted GNU xorriso to version leap libisofs-0.6.41

11 Dec 2010  [3515]
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Clarification about -md5, -check_media and -find ... -damaged

12 Dec 2010  [2516]
svn copy -m Branching for libisoburn release 0.6.6
http://svn.libburnia-project.org/libisoburn/trunk
http://svn.libburnia-project.org/libisoburn/branches/ZeroSixSix

2010.12.12.090001  [3517]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.6.6

12 Dec 2010  [3518]
ChangeLog
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-0.6.6 - 2010.12.12.090001
* New API calls isoburn_igopt_set_disc_label(), isoburn_igopt_get_disc_label()
* New API calls isoburn_ropt_set_displacement(), isoburn_ropt_get_displacement()
* Bug fix: -as mkisofs -print-size printed the size but also produced ISO image
* Build problem fix on Linux 2.4 in GNU xorriso libjte/checksum.c
* New -as mkisofs option -joliet-long
* New bootspec sparc_label=, new -as mkisofs options -sparc-boot , -sparc-label
* New option -displacement


2010.12.12.120823  [3519]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-0.6.7

12 Dec 2010  [3520]
ChangeLog
xorriso/changelog.txt
Documented changes and release timestamp

12 Dec 2010  [3521]
svn move -m Promoted branch to tag 
ttp://svn.libburnia-project.org/libisoburn/branches/ZeroSixSix
http://svn.libburnia-project.org/libisoburn/tags/ZeroSixSix

------------------------------------ cycle  - xorriso-0.6.7 - 2010.12.12.120823


2010.12.13.123226  [3523]
configure.ac
xorriso/configure_ac.txt
Prepending ./configure generated options to CFLAGS rather than appending them

2010.12.22.133742  [3524]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
libisoburn/libisoburn.ver
New API call isoburn_igopt_set_untranslated_name_len()

2010.12.22.133936  [3525]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -compliance options untranslated_names , untranslated_name_len=

2010.12.22.151542  [3526]
xorriso/emulators.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -as mkisofs option -untranslated_name_len

23 Dec 2010  [3527]
+ doc/faq.wiki
Took source file of libburnia-project.org/wiki/FAQ into SVN

2010.12.23.190134  [3529]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/emulators.c
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
ChangeLog
New -compliance option iso_9660_1999, -as mkisofs option -iso-level 4

------------------------------------ cycle  - xorriso-0.6.7 - 
* New API call isoburn_igopt_set_untranslated_name_len()
* New -compliance options untranslated_names , untranslated_name_len=
* New -as mkisofs option -untranslated_name_len
* New -compliance option iso_9660_1999, -as mkisofs option -iso-level 4


24 Dec 2010  [3530]
doc/faq.wiki
New q in faq

2010.12.24.135515  [3531]
libisoburn/libisoburn.h
Mentioned ISO 9660 level 3 in libisoburn API

2010.12.25.071212  [3532]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-0.6.41 now

2010.12.25.071522  [3533]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/write_run.c
xorriso/emulators.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -compliance option iso_9660_level=number

2010.12.25.091515  [3534]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New isoburn_igopt_set_relaxed() option isoburn_igopt_allow_dir_id_ext

2010.12.25.092828  [3535]
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -compliance option allow_dir_id_ext

2010.12.25.094309  [3536]
xorriso/emulators.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -as mkisofs option -disallow_dir_id_ext, allow_dir_id_ext is default

------------------------------------ cycle  - xorriso-0.6.7 - 2010.12.25.094309
* New -compliance option iso_9660_level=number
* New -compliance option allow_dir_id_ext
* New -as mkisofs option -disallow_dir_id_ext


2010.12.28.093144  [3538]
xorriso/write_run.c
Made -print_size take into account the toc emulation on blank overwriteables

2010.12.28.123348  [3539]
xorriso/emulators.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Disabled TOC emulation with -as mkisofs. May be re-enabled by --emul-toc.

------------------------------------ cycle  - xorriso-0.6.7 - 2010.12.28.123348
* Disabled TOC emulation with -as mkisofs. May be re-enabled by --emul-toc.


2010.12.29.104047  [3540]
xorriso/emulators.c
Bug fix: -as mkisofs -print-size did not account for -partition_offset

------------------------------------ cycle  - xorriso-0.6.7 - 2010.12.29.104047
* Bug fix: -as mkisofs -print-size did not account for -partition_offset


30 Dec 2010  [3541]
doc/partition_offset.wiki
Mentioned Debian daily and weekly builds as examples of partiton_offset

2011.01.04.193042  [3543]
xorriso/xorriso.h
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/opts_a_c.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Default -abort_on value is now "FAILURE", for dialog it stays "FATAL"

2011.01.06.111034  [3544]
xorriso/parse_exec.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Changed dialog default -abort_on value to "NEVER"

6 Jan 2011  [3545]
ChangeLog
Updated change log

------------------------------------ cycle  - xorriso-0.6.7 - 2011.01.06.111034
* Default -abort_on value is now "FAILURE" with batch and "NEVER" with dialog


2011.01.16.182558  [3557]
configure.ac
libisoburn/libisoburn.h
Requiring libisofs-1.0.0 and libburn-1.0.0 now

16 Jan 2011  [3558]
xorriso/configure_ac.txt
Adapted GNU xorriso to version leap libisofs-1.0.1 , libburn-1.0.1

16 Jan 2011  [3559]
doc/partition_offset.wiki
Updated partition offset wiki text about --no-emul-toc

16 Jan 2011  [3560]
svn copy -m "Branching for libisoburn release 1.0.0" \
    http://svn.libburnia-project.org/libisoburn/trunk \
    http://svn.libburnia-project.org/libisoburn/branches/1.0.0

2011.01.16.193257  [3562]
xorriso/emulators.c
xorriso/opts_p_z.c
Updated copyright messages to 2011

2011.01.16.200001  [3563]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-1.0.0

16 Jan 2011  [3564]
ChangeLog
xorriso/changelog.txt
Documented changes and release timestamp

----------------------------------- release - xorriso-1.0.0 - 2011.01.16.200001
* New API call isoburn_igopt_set_untranslated_name_len()
* New -compliance options untranslated_names , untranslated_name_len=
* New -as mkisofs option -untranslated_name_len
* New -compliance option iso_9660_1999, -as mkisofs option -iso-level 4
* New -compliance option iso_9660_level=number
* New -compliance option allow_dir_id_ext
* New -as mkisofs option -disallow_dir_id_ext
* Disabled TOC emulation with -as mkisofs. May be re-enabled by --emul-toc.
* Default -abort_on value is now "FAILURE" with batch and "NEVER" with dialog
* Bug fix: -as mkisofs -print-size did not account for -partition_offset


2011.01.16.193257  [3561]
xorriso/emulators.c
xorriso/opts_p_z.c
Updated copyright messages to 2011

2011.01.17.092111  [3565]
configure.ac
README
libisoburn/libisoburn.h
xorriso/README_gnu_xorriso
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/xorriso_main.c
xorriso/xorriso_eng.html
xorriso/make_xorriso_standalone.sh
xorriso/configure_ac.txt
xorriso/xorriso_timestamp.h
Version leap to libisoburn-1.0.1

17 Jan 2011  [3566]
ChangeLog
xorriso/changelog.txt
Documented changes and release timestamp

17 Jan 2011  [3567]
svn move -m Promoted branch to tag 
http://svn.libburnia-project.org/libisoburn/branches/1.0.0
http://svn.libburnia-project.org/libisoburn/tags/1.0.0

------------------------------------ cycle  - xorriso-1.0.1 - 2011.01.17.092111


2011.01.18.154443  [3568]
libisoburn/isoburn.h
Avoiding <stdint.h> if not available. Trying to use <inttypes.h> in that case.

2011.01.18.154717  [3569]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/lib_mgt.c
xorriso/write_run.c
Avoiding <stdint.h> if not available. Trying to use <inttypes.h> in that case.

------------------------------------ cycle  - xorriso-1.0.1 - 2011.01.18.154717
* Removed compiler obstacles of GNU xorriso on Solaris 9


18 Jan 2011  [3571]
doc/faq.wiki
Small change in FAQ wiki text

19 Jan 2011  [3572]
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Mentioned missing mkisofs -old-root functionality in man page

------------------------------------ cycle  - xorriso-1.0.1 - 2011.01.24.141621
* Bug fix: ECMA-119 standards violation with Volume Descriptor Set Terminator


2011.01.26.132843  [3573]
libisoburn/libisoburn.h
libisoburn/isoburn.h
libisoburn/isoburn.c
New isoburn_igopt_set_extensions() option isoburn_igopt_old_empty

2011.01.26.133107  [3574]
xorriso/xorriso_private.h
xorriso/base_obj.c
xorriso/write_run.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -compliance option old_empty

26 Jan 2011  [3575]
configure.ac
Requiring libisofs-1.0.1 now

------------------------------------ cycle  - xorriso-1.0.1 - 2011.01.26.133107
* New isoburn_igopt_set_extensions() option isoburn_igopt_old_empty


2011.01.26.184140  [3576]
libisoburn/isoburn.c
Followed name change in the yet unstable part of libisofs API

2011.01.26.210359  [3577]
xorriso/emulators.c
New -as mkisofs option --old-empty

------------------------------------ cycle  - xorriso-1.0.1 - 
* New -as mkisofs option --old-empty


2011.01.31.135917  [3578]
xorriso/iso_manip.c
Bug fix: Option -mkdir yielded SIGSEGV due to a NULL pointer

2011.02.01.185830  [3579]
xorriso/xorriso.h
xorriso/xorrisoburn.h
xorriso/parse_exec.c
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/iso_manip.c
libisoburn/libisoburn.ver
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
xorriso/xorriso_eng.html
ChangeLog
New option -clone

2011.02.02.174154  [3580]
xorriso/xorrisoburn.h
xorriso/iso_manip.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
Disallowed -clone to overwrite existing nodes

2011.02.04.191922  [3581]
xorriso/xorriso.h
xorriso/parse_exec.c
xorriso/opts_a_c.c
xorriso/opts_d_h.c
xorriso/iso_manip.c
xorriso/sfile.c
libisoburn/libisoburn.ver
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New option -cp_clone

2011.02.07.182947  [3582]
xorriso/cmp_update.c
xorriso/sort_cmp.c
Do not regard file as changed just because no ino was recorded

2011.02.07.184304  [3583]
xorriso/xorrisoburn.h
xorriso/opts_p_z.c
xorriso/emulators.c
xorriso/iso_tree.h
xorriso/iso_tree.c
xorriso/iso_manip.c
xorriso/xorriso.texi
xorriso/xorriso.info
xorriso/xorriso.1
New -as mkisofs options -root , -old-root, --old-root-no-md5, --old-root-no-ino, --old-root-dev

2011.02.07.202851  [3584]
xorriso/emulators.c
xorriso/iso_manip.c
xorriso/sort_cmp.c
xorriso/iso_tree.h
xorriso/iso_tree.c
Some corrections of the previous commit

2011.02.08.133624  [3585]
xorriso/emulators.c
-as mkisofs: Enabled reading of xattr and md5 before image loading

2011.02.12.171423  [3587]
xorriso/xorriso_private.h
xorriso/xorrisoburn.h
xorriso/base_obj.c
